Index

What's New Find out what's new in EditStudio 3. If you are upgrading from a previous version of EditStudio, you should read this section to find out how there are new ways of working with the program. | Getting Started An overview of the various parts of EditStudio and how they fit into the video editing process. If you are new to EditStudio or video editing, you should read this section.
Using EditStudio Detailed description of all the aspects of the program. This area covers how to do most of the commonly used operations using the program. | Interface A full description of EditStudio's windows, toolbars, menus, dialog boxes pages.
Plugins EditStudio's video effects, transitions and audio plugins are described. The additional tools are also covered. | Video Editing General video editing topics. This section is a small selection of our main video editing area of our web site and includes useful video editing information that can help to create high quality movies.

Requirements

 www.puremotion.com Troubleshooting Glossary


What's New

If you are upgrading from a previous version of EditStudio, you will many new features and improvements, many of them requested by other users. These new features will help you make that perfect movie with EditStudio quickly and easily.

New interface | Better integration of EditStudio and all its tools. These are now presented in a single interface, using an Outlook-style selection bar for switching between the program's functions. Easy and quick to use.
New storyboard | New storyboard editor. Ideal for building up movies quickly and simply, or providing the basis for a more complex movie that can be edited using the traditional timeline. The storyboard dynamically creates a movie on the timeline, allowing you to immediately see the changes as you make them.
Enhanced preview | The preview can now be undocked and resized by using EditStudio's unique PopDock windows. The preview speed has also been greatly improved - by using the DirectX features available to your system.
Properties always available | The properties window is also implemented using a PopDock window, with all the benefits of a resizable window. The properties are now always visible for the selected item in either the timeline or storyboard, so you have instant access to them. Any changes you make to an item's properties are immediately reflected in the preview.
Fully integrated capture | Rather than being a separate program, video capture is now fully integrated into the EditStudio interface. This allows captured files to become immediately available to an EditStudio project through the Media Explorer (see below). Capture has been improved with batch capture, stills capture and the removal of the 4GB capture file limit.
VU meter in Capture | Audio levels are now shown in the capture window, making it easier to set the correct volume level when capturing from an analogue source.
New timeline editing tools | Commonly requested editing tools have been added to the timeline, including marquee select and add / remove time.
New media explorer | The Media Explorer replaces the EditStudio 2 media files list with a new, hierarchical media organiser. The Media Explorer can contain video and audio files, clips as well as bitmaps. Effects (along with their settings) can also be stored, making this an ideal method for building a library of preset effects.
Tools integrated into program | Previously separate tools DV Copy and DV Type Convertor are now integrated into the tools section of EditStudio.
Added SysInfo tool | An extra tool - System Info - has been added to help pinpoint potential problems with your system.
Fast DV rendering | DV movies can now be built very much faster by only calculating the parts of the movie which contain effects or transitions. Parts of the movie that use the source DV video without changes can be used immediately, leading to potentially much faster building of movies. DV movies can also be exported direct from the timeline to a DV camcorder, removing the need to build large DV movie files.
Improved QuickTime importing | Now recognises more QuickTime formats, including the common formats used by digital cameras.
New preview features | New features have been added to the preview, including the ability to force the correct display aspect ratio. Action-safe and title-safe displays have also been added to ensure that the important parts of your movie are always visible.
Audio rubber bands | Audio editing is now much simpler, with "rubber bands" for changing the audio volume throughout an audio item. Rubber bands also exist for changing an item's balance and pan, making audio editing very much easier.


Requirements

Shown below are EditStudio's minimum and typical machine requirements. A PC with the minimum requirements would produce output video of exactly the same quality as the "typical" configuration, only the minimum configuration PC would take longer to generate the video.

Minimum PC Requirements

  • 350 MHz Pentium II processor
  • Sound card
  • Windows 98 (second edition), ME, 2000 or XP
  • 4 GB hard drive space
  • DirectX 8
  • Internet Explorer 4
  • 64 MB of RAM
  • 800 x 600 screen resolution
  • 15/16/24/32 bit screen depth (32,000 to 16 million colours)

Typical Specification

As above, with the following changes:

  • 800 MHz processor
  • 128 MB of RAM
  • 1024 x 768 screen size
  • 10 GB hard drive space

Obviously, the faster your processor, more memory and larger your screen, the more fun EditStudio is to use!


Getting Started

  • General program layout
  • Workflow
  • Media Explorer
  • Preview
  • Properties
  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


General Program Layout

All of EditStudio's functions are available from the main program interface.

The program area is divided into two sections: the page bar and a page.

The Page Bar

Down the left of the main EditStudio window is the page bar which allows you to choose the part of the program you wish to use. Each section of the program is called a page, and these pages are described in greater detail below. To change to a different page, simply click on the icon in the page bar.

The page bar starts by showing the default set of EditStudio pages. There is also a Tools section, which can be got to by clicking the "Tools" button at the bottom of the page bar. The tools section of the page bar now shows the video editing tools that are available to the program. Click on the desired tool's icon to show the page for that particular tool.

The Pages

The different sections of EditStudio are called pages and they are selected by clicking on the appropriate icon in the page bar. The pages are described in greater detail below.

  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Workflow

Although there isn't an enforced way of working with EditStudio, there are distinct operations that you will need to complete in order to build a movie using the program.

Create Project

In order to start a project with EditStudio, you must create a project. This is done from the project page or clicking the New Project [image] button in the toolbar. You create a movie based on an existing preset, although you can always modify these settings later if you need to. Creating a project will create the required files and folders needed to store EditStudio data. For this reason, you must give a location on your hard disk where you want the project to be created.

Once you've created a project, it can be loaded back into EditStudio at any time by selecting the project name from the project page or by clicking the Open Project [image] button in the toolbar.

Capturing Files

If you are creating a movie from scratch, you will need to capture some video files to work with from a video recorder, camcorder or other video source. The capture page supports capture from both analogue and DV sources and capture files are placed in the Media Explorer's Captured folder, ready for use.

If you already have the video files on your hard drive, you may not need to capture any further files.

Edit Project

Once you have your source media files on your hard disk, you will need to edit them into a movie. The is done in either the storyboard or timeline page. The storyboard can be used to either edit a whole movie, or to create the starting point for a more complex movie. The timeline is a more powerful tool and will allow you to create complex effects and arrangements in your project.

Build Movie

Once you are happy with your movie, you can build it using the wizard in the build page. The build wizard allows you to choose your output format and will take you through the steps needed to correctly create the desired output. The build wizard uses the DV Builder to build DV format movies quickly by using existing video source material "as is" where possible.

See Also

  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Media Explorer

One of the powerful new features of EditStudio 3 is the Media Explorer. When working with a project it is important that you manage your media items well. Typical media items include video and bitmap files, as well as custom effects and transitions. To help you organise your media items, the Media Explorer is available from any page where it might be used.

As with a lot of features of EditStudio, the Media Explorer uses drag-and-drop techniques in its operation. Files that are stored in the Media Explorer can be dragged out onto the storyboard or timeline and items can be dropped from either of these two pages onto the Media Explorer for storage. Commonly used effects can also be configured and stored in the Media Explorer for use again.

The Media Explorer has two sections - the project branch and the global branch. The project branch contains entries that are unique to the current project, whereas the global branch can be used to store items for use in all projects.

See Also

  • Organising your media
  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Preview

The preview allows you to view the movie at any time. The preview contains common "video recorder" style controls for playback. The preview allows you to quickly seek through the movie using fast forward / fast rewind controls as well as the speed slider.

You will find the preview invaluable during editing and it is implemented as a PopDock window, meaning that it can either be docked to main interface or floating as resizing window.

See Also

  • Properties
  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Properties

Selecting an item in either the storyboard or timeline page will display the item's properties in a PopDock window.

To change the properties of an effect, simply make the changes in the properties window and they will be applied immediately to the project. You can see the effects in the preview window.

If you select a media file (ie. video, audio or bitmap file), the file's properties will be shown in the properties window.

See Also

  • Preview
  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Project Page

When there is no project loaded into EditStudio, the project page allows you to:

  • Create new project
  • Open an existing project

Once a project has been loaded in, the page now shows details of the current project.

For more details on the Project Page, see the appropriate are in the Using EditStudio section.

See Also

  • The project
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Capture Page

All video capture is performed from this page.

Capture supports video capture from both DV and analogue sources. The video capture is closely related to the Media Explorer, making it easy to build up a set of suitable clips for a project.

See Also

  • Capturing some video
  • Project page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Storyboard Page

When creating a project, it is common practice to build a storyboard. A storyboard describes the running order of the project in a series of still images and text descriptions.

Building a project using EditStudio's storyboard not only helps the structure the project but it also automatically builds the project itself. You can add transitions, effects and change the timings of the project direct from the storyboard. You can build the movie direct from storyboard without any further changes, or you can use the timeline to add further touches to the movie.

See Also

  • Using the timeline
  • Building a movie
  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Timeline Page

Detailed editing is performed in EditStudio's timeline page.

The timeline shows the project items moving forward in time from left to right on the page; ie. items that appear on the left of the timeline appear on the final movie before items to the right of the timeline.

When compared to the storyboard, the timeline allows accurate editing of the movie by allowing complex effects and transitions to be created.

See Also

  • Using the storyboard
  • Using the timeline
  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page
  • Tools pages


Build Page

When you are happy with your movie, you can build the it by selecting the build page.

The build process is handled through a wizard and you will be guided each step of the way. The build page supports creating a movie file either manually, or using a preset, as well as support for building a DV movie either to a file or direct to a camcorder.

See Also

  • Building a movie

  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Tools pages


Tools Pages

Along with the main video editing functions, EditStudio contains a number of tools which enhance the program's capabilities.

Tools are provided for converting between different DV file types, sending DV files directly to a camcorder and investigating your current PC's system configuration.

See Also

  • DV Type Convertor tool
  • DV Copy tool
  • System Info tool
  • Project page
  • Capture page
  • Storyboard page
  • Timeline page
  • Build page


Using EditStudio

  • The project
  • Capturing some video
  • Organising your media
  • Using the storyboard
  • Using the timeline
  • Building a movie
  • Audio


Using The Project

  • Create a new project
  • Open an existing project
  • Opening an old EditStudio project
  • Save a project
  • Save under a different name
  • Save as a template
  • Showing the used media files
  • Moving a project on the hard drive
  • Files in the project folder


Create a new project

You create a new project from the Project page. If there is a project already opened into EditStudio, you must select New from the File menu, or click the New Project button on the toolbar.

See the project page section for the details of the information you must enter into this page.

Click the Create a new project link to actually create the new project. This will create folder on your hard containing the files and folders required for an EditStudio project. For example, if you create a project called "My Movie" in "C:\My Documents", the following items are created:

C:\My Documents\My Movie | Main project folder.
C:\My Documents\My Movie\My Movie.eds | The EditStudio project file
C:\My Documents\My Movie\Capture | Folder for captured files
C:\My Documents\My Movie\DV Cache | Folder for DV Builder temporary files

See Also

  • Project Page
  • New Project menu item


Open an existing project

You can open an existing project from the main menu, or from the project page.

Main Menu | Select Open from the File menu, or select one of the most recently used files from the list in the menu. Selecting Open will open a file dialog, allowing you to choose a .eds project file from your hard drive.
Project Page | If there isn't already a project opened in EditStudio, the project page will allow you to select from a list of the most recently used project files. Click on the Open an existing file link to open a file dialog and choose a .eds project file from your hard drive.

Once the project has been loaded, EditStudio will show the project page with the current project's settings. If there were any errors or warning during the opening of the project, the warnings dialog will open.


Opening an old EditStudio project

You can open a project from a previous version of EditStudio and you will see the project upgrade dialog box. You can choose to:

  • Upgrade the project to the new EditStudio 3 project folder structure
  • Open the project without upgrading
  • Cancel opening the project

For more information, see the project upgrade dialog box.

Be aware the the audio is treated differently in EditStudio 3 than in previous versions - see Changes to audio mixing for EditStudio 3.


Save a project

Save your current project by selecting Save from the File menu, or clicking the Save button in the toolbar.

The project will be saved to the same project filename that was opened. If you want to save the file to another filename, choose Save As from the File menu.

When you save a project, your existing project file will be backed up to a file with a .eds_bakp extension. Should any problems occur during the save process, this file can be renamed and opened in EditStudio to ensure that you won't loose any work.

See Also

  • Save under a different name
  • Save as a template


Save under a different name

You may save a project file under a different name than the one that was used to create the project. You may want to do this if you want to create different variants of a project, or perhaps backup the project before making some large changes.

Select Save As from the File menu and enter the new filename for the project file.

See Also

  • Save a project
  • Save as a template


Save as a template

A project file can be saved as a template. When the template is opened in EditStudio, the program will always ask you for a filename the first time you save the project. Templates are useful for creating default project that you may wish to modify later, without accidentally overwriting the original template.

See Also

  • Save a project
  • Save under a different name


Showing the used media files

Select Show Media Files from the File menu to open a dialog box and show a list of all the media files used in the current project. The list can be used to show what media files the project is dependant on, should you wish to move the project or transfer it to another PC.

From here you can also make project-wide changes to the files that are used in the project. This can be useful if you have moved or renamed some media files and do not wish to change each item individually by using the item Transform dialog.

See Also

  • Moving a project on the hard drive
  • Show Media Files dialog
  • Transform dialog


Moving the project on the hard drive

You may move an EditStudio project to a different location on your hard drive, a different hard drive or even a different PC. You should always move the entire project when you are doing this; for example, if you movie is called "My Movie" and is in your "C:\My Documents" folder, then you must move the whole "My Movie" folder and all its contents.

Note: Always close EditStudio before moving a project.

You should be aware of the following situations:

Moving to a different location on the same hard drive | All necessary changes to the project will be done automatically. Open the project in EditStudio from its new location. You will be warned that some media files have changed location, but EditStudio should automatically find them all again in the new location. If you are happy with the changes that EditStudio has made, save the project in the new location.
Moving to a different hard drive on the same PC | As above
Moving to a different PC | This depends on how you have used media files in the project. Any media files that are in the project's own folder (eg. captured files) will be automatically found again by EditStudio when the project is opened. If you are using files that are only present on the original PC, these will not be found on the new PC and you will have to change these files manually using the Show Media Files dialog.
Moving across a network | We do not recommend using an EditStudio project across a network, as the access times for large media files can be very long. If you do this however, the same rules apply as to "Moving to a different PC", described above.

See Also

  • Show Media Files dialog
  • Showing the used media files


Files in the project folder

The following files and folders are found inside the main project folder:

ProjectName | The main project folder
ProjectName\Capture | Folder containing capture files from the capture page.
ProjectName\DVCache | Used to hold the temporary files used with the DV Builder.
ProjectName\ProjectName.eds | The actual project file, containing all the information about the items in the project.

See Also

  • Create a new project
  • Opening an existing project
  • Opening an old EditStudio project
  • Save a project


Video Capture

General

  • What does capture do?
  • What doesn't it do?
  • Selecting a capture device
  • Changing the capture device
  • Previewing
  • Changing the capture file
  • Changing the capture file type
  • Setting limits on capture
  • Starting capture
  • Stopping capture
  • Capture options

Analogue

  • Changing the capture settings
  • Changing the video compressor

DV

  • DV device control
  • Batch capture explained
  • Preparing for batch capture
  • Marking sections for batch capture
  • Performing batch capture


What does capture do?

Capture allows you to capture video from a capture card and store it as a file on your hard drive. These files can then be used with EditStudio (or other programs).

You must have a capture card in order to use capture.

See Also

  • What doesn't it do?


What doesn't it do?

Capture cannot:

  • capture DVDs from your DVD player in your PC
  • capture VideoCDs from your CD player in your PC
  • capture from all web cams. Not all web cams are suitable for video capture.
  • transfer photos from a digital camera
  • transfer movies from a digital camera


Selecting a capture device

When you first select the capture page, you will be presented with a list of the available capture devices on your system.

To select a device, simply click the radio button by the device.

If you cannot see your in the list, click the "Refresh" button. If you still cannot see your capture device, see Troubleshooting.

See Also

  • Changing the capture device


Changing the capture device

Click the Close Capture Device button [image] in the toolbar to close the current capture device, then choose another new capture device.


Previewing

You may preview the video during capture by selecting the Preview checkbox at the bottom of the capture page.

If you find that capture drops a large number of frames or will not start capturing, you may wish to try turning the preview off. Some PCs are not fast enough to display a preview during capture and some capture drivers have problems displaying a preview on some screens.


Changing the capture file

If an EditStudio project is open, any files will be placed inside Capture folder inside the main project folder. If there isn't a project open, or you wish to change the capture location:

  • Click on the "Options" button on the capture page
  • Select the "File locations" tab
  • Change the capture folder and basename as required.


Changing the capture file type

You can change the type of AVI file created when capturing in order to avoid possible file size limits. To do this:

  • Click on the "Options" button on the main capture page
  • Select the "AVI details" tab
  • Change the AVI type from the drop down list

See Also

  • The 2GB File Limit


Setting limits on capture

You can force EditStudio to stop capturing after certain criteria have been set, specifically:

  • After a certain time
  • When the capture file exceeds a certain size
  • When the number of dropped frames exceeds a certain value
  • When the capture frame rate drops below an acceptable level

To change this limits, open the capture options dialog box and click on the limits pane.


Starting capture

To start capture, press the record button!

See Also

  • Stopping capture


Stopping capture

To stop capture, click the stop button.

See Also

  • Starting capture


Capture options

You change the capture options by clicking on the "Options" button on the main capture page. These options allow you to change the files used during capture, set capture limits and configure the scene detection capability. Different options are available for DV and for analogue.

  • Analogue options
  • DV options


Changing the capture settings

Changing the capture settings (analogue)

Click on the "Video settings" button on the capture page. This will produce a menu of options, containing one or more of the following:

  • Capture format
  • Capture source
  • WDM options

Selecting any of these will open a driver-specific dialog box, allowing you to change various aspects of the capture driver's behaviour.


Changing the video compressor

Select the desired video compressor from the drop down list on the main capture page.

When you have selected a compressor, you may configure the encoder with extra settings by clicking on the "Config" button, if one is present. If there isn't any Config button, the compressor cannot be configured.

See Also

  • Codecs Explained


DV Device Control

If you are using the Microsoft DV camcorder driver (see the System Info tool if you are not sure), you can control a DV device from within EditStudio. The following controls are available:

Play
Pause
Stop
Rewind
Previous frame
Next frame
Fast forward

You can set EditStudio to automatically control the DV device by setting the "Automatically start/stop DV device" checkbox.

See Also

  • Microsoft and TI camcorder drivers


Batch capture explained

Batch capture allows you to mark areas of a DV tape, ready for capture in one go. There are several reason why you might want to do this, rather than capture the footage "manually":

  • Batch capture allows you to accurately mark sections of the tape
  • Batch capture allows you to mark large sections of the tape quickly
  • Once started, batch capture does not need any further user input
  • It is possible to save a project with the batch capture items in the Media Explorer. These items can re-capture the relevant video clips again if required. This makes it possible to back up a project without storing the actual video and therefore saving a large amount of disk space.

In order for batch capture to work, EditStudio must have control over the DV device. This means that you must have the Microsoft DV camcorder driver installed (see the System Info tool if you are not sure).

See Also

  • Microsoft and TI camcorder drivers


Preparing for batch capture

Before you start marking sections of a tape for batch capture, you should set the capture options:

  • Click the "Options" button on the main capture page
  • Click the "Batch capture" tab
  • Enter the tape name

You can probably leave the rest of the entries to their defaults, but it is a good idea to enter the tape name so that EditStudio will prompt for the correct tape (if needed) during the batch capture process.

See Also

  • Marking sections for batch capture
  • Performing batch capture


Marking sections for batch capture

To mark the start of a section for batch capture, move the tape to the start of the section by using the device controls.

Now, click the mark start button.

Next, position the tape at the point at which you wish the section to end. Click the end button.

This will now add a new batch entry to the Media Explorer.

Repeat this process, building up the list of batch items as required.

See Also

  • Performing batch capture


Performing batch capture

To start batch capture, click the start batch button.

You will be prompted for tapes as required.

See Also

  • Marking sections for batch capture


Organising Your Media

  • Where is the EditStudio 2 media files list?
  • Why organise?
  • What are media items?
  • Introduction to the Media Explorer
  • Special folders
  • Selecting multiple items
  • Moving an item
  • Copying an item
  • The difference between video items and video clips
  • Renaming an item
  • Deleting an item
  • Adding an item to the storyboard
  • Adding an item to the timeline
  • Storing an item from the storyboard
  • Storing an item from the timeline
  • Keeping an effect preset
  • Exporting parts of the Media Explorer
  • The toolbar


Where is the EditStudio 2 media files list?

The Media Explorer replaces the EditStudio 2 media files list.

The media files list under EditStudio 2 was a simple tool that kept a list of the media files in your project. This could allow you to easily add these files back to the project without having to find and re-import the files from disk. The Media Explorer provides this functionality, but also offer the following:

  • Ability to store video clips, as well as whole files
  • Shows thumbnail previews of media items
  • Allows hierarchical organisation of items
  • Stores effects and transitions
  • Keeps effect and transition settings, for use as presets

See Also

  • Storing an item from the storyboard
  • Storing an item from the timeline


Why organise?

It's not required that you keep yourself organised when using EditStudio, but it will make your life much easier if you do.

When you edit a project using EditStudio, you will probably end up using a number of video items, bitmaps, audio files, effects and transitions. By keeping organised it will make it much easier to deal with the large number of items that you will use during a project. If you produce a number of similar movies, you may wish to organise various items "globally" so that they can be accessed by many projects.

To help you remain organised, EditStudio has a Media Explorer which can be used for storing a variety of media items.

See Also

  • Introduction to the Media Explorer
  • What are media items?


What are media items?

Media items have been traditionally thought of as:

  • video files
  • audio files
  • bitmap files

EditStudio broadens this definition to include:

  • video clips (sections of a video file)
  • video effects
  • video transitions
  • audio filters

Clearly, there are some differences between the top list and the bottom. Files occupy space on the hard drive and are usually captured from source material. The items in the lower list are less tangible, and only really exist inside the EditStudio project. What links all the items are the similar ways that they are used within EditStudio: all EditStudio projects are made from an assembly of media items.

See Also

  • Introduction to the Media Explorer


Intro to the Media Explorer

The basics of the Media Explorer should be familiar - it is based on the Windows Explorer.

The structure consists of a hierarchical arrangement of folders, which can contain media items or other folders. The structure is shown to the left of the Media Explorer as a tree. Access this tree in the same way that you would use the Windows Explorer. Selecting a folder by clicking on it will show its contents to the right of the Media Explorer.

The main area of the Media Explorer displays the items contained within the selected folder. You can select items in the area and move, delete, rename them or change their properties. You can drag items from this area to the storyboard or the timeline to add items to an EditStudio project.

Along the top of the Media Explorer is a toolbar, giving instant access to common operations.

See Also

  • Using The Media Explorer


Special folders

There are a number of special folders in the Media Explorer:

Global | Contains all the folders that are available to all EditStudio projects. This folder will be visible to all EditStudio projects, allowing items to be shared between projects.
Project | Project specific folder. Items in this folder can only be used with the current project.
Captured | When using capture, all captured files and / or clips will be placed in this folder. The Captured folder in the Project folder will be used when a project is loaded, whereas the Captured folder in the Global folder will be used if no project is loaded.
Batch Capture | When setting sections of video to be batch captured, the items will be placed in this folder. As with the Captured folder above, this folder exists in both the Global and the Project folders.
Video Effects & Transitions | Holds the video effects and transitions that can be used in any project.
Audio Filters & Transitions | Holds the audio filters and transitions that can be used in any project.

Special folders cannot be deleted and are marked with a padlock [image] to show this.


Selecting multiple items

To select multiple items in the Media Explorer, hold down the Control key on the keyboard while clicking on the items.


Moving an item

Moving an item in the Media Explorer is very much like moving an item in Windows Explorer. Simply drag the item to the new folder:

You can also drag items to the folder hierarchy tree at the left of the Media Explorer.

See Also

  • Copying an item


Copying an item

To copy an item in the Media Explorer:

  • Select the item in the Media Explorer
  • Right-click the item and select "Copy" from the popup menu
  • Right-click over the Media Explorer and select "Paste" from the popup menu

This will create a copy of the item, with its name changed to ensure that it remains unique in the folder.

See Also

  • Media Item popup menu
  • Media Explorer popup menu


The difference between video items and video clips

A video item is a whole file, whereas a video clip is a section of a file.

To change a video file to a clip:

  • Right-click on the video item
  • Select "Mark In / Out" from the popup menu
  • Select the section that you wish to use.

To change a video clip to an item:

  • Right-click on the video clip
  • Select "Properties" from the popup menu
  • Check "Use entire file" checkbox in the properties dialog box


Renaming an item

To rename an item you can:

  • Click on the item's name and hover over the name.
  • Edit the name.

or

  • Select an item
  • Right-click on the item and select "Rename" from the popup menu.
  • Edit the name


Deleting an item

You can delete an item by:

  • Selecting the item
  • Press the "Del" key on the keyboard

or

  • Right-click on the item
  • Select "Delete" from the popup menu


Adding an item to the storyboard

You can add a media file, effect or transition to the storyboard. Select from the list below:

  • Adding a media file
  • Adding a transition
  • Adding a video effect


Adding an item to the timeline

Select what type of item you wish to add from the list below:

  • Adding a media file
  • Adding a transition
  • Adding a video effect

You can also add some effects as toppings to other items. Read more in Adding a topping.


Storing items in the Media Explorer

Any item in the storyboard can be dragged from the storyboard to the Media Explorer.

You may wish to do this to store the item for use elsewhere, or to temporarily store the item for use later in the project. Items that have toppings will have their toppings copied into the Media Explorer as separate items; this allows you to reuse toppings with their settings easily across the project.

See Also

  • Organising your media


Storing items in the Media Explorer

You can store any item from the timeline for use later, or elsewhere in the project, by using the Media Explorer. To store an item in the Media Explorer, simply drag it from the timeline to the Media Explorer.

See Also


Keeping an effect preset

You can keep the settings for any effect by dragging it from the storyboard or the timeline to the Media Explorer. This allows you to use the same settings for an effect throughout a project.

See Also

  • Storing an item from the storyboard
  • Storing an item from the timeline


Exporting parts of the Media Explorer

If you want to use a folder of the Media Explorer you can either:

  • Copy or move it to the Global folder, where it can be accessed by all projects
  • Export the folder as a file

This article covers the latter option.

To export a folder:

  • Right-click on the folder to export
  • Select "Export" from the popup menu
  • Choose a suitable filename

The exported file will have a .eds_libr file extension, showing that it is an EditStudio library. You can then import this library file back into EditStudio by:

  • Right-click on the Media Explorer
  • Select "Insert > Library" from the popup menu

Note: this process can be used to export individual items - simply select the items, right-click and select "Export" as described above.

See Also

  • Media Explorer popup menu


The toolbar

The functions of the toolbar are described below:

The current folder. Click the drop-down list and select another folder for an quick way of navigating the Media Explorer.
Up to parent folder
Delete item
Cut item
Copy item
Paste item(s) from clipboard
Go to special folder. You can go directly to the:
  • Media Explorer home (root)
  • Captured
  • Batch Captured
  • Video Effects & Transitions
  • Audio Filters & Transitions
Show the items as:
  • Large icons
  • Details

The menu also allows you to turn show / hide the folder tree to the left of the Media Explorer.


Using The Storyboard

  • What is the storyboard?
  • How the storyboard differs from the timeline
  • Adding a media file
  • Adding a video effect
  • Adding a transition
  • Changing an effect's properties
  • Changing a transition's properties
  • Changing the view
  • Selection tools
  • Moving an item
  • Setting an item's mark in / out times
  • Storing items in the Media Explorer


What is the storyboard?

The storyboard used to quickly build project by placing clips one after another.

The storyboard is very useful for:

  • Creating a simple movie
  • Creating the basis for a movie, which you edit in greater detail in the timeline
  • Creating the basis for a movie, which you can apply additional changes in the timeline

The storyboard consists of a number of storyboard item, which usually represent a video clip but can be used to show an effect or some text.

If you are not sure whether you should be using the storyboard or the timeline, see How the storyboard differs from the timeline.

See Also

  • The Storyboard Page
  • What is the timeline?
  • Using the timeline


How the storyboard differs from the timeline

The storyboard and the timeline are both used to edit your movie in EditStudio. How you choose which method to use will depend on the type of movie you wish to make.

In general:

  • The storyboard is easier and simpler than the timeline
  • The timeline is more powerful and can make more complex movies

Often this choice is not so simple. There is a strong connection between the storyboard and timeline, in that the storyboard works by automatically building a project on the timeline. When the storyboard is in use, any changes made to the storyboard are immediately reflected in the timeline. While the storyboard is in use you cannot manually edit the storyboard-generated items because EditStudio keeps them on special storyboard layers.

Typical uses for the storyboard are shown below.

  • Use the storyboard throughout. The storyboard lets you arrange your clips along with transitions between them. Effects can be added to the video. The whole movie can be built using the Build Wizard as normal.
  • Use the storyboard to build the majority of the movie. For the more complex parts of the movie, perform the edits in the timeline but leave the storyboard active.
  • Use the storyboard to form the starting point of the movie. Turn off the storyboard when the basic order of the clips has been established and then edit the movie entirely in the timeline.


Adding a media file

Possibly the most basic operation you will want to perform with the storyboard is to add a video clip. You can do this by either dragging from the Media Explorer or dragging from a Windows Explorer window. If you drop the media file on a storyboard item, the media file will be inserted at this position. If you drop the media item onto the storyboard itself, or an unused storyboard item, the media file will be inserted at the end of the movie.

Dragging From The Media Explorer

Simply drag your media file from the Media Explorer. To find out how to get media files in the Media Explorer, see the Organising your media section.

Dragging From Windows Explorer

Simply drag your media file from a Windows Explorer window.

See Also

  • Organising your media
  • Timeline, Adding a media file


Adding a video effect

You can add a video effect to any item by dragging it from the Media Explorer onto an item.

The effect is added as a topping and shown in the topping list to the right of the storyboard. To change the properties of the effect, select it in the toppings list and the properties window will show the effect's properties.

See Also

  • Adding a transition
  • Organising your media


Adding a transition

You can add a transition to change from one video clip to the next. Drag the transition from the Media Explorer to the gap between the two video items.

To change the properties of the transition, select the transition by clicking on it and the properties will be shown in the properties window. To change the duration of the transition (the amount of time over which the transition runs), right-click on the transition and select Duration from the popup menu.

The transition of the audio between the two items involved will be a simple cross fade.

See Also

  • Timeline, Adding a transition


Changing an effect

Changing an effect's properties

Selecting an effect in the storyboard will show its properties in the properties window; this will allow you to change them. You can also change a topping's properties by selecting the topping from the list at the right of the storyboard.

To change the effect's properties, simply change the controls in the properties window. The changes will be reflecting in the item and the preview. You can undo any changes by selecting Undo from either the main menu or the toolbar.

See Also

  • Changing a transition's properties
  • Video effects


Changing a transition

Changing a transition's properties

Selecting a transition in the storyboard will show its properties in the properties window. This will allow you to change the transition's properties along with its source layers.

To change the transition's properties, simply change the controls in the properties window. The changes will be reflecting in the item and the preview. You can undo any changes by selecting Undo from either the main menu or the toolbar.

See Also

  • Changing an effect's properties
  • Video transitions


Changing the view

You can change the way the storyboard displays its items to help display the information you need.

Scrolling

Move up and down the available item by using the back and forward buttons above and below the main storyboard area.

Item Size

You can zoom in / out to resize the items. The larger the items, the more information is displayed and the clearer the item's poster frame. The larger the items however and less items you can see for a given screen size.

To resize the items:

  • Select the magnify tool [image] from the toolbar. Click on the storyboard to zoom in, right-click to zoom out.
  • Right-click on the storyboard and select the frame size from the popup menu.

Item Information

Items can show their information as either an image or as text. To change the information, right-click on the item and use the View section of the popup menu. The two views are shown as:

Image

The item contains the start time at the top, a poster frame representing the contents of the video clip and the item's name at the bottom.

Text

The item contains the start time at the top, the item's name in the middle and the item's notes at the bottom.


Selection tools

The following tools are available for selecting items:

Click on item | Select item
Click on storyboard | Deselect all items
Ctrl+Click on item | Toggle selection state of item
Drag | Select all items in selection area
Ctrl+Drag | Toggle selection state of all items in selection area


Moving an item

To move an item, simply drag it to the new position.


Setting an item's mark in / out times

You can select an item's mark in and out times so that the item represents only part of a whole media file. Select Mark In / Out from either the Item menu or the item's popup menu. This will open the Mark In / Out dialog.

See Also

  • Mark In / Out dialog


Using The Timeline

  • What is the timeline?
  • How the timeline differs from the storyboard
  • How layers work
  • How layers differ from tracks
  • Moving the time cursor
  • Adding a media file
  • Adding a video effect
  • Adding a topping
  • Adding a transition
  • Changing an effect's properties
  • Changing a transition's properties
  • Changing the view
  • Changing an item's view
  • Selection tools
  • Moving an item
  • Resizing an item
  • Setting an item's mark in / out times
  • Storing items in the Media Explorer
  • What are storyboard layers?
  • The pros and cons of toppings
  • What are markers?
  • Adding markers
  • Using markers
  • The red / green in the time bar explained


What is the timeline?

The timeline allows you to accurately arrange your project in time.

The timeline is very useful for:

  • Creating a complex movie
  • Building on and adding to a storyboard movie
  • Advanced audio editing

The timeline consists of a number of layers, which can contain layer items. Layers are rendered from bottom to top, meaning that complex effects can be build by building on top of previous effects. For a full description of how layers work, see How layers work.

If you are not sure whether you should be using the timeline or the storyboard, see How the storyboard differs from the timeline.

See Also

  • The Timeline Page
  • What is the storyboard?
  • Using the storyboard


How the timeline differs from the storyboard

See How the storyboard differs from the timeline.


How layers work

EditStudio's timeline is a collection of layers, which works like layers of transparent film. Think of the final movie as being the result of "looking down" at all the layers from above.

You can place video on a layer or an effect. Some effects are "transparent", which means that they "see through" to the layer below and effect the underlying image. For example, if we wanted to add a gradient wash to an item of video, we would arrange it as below:

Here, the source video clip (a car driving away from us) is placed on layer 2. On layer 1, which is above layer 2, we have placed a purple gradient wash effect to add a vibrant unnatural colour to sky. When calculating the frames for the final video, EditStudio will first render the video clip and then proceed to render any addition layers on top of this layer. The final movie therefore has a section where the effect adds a purple sky.

You can have any number of layers in a project and it is possible to create some very complex and impressive effects by layering up video in this manner.

Audio

Audio is not treated in the same way as video - it is mixed as tracks. For more information on how audio is handled, see the Audio section.

See Also

  • Adding a video effect
  • Toppings


How layers differ from tracks

Apart from layers, the other popular method of arranging video for editing is to use tracks. Many other video editing packages use tracks rather than layers. We have chosen to use layers with EditStudio as we feel that they offer much more editing power than layers.

Tracks

Many video editing packages use the A/B roll analogy when editing. The "A/B roll" refers to the two reels of film that were used to be the source of material for a final movie. All transitions would go from A-to-B or B-to-A and the film editor would swap the reels for alternative material as necessary. Other video editors continue to use this analogy with their digital video editing programs. This method of working may be familiar to seasoned video editors, but it ignores much of the capabilities available to today's modern desktop PCs by forcing an old workflow that was limited by practical reasons when using reels of film.

Layers

For a description of how layers work, see How layers work. Rather than having two main tracks (A and B), EditStudio allows any number of layers. You can work like the traditional tracks methodology and arrange items one after another, or you can use effects and transitions to build the contents of one layer by using video from another. This allows you to combine any number of layers to create your final composition - a truly powerful concept.

Layers allow the following:

  • Transition effects can become the source for other transitions
  • Effects can be applied in any order, over any part of any item(s)

Now of course we're not saying that you should start using this sort of power straight away, but it does mean that you're more likely to be able to build a desired effect using layers that with tracks.

See Also

  • How layers work
  • Adding a video effect
  • Adding a topping
  • Adding a transition


Moving the time cursor

The time cursor determines which frame is currently shown in the preview. To move the time cursor, click and drag the time cursor in the time bar.

You can also press the left / right cursor keys to move the time cursor back / forward by one frame. Use the up / down keys to move the previous / next item.

Make sure that the timeline is selected by clicking on it before you use the keyboard shortcuts, otherwise the key presses may go to another window.


Adding a media file

Possibly the most basic operation you will want to perform with the timeline is to add a media file. You can do this by either dragging from the Media Explorer, dragging from a Windows Explorer window or using the menus.

Dragging From The Media Explorer

Simply drag your media file from the Media Explorer. To find out how to get media files in the Media Explorer, see the Organising your media section.

Dragging From Windows Explorer

Simply drag your media file from a Windows Explorer window.

Menu

Either select Insert > Media File from the Edit menu, or right-click over any layer and select Insert > Media File from the popup menu.

See Also

  • Organising your media
  • Storyboard, Adding a media file


Adding a video effect

Video effects can be added to layers or as toppings. This section covers adding the effect as an item to a layer, see Adding a topping for the alternative method of adding an effect. For a comparison of the two methods, see The pros and cons of toppings.

To add an effect to a layer, drag it from the Media Explorer to desired location on the layer.

The effect will then apply to any video on the layers below the one to which it was added.

See Also

  • Adding a topping
  • How layers work
  • The pros and cons of toppings


Adding a topping

Video effects can be added to layers or as toppings. This section covers adding the effect as a topping, see Adding a video effect for the alternative method of adding an effect. For a comparison of the two methods, see The pros and cons of toppings.

To add an effect to an item, drag it from the Media Explorer to desired item.

The effect will then apply to the item to which it was added.

See Also

  • Adding a video effect
  • How layers work
  • The pros and cons of toppings


Adding a transition

To add a transition to a project, simply drag it to a layer above the items that you wish to use in the transition.

If you have Snap To Item turned on, the transition will automatically snap to the correct items and set up its source and destination layers correctly. If you want to change the source layers, click on the item and edit its source layers in the properties window. See Changing a transition's properties for more information.

See Also

  • Adding a video effect


Changing an effect

Changing an effect's properties

Selecting an effect in the timeline will show its properties in the properties window; this will allow you to change them. You can also change an topping's properties by selecting the topping from the item popup menu.

To change the effect's properties, simply change the controls in the properties window. The changes will be reflecting in the item and the preview. You can undo any changes by selecting Undo from either the main menu or the toolbar.

See Also

  • Changing a transition's properties
  • Video effects


Changing a transition

Changing a transition's properties

Selecting a transition in the timeline will show its properties in the properties window. This will allow you to change the transition's properties along with its source layers.

To change the transition's properties, simply change the controls in the properties window. The changes will be reflecting in the item and the preview. You can undo any changes by selecting Undo from either the main menu or the toolbar.

See Also

  • Changing an effect's properties
  • Video transitions


Changing the view

The view of the timeline can be changed in several ways.

Moving Through The Layers

To move up and down through the layers, use the scrollbar to the right of the time bar.

Moving Through Time

To go backwards and forward through the project, use the scrollbar below the timeline. You may also click on the top layer view and drag the project using the hand tool.

Zooming In And Out

To magnify or reduce the timescale for the time timeline you can:

  • Select the magnify tool [image]. Click to zoom in to the project, right-click to zoom out.
  • Right-click on the Time Bar and select a zoom level from the popup menu.

See Also

  • Time Bar popup menu


Changing an item

Changing an item's view

You can change the way an item is displayed in the timeline by selecting the View submenu of the layer item popup menu. The following options are available:

All

Shows a continuous sequence of frames along the duration of the item. Audio items show a continuous audio waveform. Note that not all frames are shown in this view, unless the timeline is shown at maximum zoom. See Changing the view for more information.

Start and End

Shows the start and end frames of the item only. Any space between these frames shows text information about this item.

Text

The item is drawn containing the item's name, start and end time. If any notes are associated with the item, these are also included. This view is very fast to draw, as no frames have to be rendered.


Selection tools

The following tools are available for selecting items:

Click on item | Select item
Click on layer | Deselect all items
Ctrl+Click on item | Toggle selection state of item
Drag | Select all items in selection area
Ctrl+Drag | Toggle selection state of all items in selection area


Moving an item

Click on an item and drag to move the item. Moving to the right will move the item later in the project, to the left will move the item earlier. You can drag an item onto a different layer, but transitions cannot be dragged lower than any source layer they may use.


Resizing an item

You can resize an item by clicking and dragging the edges of an item.

Resizing the start of an item will change the start time of the item. Resizing the end of the item will change the end time of the item by changing the item's mark out time.

See Also

  • Setting the mark in / out times


What are storyboard layers?

The timeline may show layers in pink, which are the storyboard layers. The storyboard layers are used by the storyboard to automatically build a project from the information contained within the storyboard. These layers are different from normal layers in the following ways:

  • You can only add or remove items from the storyboard layers by using the storyboard
  • You cannot select items on a storyboard layer
  • You cannot delete a storyboard layer

It is possible to convert the storyboard layers to normal layers by:

  • Right-clicking over a storyboard layer and unchecking the Storyboard Layers from the popup menu.
  • Unchecking the Storyboard Layers option in Layer menu of the main menu.

See Also

  • Using the storyboard


The pros and cons of toppings

Effects can be added to a project either as items to a layer, or as toppings to an item. See Adding a video effect and Adding a topping for descriptions of the two methods. The advantages and disadvantages of the two are listed below:

As Item

Advantages

  • Ultimate flexibility. Effect can apply to just part of an item, or to many items
  • Easy to see on layers

Disadvantages

  • Takes up space on layers
  • Doesn't automatically move with the item to which it might be associated with

As Topping

Advantages

  • Doesn't take any extra space on layers
  • Attached to an item, so moves with that item

Disadvantages

  • Must apply to just one item and must apply to the whole of that item
  • Difficult to see at a glance


What are markers?

Markers are ways of marking areas of a project or individual items. You may want to do this:

  • As a way of marking an area of a project to build. The build wizard lets you select times based on global project markers.
  • To allow you to quickly move the time cursor to marked areas.
  • For reference, to highlight an area.

Markers consist of start and end times, so that regions can be marked. You may set the start and end times to be the same if you only want to mark one specific time.

Markers are displayed on the timeline as small flags.

See Also

  • Using Markers


Adding markers

You can add markers to the project, or to an item on the project.

Project Markers

Markers that belong to the project are also called "global" markers. To add a new set of markers:

  • Move the time cursor to the position where you want to add the markers
  • Right-click on the time bar to open the time bar popup menu
  • Select "Markers > Add Marker"

Item Markers

You may also add markers to any item. These markers will move with the item. To do this:

  • Move the time cursor to the position where you want to add the markers
  • Right-click on the item top open the layer item popup menu
  • Select "Markers > Add Marker"

See Also

  • Using markers
  • What are markers?


Using markers

Markers can be moved by clicking on them and dragging them to the left or right.

A small popup preview will open showing the project frame at that particular time.

You can change the colour of the marker as well as any notes attached to it from the properties dialog. To open this dialog:

  • Right-click on the marker
  • Select "Properties" from the popup menu

To delete a marker:

  • Right-click on the marker
  • Select "Delete" from the popup menu

See Also

  • What are markers?
  • Adding markers


The red

The red / green in the time bar explained

When editing a DV project, In the timebar you will see sections marked in red and green.

The green represents sections of the project that can be exported by DV Builder without rendering, or that have already been rendered. The red represents areas that need to be rendered by the DV Builder.

See Also

  • Building DV sections


Building A Movie

Once you have edited your movie using the storyboard and / or timeline, you can build the movie. There are many options available to you, depending on the movie that you are creating, so the process is tackled by the Build Wizard. The Build Wizard will walk you through the necessary steps needed for each type of movie that you may wish to build.

The first step is shown below:

The options are:

Build DV to file | Uses the DV builder to create a DV AVI file by only rendering the parts of the movie that cannot be used directly from the source video. Transitions and effects will have to be calculated, but DV format source video can be used directly which can greatly increase the speed of building a DV file. Next >
Build DV to DV deck | Uses the DV builder to export the project direct to a DV camcorder or deck. The DV builder must render any transitions or effects, but DV source material can be used directly. No intermediate AVI file is created using this process, so large projects can be built without requiring large amounts of extra disk space. Next >
Build file using preset | Creates a movie file. Movie files can be created in any of the supported output formats, including AVI, QuickTime, MPEG, Real Media and Windows Media Format. Next >
Let me specify my own settings | Builds a movie file by specifying all parts of the process manually. Next >


Audio

  • Changes to audio mixing for EditStudio 3 - Important!

  • Audio overview
  • Audio mixing
  • Rubber bands
  • Changing the volume
  • Performing a fade
  • Audio transitions
  • Changing the balance
  • Panning an item
  • The different between balance and pan
  • Deleting a node
  • Changing the node type
  • Node properties
  • Rubber band editing tools


Changes to audio mixing for EditStudio 3

EditStudio 2 used a layers approach to audio, rather like the video in the program. EditStudio 3 now uses tracks, which play all the audio on all the tracks simultaneously. Whereas layers allow a great deal of flexibility for editing audio, the addition of EditStudio 3's rubber bands makes the majority of common audio editing tasks (changes in volume, balance and pan) possible directly to the audio source. Users of EditStudio also tend to be familiar with stand-alone audio editors which use a track analogy for arranging audio compositions. For these reasons we therefore decided to change EditStudio 3 to also use tracks.

Loading an EditStudio 2 project into EditStudio 3 will still use a layers approach to audio editing, but you have the option of changing to a tracks approach on the project page.

Please note the following:

  • Changing from layers to tracks is a one-way process. You cannot reverse this operation.
  • Tracks are not a direct replacement for layers. Converting a project will mean that the audio in the project will be treated differently and may sound different. You will have to perform any changes to the project manually.


Audio overview

You can edit the audio of an EditStudio project from either the storyboard or timeline page.

Storyboard

The audio level of each item is set using the volume slider at the right of the storyboard page. For more information, see the information on the controls for the storyboard page. Placing a transition between two items will automatically perform a cross fade between the audio of the two items. Without a specific transition, the items' audio will be a simple cut.

Timeline

Audio items are placed on layers, like all other item types in EditStudio. Audio items are shown with their audio waveforms to (a) distinguish them from video items and (b) to help the editing process by locating loud or quiet periods or matching edits to a music beat.

All audio items are played simultaneously - ie. there is no preference given to items placed on the upper layers. This is in contrast to video items, whereby items on higher layers take preference to items on lower layers. If several audio items are present on different layers at the same time, the final audio output will the mix of all the items.

Every audio item has a number of rubber bands associated with the item. These rubber bands are used to control the item's volume, balance or pan.

See Also

  • Audio mixing
  • Audio transitions


Audio mixing

Audio mixing in EditStudio is very easy. As audio items will mix together if they are present on different layers at the same time, simple mixing is handled automatically. For example, in the example below:

the audio in layer 2 will play throughout the project. The audio on layer 1 will only start at 15 seconds into the project. From this time, both audio items will be mixed together and can both be heard at the same time. See the section on Changing the volume for details on how to change the volume of an item in a mix.

See Also

  • Changing the volume
  • Audio transitions


Rubber bands

Changing an audio item's volume, balance or pan is done by using a rubber band. A rubber band is, as the name suggests, a line that you can stretch over the item to set the volume, balance or pan at a particular point in the item. The default rubber band is the volume rubber band, which is shown in red over the item. The rubber band will start off as flat:

This represents the volume of the item at 100% (normal). You can change the volume of an item by clicking on the rubber band and dragging it up to increase the volume or down to decrease it.

Every time the rubber band is clicked on, a new node is created. These nodes can be moved at any time by clicking on them and dragging them around. You can delete a node by dragging it off the item. to move two items together to move a section, hold down Control while dragging the section.

Balance and pan rubber bands are shown in green and blue respectively and can be dragged around to move the audio between the left and right stereo channels. To view another rubber band, right-click over the item and use the popup menu.

See Also

  • Changing the volume
  • Changing the balance
  • Panning an item


Changing the volume

You change the volume of an audio item by dragging its volume rubber band. The default rubber band starts off with the volume set at 100% throughout the item.

To change the volume, click on the rubber band and drag it up to increase the volume or down to reduce the volume. A node at the top of the item represents a doubling in volume. A node at the bottom of the item represents no audio (silence).

The following example shows a period of silence in the middle of the item.

The following example shows an increase, decrease, slow increase, rapid decrease followed by a return to normal volume level.

To move two nodes together to move a section, hold down Control while dragging the section.

See Also

  • Changing the balance
  • Panning an item


Performing a fade

Fading an audio item is simply a matter or setting the starting or end volume to be zero. The following step show how to fade out an item; a similar procedure is used for fading in an item.

Step 1 - Show volume rubber band

Make sure that you are viewing the volume rubber band on the item. Right-click over the time and select the Volume entry under the Rubber Bands section of the popup menu.

Step 2 - Drag the end to zero

Drag the end of the volume rubber band to the bottom of the item.

This will cause the whole item to slowly fade to zero.

Step 3 - Set the start of the fade

To set the starting point of the fade, drag another node to the correct start position.

You will find that the node will automatically snap to the centre volume position (100%). The final fade will look like below.

See Also

  • Changing the balance
  • Panning an item


Audio transitions

An audio transition, or cross fade, is performed by placing the two audio item slightly overlapping and changing the audio volume at the item edges.

Step 1 - Overlap the two audio items

Make sure that the two item you wish to fade between are slightly overlapping.

In the example above, there is a 1 second overlap happening between 59 seconds and 1 minute. This would result in the item on layer 2 playing until 59 seconds, both items playing for 1 second the only the item on layer 1 playing from 1 minute onwards. To perform the fade, we must fade one item out while the other fades up.

Step 2 - Add fades

Add the fades as shown below.

This will ensure that as the item on layer 2 fades down, the item on layer 1 fades up.

See Also

  • Performing a fade


Changing the balance

You change the contribution of the left and right stereo audio channels by changing an audio item's balance.

Step 1 - Show the balance rubber band

Make sure that you are viewing the balance rubber band on the item. Right-click over the time and select the Balance entry under the Rubber Bands section of the popup menu.

Step 2 - Drag the rubber band

Drag the rubber band up to move the audio balance to the left channel, drag the rubber band down to move the audio balance to the right channel. If you move the rubber band entirely to the top, there will not be any audio from the right channel. Similarly, moving the rubber band to the bottom of the item will result in no audio from the left channel.

The following example shows an audio item with the audio balance set partly to the left:

See Also

  • The difference between balance and pan
  • Rubber bands
  • Changing the volume


Panning an item

You change an item's audio content towards one channel by changing its pan.

Step 1 - Show the pan rubber band

Make sure that you are viewing the pan rubber band on the item. Right-click over the time and select the Pan entry under the Rubber Bands section of the popup menu.

Step 2 - Drag the rubber band

Drag the rubber band up to move the audio content to the left channel, drag the rubber band down to move the audio content to the right channel. If you move the rubber band entirely to the top, there will not be any audio from the right channel and the left channel will contain both the original left and right channels.

The following example shows an audio item with the audio pan set entirely to the right:

See Also

  • The difference between balance and pan
  • Rubber bands
  • Changing the balance


The difference between balance and pan

There is a difference between changing an audio item's balance and its pan.

Balance

The balance reduces the audio volume of one channel to make the other more prominent. The content of each channel remains the same - it is only the volume of the channel that is changed.

The table below shows the contents of both channels for various levels of balance to the left:

Percent balance to left | Left channel contents | Right channel contents
0% (centre position) | 100% left | 100% right
25% | 100% left | 75% right
50% | 100% left | 50% right
75% | 100% left | 25% right
100% | 100% left | 0% right

Pan

Panning a channel not only reduces the volume of one channel but it also mixes a proportion of this channel into the other channel. The greater the pan, the lower the volume of one channel and the more of that channel's content that is mixed to the other channel.

The table below shows the contents of both channels for various levels of pan to the left:

Percent pan to left | Left channel contents | Right channel contents
0% (centre position) | 100% left | 100% right
25% | 87.5% left + 12.5% right | 75% right
50% | 75% left + 25% right | 50% right
75% | 62.5% left + 37.5% right | 25% right
100% | 50% left + 50% right | 0% right


Deleting a node

To delete a node from a rubber band, simply drag it off the item.

See Also

  • Rubber bands


Changing the node type

By default, the changes between the nodes of a rubber band are performed as straight lines - these lead to a constant rate of change between nodes. You may choose an alternative node type by right-clicking on a node and selecting a different type from the popup menu. Alternative types can be used for different audio effects or to provide a smoother change between nodes.

See Also

  • Rubber band node types


Node properties

To show a node's properties dialog, right-click on the node and select Properties from the popup menu.


Rubber band editing tools

The following editing tools are available for editing a rubber band:

Drag rubber band | Adds a new node at the point of the drag start and move the node to the desired position
Drag node | Move node
Drag node off item | Delete node
Ctrl+drag rubber band | Moves both surrounding nodes to allow the movement of a section of the rubber band


EditStudio Interface

  • Menus
  • Dialog Boxes
  • Toolbars
  • Pages
  • Media Explorer
  • Preview
  • Properties


Menus

Main Menu
  • Main

Popup Menus

Timeline

  • Time Bar
  • Marker
  • Layer
  • Layer Item
  • Rubber Band Node

Storyboard

  • Storyboard
  • Storyboard Item
  • Storyboard Transition

Media Explorer

  • Media Explorer
  • Media Item

Preview

  • Preview


Menus

Main Menu

  • File
  • Edit
  • View
  • Item
  • Layer
  • Media
  • Tools
  • Help


Time Bar Popup Menu

  • Zoom >>
    • [zoom levels]
  • Timecode >>
    • Time
    • SMTPE non-drop
    • SMTPE drop frame
  • Go To
  • Markers >>
    • Show Time Bar Markers
    • Show All
    • Hide All
    • Add Markers
    • Properties
  • Insert Space
  • Delete Space
  • DV Builder >>
    • Build
    • Flush
  • Properties


Marker Menu

Marker Popup Menu

  • Move Marker To Time Cursor
  • Move To
  • Move Time Cursor To Marker
  • Delete
  • Properties


Layer Popup Menu

  • Insert >>
    • Media File
    • Layer
    • Layer Below
    • Space
  • Delete Space
  • Delete Layer
  • Storyboard Layers
  • Properties


Layer Item Popup Menu

  • View >>
    • All
    • Start And End Only
    • Text
    • Show Name
    • Show Notes
  • Rubber Bands >>
    • None
    • Volume
    • Balance
    • Pan
    • Properties
  • Refresh
  • Build DV
  • Edit >>
    • Split
    • Link Items
    • Break Link
    • Delete
  • Toppings >>
    • [toppings list]
    • Edit
  • Position
  • Transform
  • Name And Notes
  • Mark In / Out
  • Markers >>
    • Show Markers
    • Add Marker
    • Properties


Rubber Band Node Menu

Rubber Band Node Popup Menu

  • Type >>
    • Linear
    • Accelerating
    • Decelerating
    • S-Type
    • Step, Start
    • Step, Middle
    • Step, End
  • Delete
  • Properties


Storyboard Popup Menu

  • Small Frames
  • Medium Frames
  • Large Frames


Storyboard Item Popup Menu

  • View >>
    • Image
    • Text
  • Refresh
  • Build DV
  • Delete
  • Transform
  • Mark In / Out
  • Poster Frame


Storyboard Transition Popup Menu

  • Build DV
  • Delete
  • Duration


Media Explorer Popup Menu

  • View >>
    • Large Icons
    • Details
  • Arrange Icons >>
    • by Name
    • by Tape
    • by Mark In
    • by Mark Out
    • by Duration
    • by Filename
  • Refresh
  • Insert >>
    • Media Files
    • Library
  • Paste
  • New >>
    • Folder
    • Clip
    • Batch Clip


Media Item Popup Menu

Note: Not all menu items are available for all media item types.

  • Export
  • Cut
  • Copy
  • Delete
  • Rename
  • Detect Scenes
  • Mark In / Out
  • Poster Frame
  • Properties


Preview

Preview Popup Menu

  • View >>
    • All Layers
    • [layers]
  • Save As Bitmap
  • Properties


Dialog Boxes

  • About
  • Batch clip properties
  • Capture, analogue options
  • Capture, DV options
  • Create storyboard layers
  • Customize toolbars
  • Detect scenes
  • Duration
  • DV Builder
  • Insert space
  • Layer properties
  • Layer item mark out
  • Layer item position
  • Go to time
  • Marker properties
  • Mark In / Out
  • Media item properties
  • Notes
  • Options
  • Plugin about
  • Plugins
  • Poster frame
  • Preview properties
  • Project upgrade
  • Purchasing
  • Rubber band node properties
  • Rubber band properties
  • Time bar properties
  • Toppings
  • Transform
  • Trial version


About Dialog

Displays information about the program, including program version (not shown above).


Batch Clip Properties Dialog

Sets the properties for a batch clip media item

Controls

Name | The name of the batch clip. This name will be used in the Media Explorer.
Tape | The name of the source video tape that contains this clip. You will be prompted for this tape when the clip is captured.
Mark in | The mark in time (the start of the clip).
Mark out | The mark out time (the end of the clip).
Mark as captured | Set this checkbox if you want the mark the clip as already captured. Batch clip items that are marked as captured will not be captured again when a whole folder is batch captured.
Notes | Any notes you wish to associate with the item.


Capture options

Capture, analogue options

  • File location
  • VU Meter
  • AVI details
  • Audio
  • Preview
  • Limits


Capture options

Capture, DV options

  • File location
  • AVI details
  • Stills
  • VU Meter
  • Audio
  • Preview
  • Batch capture
  • Limits
  • Scenes


Create Storyboard Layers

Create Storyboard Layers Dialog

Allows you to choose how to set up the storyboard layers.

You can create some layers for the storyboard to use by either:

  • Creating 5 news layers at the top or bottom of the project, or above the selected layer
  • Using the first 5 unused layers in the project

See Also

  • Using the storyboard


Customize Dialog / Toolbars

Determines the look and feel of the toolbars. Also allows additional toolbars to be created.

Controls

Toolbars list | Check a toolbar to make it visible. Note that the Project, Capture, Storyboard, Timeline and Build toolbars are all controlled by EditStudio and will be opened and closed as required. Any toolbars you created can be manually opened or closed.
Show Tooltips | Shows popup tooltips when the cursor hovers over the button in the toolbar.
Cool Look | Displays the the toolbars as the "new look" flat look. Clearing this checkbox will show the toolbars as the older raised "Windows 95" look.
Large Buttons | Not currently used.
New | Creates a new toolbar. You will be asked to name the toolbar before you can start adding buttons to it.
Reset | Resets the state of a default toolbar. If a user defined toolbar is selected, this button will display "Delete", allowing you to delete the toolbar.


Detect Scenes Dialog

Automatically generates clips by detecting scene breaks in a video item.

Controls

Sensitivity | Determines how much of a difference between frames is needed to qualify as a scene change. The range is 1 to 100, with the higher the value the less the change needed to create a new clip.
Minimum scene length | The created scenes will not be shorter than this time. You can increase the value to ensure that you don't get very short scenes if there is a lot of action in the video.
Scenes | During and after the scene detection process, this list shows the list of scenes that will be created when the dialog box is closed.
Clear | Clears the list of detected scenes
Start | Starts the scene detection process. You can cancel the operation at any time by clicking the Cancel button
Cancel | Stops the scene detection process, if one is in action, otherwise it closes the dialog box.


Duration Dialog

Set the duration of the item.

Controls

Duration Enter the duration for the item


DV Builder Dialog

Sets the range of the project to build as DV.

Controls

Start | The start time to build
End | The end time to build
Markers | Allows you select the times from the global markers.

See Also

  • DV Builder


Insert Space

Inserts space into a layer.

Controls

Time The amount of time that you wish to insert. The time will be inserted at the current time cursor position.


Layer Properties Dialog

Shows the layer's name, notes and height.

Controls

Name | The name of the layer. This will be displayed in the timeline as well as in effects where a source layer is chosen.
Height | The height of the layer in the timeline. The higher the value, the higher (larger) the layer.
Scrap | Set this checkbox to make the layer a scrap layer. Scrap layers do not contribute to the project's audio or video and are usually used to store items or quickly remove items from the project without deleting them.


Layer Item Mark Out Dialog

Sets the mark out time for a layer item. When dealing with non-audio or video items, this dialog is used in preference to the more complex Mark In / Out dialog.

Controls

Time | The item's mark out time
Markers | Select a time from the item's markers


Position Dialog

The item position dialog allows you to change an item's position on a layer and will also allow you to change the layer that the item belongs to.

Controls

Start time | Sets the start time of the item. If you enter an invalid time (for example, a time that is in use by another item on the layer), the item will be moved to the next available time on the layer when you click "OK".
End time | A read-only time control showing the current end time of the icon. To change the end time of the item, use the Mark In / Out dialog.
Running time | The current running time (in real-time) of the current item. This time will not be the same as the difference between the mark in and mark out time if the item does not have a rate of 100%.
Layer | The layer that the item is currently on. Drop down this list to change the layer. If the item is a video or audio transition, only valid layers will be displayed in the list to avoid invalid layer references being set up.


Go To Time

Moves the time cursor to the desired time.

Controls

Time The time that the time cursor should go to.


Marker Properties Dialog

Sets the marker's start and end times, along with its appearance and notes.

Controls

Start | The start time of the marker
End | The end time of the marker
Appearance | The colour of the marker
Notes | Any notes associated with the marker. These notes are shown in a tooltip when the mouse pointer hovers over the marker.


Mark In / Out Dialog

The item mark in / out dialog allows you to set the item's start and end times into the source media file.

Controls

Mark in time | Sets the mark in time for the item
Mark in markers | Click this button to show a list of markers associated with this item. You can select a marker to use its start time as the mark in time for the item.
Mark out time | Sets the mark out time for the item
Mark out markers | Click this button to show a list of markers associated with this item. You can select a marker to use its end time as the mark out time for the item.
Mark in slider | Change this mark in time by moving this slider. The start and end of the slider represent the start and end of the whole media file.
Mark out slider | Change this mark out time by moving this slider. The start and end of the slider represent the start and end of the whole media file.
Link mark in / out | Click this to ensure that the mark in and out remove equally spaced. This is similar to a "slide edit" in other editing packages.
Apply to linked items | If the item is part of a video + audio pair, setting this item will ensure that the same mark in and out values are applied to both items.


Media Item Properties Dialog

Shows the media item's properties

Controls

Name | The name of the media item. This name will be shown with the item in the Media Explorer.
Filename | The filename of the media item
Choose | Allows you to select another filename for the media item.
Mark in * | If the media item is a clip, allows you to select the mark in time for the clip.
Mark out * | If the media item is a clip, allows you to select the mark in time for the clip.
Use entire file * | Set this checkbox if you want the media item to be the whole media file. Clear this checkbox if you want the media item to represent a clip.
Streams to include * | Sets what to include in the media item - video and / or audio.
Notes | Any notes associated with the item.

* Not available for bitmap media items.


Notes Dialog

Sets the name and notes of an item.

Controls

Name | The name of the item
Notes | Any notes associated with the item


Options Dialog

Changes the program's preferences.

  • General
  • Edit
  • View
  • Cache


Plugin About Dialog

Shows information about the plugin.


Plugins Dialog

Shows the plugins currently available to the program. Right-click over an entry to show a popup menu which will allow you to perform certain operations on the plugin.

Controls

About Select a plugin in the list. Shows information about the plugin.

Popup Menu

About | As above.
Import Properties | Shows a dialog containing properties relevant to importing a media file (media file plugins only).
Export Properties | Shows a dialog containing properties relevant to exporting a media file (media file plugins only).


Poster Frame Dialog

Chooses the poster frame for the item. The poster frame is shown in the item to represent the item.

Controls

Slider | Selects the frame from the media item
Set To Start | Selects the start frame
Set To Middle | Selects the middle frame
Set To End | Selects the end frame
Poster frame time | Manually sets the time in the media file of the poster frame.


Preview Properties Dialog

Sets the properties of the preview. The docked and undocked previews are treated separately, so changing the properties in one preview does not change the other.

  • General
  • View
  • Safe Areas


Project Upgrade

If you open a project from an older version of EditStudio, you will be asked how to deal with the new project.

Controls

Upgrade your project | This will convert your project into a full EditStudio 3 project. It will create a new project folder (given the name in "Project name") and the .eds file will be copied inside the folder. The folder structure described in Files in the project folder will be created.
Don't make any changes | The old project will be opened, but it will not be upgraded the the new project folder structure. Some features like the DV Builder and capture may not work fully.
Cancel | Do not open the project.

See Also

  • Project Open


Purchasing

Visit our web site to find out how to purchase EditStudio.


Rubber Band Node Properties Dialog

Sets the rubber band node's properties.

Controls

Time | The time within the media file of the node.
Value | The value of the node, ranging from -100 to +100
Type | The type of transition from this node to the next. The possible types are listed here.
Acceleration | The amount of acceleration / deceleration applied to the node's type.
Notes | Any notes associated with any the rubber band node.


Rubber Band Properties Dialog

Shows the nodes associated with the volume, balance and pan rubber bands.

Controls

Rubber Band | Selects the rubber band to edit.
[Node list] | A list of all the nodes associated with the rubber band.
Properties | Opens the rubber band node properties dialog, allowing you to change a node's properties.
Add | Adds a new node to the rubber band.
Delete | Deletes the selected node.


Time Bar Dialog

Shows the time bar's properties.

Controls

Zoom | Sets the time step used in the timeline. The lower the time value, the more detail each item is shown.
Timecode | Sets the timecode for the timeline. The can be shown in Time, SMPTE non-drop or SMPTE drop-frame format.


Toppings Dialog

The toppings dialog displays the list of toppings applied to an item. For a video or bitmap item, the toppings are all video effects. For an audio item, the toppings are audio filters.

The toppings are listed to show the order that they are applied to the underlying item - the toppings at the bottom of the list are applied before the top toppings. Think of the list representing the toppings lying on the item and you are "looking" down from the top of the list to see (or hear!) the result.

The order of the toppings in the list can be changed by dragging the items to a different place in the list. Any changes made to the toppings can be undone by closing the dialog and selecting Undo from either the menu or toolbar.

Controls

Delete Deletes the selected topping.


Transform Dialog

Change the appearance of an item.

  • General
  • Deinterlace


Trial Version Dialog

You are starting the trial version of EditStudio and are presented with a number of choices.

Controls

Purchase | Displays the location on the Pure Motion web site where you can find out more information about purchasing EditStudio.
Unlock | Allows you to enter an unlock code to fully unlock EditStudio.
Use Trial | Allows you to continue using the trial version of EditStudio. The first 14 days after installation will allow you to use the program fully, but after this period you will be limited to building a maximum of 20 seconds of movie and each movie will contain a black rectangle in the centre of the frame.


Toolbars

  • Project
  • Capture
  • Storyboard
  • Timeline
  • Build

See Also

  • Customize Toolbars


Project Toolbar

New project
Open project
Save project
Cut
Copy
Paste
Delete
Help


Capture Toolbar

New project
Open project
Save project
Undo
Redo
Close capture device
Start capture
Stop capture
Capture still frame
Capture options
Help


Storyboard Toolbar

New project
Open project
Save project
Cut
Copy
Paste
Delete
Undo
Redo
Pointer tool
Magnify tool
Show preview
Show properties
Help


Timeline Toolbar

New project
Open project
Save project
Cut
Copy
Paste
Delete
Undo
Redo
Pointer tool
Magnify tool
Show preview
Show properties
Help


Build Toolbar

New project
Open project
Save project
Cut
Copy
Paste
Delete
Help


Pages

  • Project
  • Capture
  • Storyboard
  • Timeline
  • Build


Project Page

When there isn't any project loaded into EditStudio, the project page allows you to create a new project or open an existing project. When a project has been loaded into EditStudio the project page shows the current project details. Following the links below for more information on the two:

  • New Project
  • Open Project


Capture Page

Video is captured from external hardware to your PC's hard drive from this page. See Capturing Video for more information.

See Also

  • Capturing Video


Storyboard Page

The storyboard used to quickly build project by simply placing clips one after another. See Using The Storyboard for more information.

Controls

Name | The name of the currently selected item.
Toppings | A list of the toppings applied to the selected item. Select a topping to show its properties in the properties window. You can drag the toppings in the list to re-arrange their order or you can click "Delete" to delete the selected topping from the item.
Notes | Any notes associated with the selected item.
Volume | The audio volume of the selected item. The slider allows a range from mute (no volume) to double the volume. More control is provided over the audio in the timeline.

See Also

  • Using The Storyboard
  • Using The Timeline
  • Audio


Timeline Page

The timeline is used for accurate and complex editing.

See Also

  • Using The Timeline
  • Using The Storyboard
  • Audio


Build Page

The build page takes you through the Build Wizard to create a movie from your project.

See Also

  • Using The Build Wizard


Media Explorer

The Media Explorer is used to organise all your media files and effects.

See Also

  • Using The Media Explorer


Preview Window

Allows the project to be played back immediately to see the results of any edits. The preview window is a PopDock window, so it can be free floating or docked to the main EditStudio window.

Controls

Preview area | Click in the preview to start and stop the preview playing.
Speed slider | Drag the slider to the right to play the preview forwards. Drag to the left to play the preview in reverse. The further the slider is dragged from the centre position, the faster the preview.
 | Play
 | Stop
 | To start
 | Reverse
 | Forwards
 | To end
 | Repeat
 | Mute audio


Properties Window

Displays the properties of the selected item in a PopDock window.

The contents of the properties window will depend on the selected item. Media file items show the properties of the source file, whereas effects and filters will show the properties of that particular effect or filter.

See Also

  • Video Effects
  • Preview
  • PopDock windows


Plugins

  • Media formats
  • Video effects
  • Video transitions
  • Audio filters
  • Audio transitions
  • Tools


Media Formats

Video / Audio

  • AVI (DirectShow)
  • AVI (Video for Windows)
  • AVISynth
  • DV
  • MPEG
  • QuickTime
  • Real Media
  • WAV
  • Windows Media


AVI (DirectShow)

Video plugin based on Microsoft's DirectShow technology. DirectShow is part of the DirectX technology family.

Import

Any video or audio format that is supported by DirectShow.

Export

Any video or audio format that is supported by DirectShow.


AVI (Video for Windows)

Video plugin based on Microsoft's Video for Windows system. Used to support legacy drivers that do not function correctly under the DirectShow system. You should use the DirectShow plugin for importing and exporting AVI format files in preference to this plugin. This plugin does not support AVI files over 2GB in size.

This plugin was originally provided to give support to Matrox MJPEG formatted files created by the Marvel G400-TV or Rainbow Runner hardware.

Import

Any video or audio format that is supported by Video for Windows.

Export

Any video or audio format that is supported by Video for Windows.


AVISynth

Export module for the AVISynth program written by Ben Rudiak-Gould. The plugin allows you to feed movies direct from EditStudio into most programs that accept AVI files.

Import

None.

Export

Exports both audio and video into the AVISynth program. The plugin provides support for both version 1 and 2 of the AVISynth interface. Open the settings dialog to change the plugin's server version.

The plugin saves a ".avs" file based on your export filename which contains the instructions necessary to link AVISynth to the plugin. See the AVISynth documentation for more information on using AVISynth with your programs.

At the time of writing, AVISynth is available for free and can be downloaded from the author's web site at www.math.berkeley.edu/~benrg/avisynth.html.


DV

Video plugin for creating DV format files. A DV file stores the movie in a very high quality format and can be sent to a DV deck or camcorder for recording to a DV tape.

Import

DV import is handled by the DirectShow video plugin (the Windows DirectX system allows the import of a number of non-AVI video formats).

Export

DV export allows the user to change a number of video parameters of the DV file. The video export dialog is shown below.

Controls

DV Format | Choose between PAL or NTSC output. DV resolutions and frame rate are fixed, so you cannot change these.
Video Encoder | You can choose the DV video encoder that will be used to compress the video. If you have installed the latest DirectX Media, Microsoft's "DV Video Encoder" will be chosen by default. Any other DV encoders that you have installed from third party software companies will also be shown in this list.
DV File Type | The DV data is kept inside an AVI format file. If you choose an AVI 2.0 file, the file's size is only limited by the operating system - 4 GB for Windows 95 and 98, unlimited for Windows 2000 and XP. An AVI 1.0 format file is limited to 4 GB (approx 18 minutes of movie), but can be read in by older programs that use the Video For Windows routines. We recommend using the AVI 2.0 format, as this format has less limitations and can be understood by all Pure Motion products.


MPEG

Video plugin for creating MPEG-1 format files.

Import

MPEG-1 import is handled by the DirectShow video plugin (the Windows DirectX system allows the import of a number of non-AVI video formats).

MPEG-2 import is not supported.

Export (Video)

MPEG export allows the user to change a number of video parameters of the MPEG file. The video export dialog is shown below.

Controls

Bit rate | This value is the data rate for the video content of the MPEG file. The total bit rate for the movie will also add the data rate for the audio.
Size | The resolution of the MPEG file. You should ensure that these dimensions are a multiple of 16 pixels to ensure the creation of a valid MPEG file.
Frame rate | Choose from a number of standard preset frame rates.
Aspect ratio | This determines the aspect ratio of the final movie when played back on an MPEG player. It does not affect the resolution of the movie.
Image filtering | MPEG movies are very sensitive to noise in the source video. Click this option to perform some additional image filtering that attempts to remove the noise from the image. If you do not want to perform this (eg. you have a very good quality video source), you should leave this option unchecked, as the processing has the effect of slightly softening the image quality.

Export (Audio)

You can set some aspects of the movie's audio from the settings dialog box.

Controls

Bit rate | The data rate for the audio within the file. The higher the data rate, the better the quality the audio but the larger the movie file.
Stereo | The stereo encoding type. Only change this if you know what you're doing!

Video CD and Super Video CD Formats

The plugin is designed to create MPEG-1 movies for playback on a computer or other suitable device. The movies created with the plugin do not create MPEG files in the Video CD (VCD) or Super Video CD (SVCD) formats. You may find that the MPEG movies created by the plugin do play fine on a VCD, SVCD or DVD player, but this cannot be guaranteed.

See Also

  • How to create a VideoCD movie with EditStudio
  • How to create a VideoCD movie with AVISynth


QuickTime

Video plugin based on Apple's QuickTime technology. QuickTime is a popular standard for producing video for internet applications, due to the wide range of platforms that support QuickTime players.

Import

QuickTime import is handled by the DirectShow video plugin (the Windows DirectX system allows the import of a number of non-AVI video formats).

Export

The QuickTime plugin supports the compression of video by any installed QuickTime compression standard. This includes MJPEG, Cinepack, Indeo.

Audio export supports both 8 bit and 16 bit quality, as well as mono or stereo.

You may export video or audio or both in a QuickTime file. QuickTime files have the ".mov" file name extension.

See Also

  • www.apple.com


Real Media

Exports video and audio in the Real Media Format, suitable for streaming across the internet.

Import

None.

Export

The export dialog allows the user to change the settings of the Real Media file.

Controls

Target audiences | Choose the target audiences for your movie. Adding each target audience will add additional video and audio streams suitable for that streaming speed - the more audiences that you cater for, the larger the final movie file.
Audio content | Allows you to optimise the compression routines for your chosen content type.
Video content | Allows you to optimise the compression routines for your chosen content type.
Title | The title of the movie.
Author | The author of the movie.
Copyright | Copyright owner for the movie.

Additional Copyright

RealSystem(tm) technology is provided under license from RealNetworks, Inc., copyright (c) 1995-2000 RealNetworks, Inc. and/or its suppliers. 2601 Elliott Avenue, Suite 1000, Seattle, Washington 98121, U.S.A. All rights reserved. RealNetworks is a registered trademark of RealNetworks, Inc.


WAV

WAV (Audio only)

Exports audio in the common WAV format.

Import

WAV import is handled by the DirectShow plugin.

Export

Exports audio in a variety of WAV formats, allowing the audio to be used by most Windows (and other operating systems) audio editing programs.

Controls

Sample rate | Choose the sample rate, in samples per second, for the audio. The higher the sample rate, the better the quality of the audio.
Channels | Choose from either mono (one channel) or stereo (two channel) audio.
Resolution | Choose the number of bits required to store each audio sample. 16 bit audio is the most popular format for storing high quality audio, however 8 bit audio produces files of half the size with a noticeable drop in quality.


Windows Media

Exports video and audio in the Windows Media Format, suitable for streaming across the internet.

Import

None.

Export

The export dialog allows the user to change the settings of the Windows Media file.

Controls

Profile | Choose the most suitable profile for your streaming needs. The description of the profile is given in the box to the left-hand side of the dialog. The profile selects the video resolution, frame rate and bit-rates of the streams.
Title | The title of the movie.
Author | The author of the movie.
Description | A short description of the movie.
Copyright | Copyright owner for the movie.
Rating | Description of the content rating for the movie.

Additional Copyright

Portions utilise Microsoft Windows Media Technologies. Copyright ©1999-2000 Microsoft Corporation. All Rights Reserved.


Video Effects

The following video effects are provided with EditStudio:

  • Balance
    • Adjust HSL
    • Adjust HSV
    • Adjust RGB
    • Brightness
    • Contrast
    • Gamma
    • Levels
  • Colour
    • Colourscale
    • Gradient wash
    • Greyscale
    • Isolate RGB
    • Negative
    • Posterize
    • Simple gradient
    • Solarize
    • Solid
    • Swap RGB
    • Tint
  • Fade
    • Fade
    • Fade from black
    • Fade to black
  • Key
    • Chromakey RGB
    • Lumakey RGB
  • Matte
    • Matte
  • Misc
    • Emboss high
    • Emboss low
  • Mix
    • Mix
  • Sharpen & soften
    • Blur high
    • Blur low
    • Focus change
    • Focus change, blurred to sharp
    • Focus change, sharp to blurred
    • Gaussian blur
    • Sharpen high
    • Sharpen low
  • Size
    • Magnify
    • Pan and zoom
    • Picture in picture
  • Text
    • Text
  • Utility
    • Copy


Adjust HSL

Adjusts the Hue, Saturation and Lightness of the video.

Source | Effect

Controls

Hue | Changes the actual colours in the image. The value given is between -180 and +180 degrees around the colour wheel. This shifts all colours by the same amount.
Saturation | Determines how much "pure" colour is present in the image. Increase for vibrant colours, decrease to tend towards a greyscale image.
Lightness | Determines the brightness of the image. Increase to tend the image to pure white, decrease to tend towards pure black.

See Also

  • Adjust HSV
  • Adjust RGB
  • Swap RGB


Adjust HSV

Adjusts the Hue, Saturation and Value of the video.

Source | Effect

Controls

Hue | Changes the actual colours in the image. The value given is between -180 and +180 degrees around the colour wheel. This shifts all colours by the same amount.
Saturation | Determines how much "pure" colour is present in the image. Increase for vibrant colours, decrease to tend towards a greyscale image.
Value | Determines the brightness of the image. Increase to brighten the image, decrease to darken the image.

See Also

  • Adjust HSL
  • Adjust RGB
  • Swap RGB


Adjust RGB

Allows you to change the intensities of the red, green and blue components of the image. This can be used to correct the colour from poorly calibrated video or video from an old source.

Source | Effect

Controls

Red | Increase or reduce the red component of the image.
Green | Increase or reduce the green component of the image.
Blue | Increase or reduce the blue component of the image.

See Also

  • Adjust HSL
  • Adjust HSV


Balance

Allows you to change the colour balance (brightness, contrast and gamma) of an image.

Source | Effect

Controls

Brightness | Brightens or darkens the image. The brightness controls works by adding or subtracting to the RGB colour values (ie. it is not a multiplicative brighten). Values range from -100 to +100.
Contrast | Increases or reduces the contrast of an image. Values range between -100 and +100.
Gamma | Gamma affects how the light and dark colours are treated in an image. An increased gamma value (greater than 1.0) will brighten all the light colours in the image, but leave the dark colours largely untouched. This has the effect of also increasing the contrast. Reduced gamma darkens the dark colours in the image while leaving the light colours largely alone.


Levels

Restricts the maximum and minimum brightness levels in the image. This is useful to avoid images being saturated (under or over-exposed) when displayed on some output devices.

Source | Effect

Controls

Lower | Sets the value of the darkest brightness in the image. The lower the value, the darker the lowest level.
Upper | Sets the value of the highest brightness in the image. The higher the value, the brighter the highest level.
Clip Levels | Checking this ensures that the brightness values between the upper and lower levels remain unchanged - values are only changed if their brightness lies outside the allowable levels. If this option is unchecked than the image brightness is rescaled to fit between the upper and lower limits.

Notes

This effect is typically used to avoid images with areas of extreme light or dark that can cause display problems on some output devices. VHS tape for example does not like areas of extreme brightness or darkness and this effect can be used to ensure that these levels are not used.

Normally, you should try to use the full range of brightness, as this ensures that the contrast remains good in the image.


Colourscale

Colourscale displays the image in varying levels of brightness of the same colour. The effect works in a similar manner to the Greyscale effect.

Source | Effect

Controls

Colour Opens a colour chooser from which you can select the colour to use.

See Also

  • Greyscale
  • Tint


Gradient Wash

Applies a colour gradient to an image. This effect is similar to a graduated filter that is used in photography.

Source | Effect

Typical uses for this effect are:

  • A blue gradient can be used to deepen and enhance the colours of both the sky and the sea.
  • An orange gradient can be used to "warm" a sunset or sunrise.
  • Black or white gradients can be used to reduce the contrast or change the brightness of selected areas of an image.
  • Gradient washes can be used lightly to produce subtle enhancements to an image or they can be used heavily for special effects.

Controls

Type | Sets the orientation and direction of the gradient wash. Vertical (top and bottom) and horizontal (left and right) options are available.
Colour | The colour of the gradient wash. Click on the "Colour" button to open a colour chooser to change the colour.
Level | Increases or decreases the level of the colour mix of the gradient. Choose a low value for subtle effects and a high value for obvious gradients.
Position | Enter the position values for the top, left, right and bottom edges of the gradient wash using these controls. All values are given in percentage values of the overall width and height.
Preview | The preview shows a rectangle which shows the extent of the gradient on the image. You may click on any of the small boxes in the corners or along the edges of the rectangle to resize it. Clicking and dragging from the centre of the box will allow you to move the rectangle.

See Also

  • Simple Gradient


Greyscale

Produces a greyscale image from a colour image.

Source | Effect


Isolate RGB

Allows you to include or exclude a particular colour from an image. Can be used to highlight a coloured item in an image or used to present an item as "dull" when surrounded by colour.

Source | Effect

Controls

Colour | Choose the colour of interest by clicking on the "Colour" button; this will open a colour chooser dialog. By changing the Tolerance value (see below), the plugin can be made to include a range of colours that are similar to your chosen colour Use the eyedropper tool [image] to "pick up" the colour you wish to isolate from the preview. You may also choose whether you wish leave this colour in the image or exclude it from the image.
Tolerance | It is unlikely that you will want to isolate just a single colour, so the tolerance value lets you select a wider range of similar colours. The larger the tolerance value, the greater the number of colours that are isolated.
Feather | Determines how the isolated range of colours blend into the grey surrounding. A larger value here provides a softer "feathered" edge between the colour and the grey.


Negative

Produces a negative image.

Source | Effect


Posterize

Reduces the number of colours in the image.

Source | Effect

Controls

Bits Of Accuracy The number of bits that are used to store the colour information for the red, green and blue components of the image. Normally 8 bits are used for each RGB component, but this can be reduced to between 1 and 7 bits.


Simple Gradient

Creates a simple two colour gradient. This can be used as a background for titles.

Effect

Controls

Type | Sets the orientation and direction of the gradient. Vertical (top and bottom) and horizontal (left and right) options are available.
Colours | Choose the 2 colours used in the gradient.

See Also

  • Gradient Wash
  • Solid


Solarize

Inverts the colours of areas of the image that are above a certain brightness.

Source | Effect

Controls

Level The brightness level above which the image is inverted.


Solid

Creates a solid colour image, which can be used for a background.

Effect

Controls

Colour The solid colour that is used to fill the image.

See Also

  • Simple Gradient


Swap RGB

Allows you to swap the red, green and components of an image. This is a simple method of producing "false colour" images.

Source | Effect

Controls

Colour Choose what you want the red, green and blue components of the image to become.

See Also

  • Adjust HSL
  • Adjust HSV


Tint

Allows you to add a colour "cast" to an image.

Source | Effect

Controls

Colour | The colour of the tint. Click the "Colour" button to open a colour chooser dialog, from which you can select a colour.
Level | The amount of the tint. The greater the level, the more of the colour will be added to the image.

See Also

  • Colourscale


Fade

Fades video from or to a colour. Fading to and from black is a popular method of ending or starting a video sequence.

Source | Effect

Controls

Direction | Choose whether you wish to fade to or from the colour.
Colour | Choose the colour to use in the fade. Click the colour button to open the choose colour dialog.


Chromakey RGB

Mixes a foreground and background image, replacing the foreground image with the background image in areas where the foreground's colours either match a chosen colour or do not match the colour.

Source | Effects

Controls

Layers | Choose the foreground and background layers.
Colour | Choose the colour you wish to include or exclude from the foreground colour. The "fast" option provides a slightly less accurate method of matching colours but one which redraws much faster. Click the eyedropper tool [image] to "pick up" a colour from the preview to use as the keying colour.
Tolerance | It is unlikely that you will want to isolate just a single colour, so the tolerance value lets you select a wider range of similar colours. The larger the tolerance value, the greater the number of colours that are isolated.
Feather | Determines how the isolated range of colours blend into the background. A larger value here provides a softer "feathered" edge between the colour and the background.

See Also

  • Lumakey


Lumakey RGB

Mixes a foreground and background image, replacing the foreground image with the background image in areas where the foreground's brightness (luminance) is either above or below a chosen level.

Source | Effect

Controls

Layers | Choose the foreground and background layers.
Luminescence | Choose the level of brightness (luminance) that should be included or excluded from the foreground image.
Tolerance | It is unlikely that you will want to isolate just a single colour, so the tolerance value lets you select a wider range of similar colours. The larger the tolerance value, the greater the number of colours that are isolated.
Feather | Determines how the isolated range of colours blend into the background. A larger value here provides a softer "feathered" edge between the colour and the background.

See Also

  • Chromakey RGB


Matte

Allows the composition of 2 scenes.

Source | Effect

The levels of brightness in the matte layer are used to determine how much of the background layer is shown through the foreground one. Where the matte layer is dark, the foreground layer is made more transparent so the background shows through. In light areas of the matte layer, the foreground layer is prominent.

Controls

Layers Choose the foreground, background and matte layer for the composition.


Emboss

Emboss low produces a "charcoal drawing" effect from an image. Emboss high produces a more surreal image.

Source | Effect

Controls

Type You may change the convolution filter to another type.


Mix

Mixes on layer of video with another. The mix level remains constant over the duration of the effect.

Source | Effect

Controls

Layers | Choose the foreground and background video source layers.
Foreground Transparency | Choose the transparency of the foreground video. The higher the value, the more opaque (less transparent) the foreground layer.


Blur

Blur produces a "soft focus" effect for an image.

Source | Effect

This blur is a simple effect and is dependant on the build resolution. Use the Gaussian blur effect if you want a more controlled blur.

Controls

Type You may change the convolution filter to another type.

See Also

  • Gaussian bur
  • Sharpen
  • Focus change


Focus change

Allows the effect to "focus in" or "focus out" of an image.

Source | Effect

To perform a "focus in" effect, start with a large blur radius and end with a radius of zero (ie. no blur). A "focus out" effect is done in a similar manner, starting with a blur radius of zero and ending with a large blur radius.

Controls

Start focus blur | Sets the blur radius for the start of the effect, as a percentage of the image width. The larger the blur radius, the greater the amount of blurring of the image.
End focus blur | Sets the blur radius for the end of the effect, as a percentage of the image width. The larger the blur radius, the greater the amount of blurring of the image.
Direction | Sets the blur direction.

See Also

  • Gaussian blur
  • Blur


Gaussian Blur

Gaussian blur provides a controllable amount of blurring of an image.

Source | Effect

Controls

Radius | Sets the blur radius, as a percentage of the image width. The larger the blur radius, the greater the amount of blurring of the image.
Direction | Sets the blur direction.

See Also

  • Blur
  • Focus change


Sharpen

Sharpen produces a sharpened image.

Source | Effect

Controls

Type You may change the convolution filter to another type.

See Also

  • Blur
  • Gaussian Blur


Magnify

Magnifies a rectangular portion of the image.

Source | Effect

Controls

Position | Enter the position values for the top, left, right and bottom edges of the magnification area using these controls. All values are given in percentage values of the overall width and height.
Preview | Drag the rectangular selection box around the preview to select the area to magnify.

See Also

  • Pan and zoom


Pan and Zoom

Allows you to pan and / or zoom an image.

Source | Effect

The plugin has a start and an end rectangle which determines how the the pan / zoom operates. The table below shows how to perform popular operations:

Zoom in | Set the start rectangle to be the size of the full frame. Click "Set ending rectangle". Set the end rectangle to be a smaller rectangle surrounding the area of the image that you want to zoom in to.
Zoom out | As zoom out, but start with a small rectangle and end with a full frame rectangle.
Pan | Set the start rectangle smaller than the full frame. Click "Set ending rectangle" and move the rectangle to the position that you wish the pan to end.

Controls

Movement | Allows you to switch between editing the start and end rectangle positions.
Position | Enter the position values for the top, left, right and bottom edges of the zoomed image using these controls. All values are given in percentage values of the overall width and height.
Copy positions | Allows you to copy the start rectangle to the end, or the end rectangle to the start.

See Also

  • Magnify


Picture in Picture

Allows you insert once picture inside another.

Source | Effect

Controls

Foreground Layer | Choose the foreground layer that will be inserted on top of the background video.
Background Layer | Choose the background layer.
Position | Enter the position values for the top, left, right and bottom edges of the inserted picture using these controls. All values are given in percentage values of the overall width and height.
Preview | Drag the rectangular box around the preview to position and resize the inserted foreground video.


Text

Adds text to a video. Allows easy generation of:

  • Static titles
  • Subtitles
  • Credits
  • Crawling information
Source | Effect

The controls are arranged into a number of sections:

  • Text
  • Placement
  • Fade
  • Pause
  • Effects


Copy

Produces a copy of a chosen layer.

Controls

Layer Choose the layer to make a copy of.


Video Transitions

  • Dissolve
    • Dissolve
    • Dissolve with blur
  • Herb Garden
    • Herb Garden
  • Slide
    • Horizontal slide

    • Vertical slide

  • Wipe

    • Circular wipe

    • Clock wipe

    • Diamond wipe

    • Elliptical wipe

    • Linear wipe

    • Rectangular wipe


Dissolve

Dissolves the source image into the destination image.

Source | Transition

Controls

Layers Choose the source and destination layers from which to blend the images.

See Also

  • Dissolve With Blur


Dissolve With Blur

Blurs and dissolves the source image into the destination image.

Source | Transition

The transition works by first blurring the "from" video before performing a dissolve to the "to" video. Finally, the "to" video is unblurred until it is normal. By default, the dissolve happens during the middle half of the transition (50%), so is partially hidden by the blurring of the video. You may change this dissolve length by using the controls above. A dissolve length of 100% would start the dissolve at the start of the transition and a value of 0% would perform a cut in the middle of the transition at maximum blur.

Controls

Layers | Choose the source and destination layers from which to blend the images.
Dissolve length | The duration of the transition during which the dissolve actually happens. See the notes below for details on how the transition works.
Blur radius | The blur radius that is used as a percentage of the image width. The larger the value, the greater the image blurring.
Blur direction | The direction of the blur.

See Also

  • Dissolve


Herb Garden

Allows an unlimited number of customisable transitions.

Source | Transition

Controls

Source | The source herb bitmap for the transition may come from either a layer of EditStudio, of from a file. If you select a layer, choose the layer name from the lower control. If you select a bitmap file, click the "Choose" button which appears when you select "file". For more information on choosing a file, see below. When choosing a file, you will have option of using a smooth or simple resize. This determines how the input bitmap is resized to the build size before it is used as a herb. A simple resize will work correctly in most cases, but you may wish to use "smooth" to remove the sharp edges of the transition. Smooth resizes can have the undesirable effect of affecting the definition between sharp edges in the herb bitmap where there are very light and very dark colours.
Direction | If the transition operates forwards, dark areas of the herb bitmap will be used to display the background image first. Choosing a reverse direction will ensure that light colours are used first. Selecting "Dual Blend" will perform the transition from the dark and light colours simultaneously.
Number of passes | With a single pass transition, the length of the EditStudio layer item will be the entire length of the effect. By increasing the number of passes, the effect operates several times over the duration of the EditStudio layer item, however each pass will only partially uncover the background image.
Feather | Feathering provides a smooth edge between the foreground and background images. Use small feather values to remove the harsh "computer look" borders between the background and foreground images. Use large feather values to give the transition a "soft" feel.
Tile | The effect is repeated multiple times horizontally and vertically in the frame.
Layers | Choose the foreground and background image layers from the EditStudio project.

Choosing A File

If you have chosen to select a herb bitmap from a file, you will be presented with a file dialog. Simply select the file you wish to use. This file must be a JPEG, PNG or BMP format bitmap. The size of the bitmap is not that important - the bitmap will be scaled to be the same size as your EditStudio project build size. For high quality results we recommend using high resolution bitmaps and scale them down, rather than enlarging a small bitmap.

See Also

  • Growing your own herbs
  • Picking your own herbs


Slide

Horizontal Slide

Slides one layer over another.

Source | Transition

Controls

Type | Choose the orientation (horizontal or vertical) and the direction of the slide.
Source | Choose how to move the "from" image. The image can be kept still, pushed out of frame or squashed.
Destination | Choose how to move in the "to" (final) image. Choose to push it into frame or stretch it.
Layers | Choose the from and to layers.


Wipe

Performs a variety of wipe transitions between two video clips. Allows a large amount of customisation.

Source | Transition

Controls

Type | Choose the wipe type. Choose from: Linear, Circular, Elliptical, Rectangular, Diamond, Conical.
Transition | Choose where you want the centre of the transition to be placed. The values for this control depend on the transition Type.
Direction | Choose which direction you want the transition to proceed. All transitions can be played in reverse.
Number of passes | Simple transitions occur in a single pass, but the transition can be made to build up over a number of passes.
Feather | Blends the from and to video clips together in areas around the edges of the transition. Use this to produce a more natural looking transition.
Tile | Transitions can be build from similar tiled elements. The effect of this depends on the transition Type.
Layers | Choose the from and to layers for the start and end video clips.


Audio Filters

  • Balance
    • Balance
    • Pan
    • Pan left to right
    • Pan right to left
    • Swap channels
  • Mix
    • Mix
  • Utility
    • Copy
  • Volume
    • Volume


Balance

This filter is obsolete and should only be used with EditStudio 2 projects. To change the balance in an EditStudio 3 project, use the rubber bands.

Change the audio left / right stereo balance.

Controls

Balance Enter the audio balance. Positive values shift the audio balance to the right, negative values shift the audio balance to the left.


Pan

This filter is obsolete and should only be used with EditStudio 2 projects. To change the pan in an EditStudio 3 project, use the rubber bands.

Pans the audio from left-to-right or right-to-left.

Controls

Pan From | Choose the start balance. Positive values shift the audio balance to the right, negative values shift the audio balance to the left.
Pan To | Choose the end balance. Positive values shift the audio balance to the right, negative values shift the audio balance to the left.


Swap Channels

Swaps the left and right audio channels.


Mix

This filter is obsolete and should only be used with EditStudio 2 projects. To mix audio in an EditStudio 3 project, read the audio section.

Audio mixer, allowing you to combine multiple audio channels together.

Controls

Layer | The layer name you wish to use. Leave blank if you do not wish to include a layer.
Start level | The starting audio level of the layer.
End level | End end audio level of the layer.


Copy

This filter is obsolete and should only be used with EditStudio 2 projects. To use audio in an EditStudio 3 project, see the audio section.

Produces an audio copy of a chosen layer.

Controls

Layer Choose the layer to make a copy of.


Volume

This filter is obsolete and should only be used with EditStudio 2 projects. To change the volume in an EditStudio 3 project, use the rubber bands.

Changes the audio volume.

Controls

Volume Sets the audio volume level


Audio Transitions

  • Mix
    • Dissolve


Dissolve

This filter is obsolete and should only be used with EditStudio 2 projects. To mix audio in an EditStudio 3 project, read the audio section.

Blends (dissolves) on audio layer to another.

Controls

Layers Choose the start (from) and end (to) layers.


Tools

The following tools are provided with EditStudio:

DV Copy | Sends DV AVI files direct to a DV camcorder or deck
DV Type Convertor | Converts between Type-1 and Type-2 DV AVI files
System Info | Displays your system information and should be used when reporting potential bugs to Pure Motion

To select a tool in EditStudio:

  • Click the Tools button below the page bar to the left of the main EditStudio window
  • Select the desired tool


DV Copy

The DV Copy tool is used to transfer DV format AVI files from your PC to a DV compatible camcorder or deck. The DV file must be a valid DV format file, either captured or edited using EditStudio or another editing program.

The tool runs as a wizard, taking you through the steps required to transfer the file:

  • Choose the file to send
  • Choose settings
  • File transfer in progress


DV Type Convertor

The DV Type Convertor tools allows you to convert between DV AVI Type-1 and Type-2 files. For a description of the two types, see DV File Types. The tool is presented as a wizard, guiding you through the steps required to complete the process. The following steps are involved:

  • Choose filenames
  • Choose settings
  • Progress


System Info

Displays information about your current system.

All instructions are contained on the page.


Video Editing

The 2GB/4GB file limit | Why some programs are limited to a maximum file size of 2GB or 4GB. Why it matters what version of Windows you are using.
DV file types | The differences between Type-1 and Type-2 explained. The advantages and disadvantages of each type, along with things you should know when using each type.
Creating a Video CD with EditStudio | Using the MPEG files created by EditStudio to create an MPEG file suitable for burning as a Video CD.
Creating a Video CD using AVISynth | How to build a Video CD movie straight from EditStudio by using AVISynth and and suitable third-party MPEG encoder.
Interlaced video explained | What you need to know when dealing with interlaced video. Once you understand what's happening, it's really not all that frightening!
What is deinterlacing? | If you've decided to remove the interlacing from a video, we look at popular ways of doing this.
Grow your own herbs | How to create your own herb bitmap files for our Herb Garden transition
Pick your own herbs | Using everyday items to create interesting herb bitmap files.
Drivers explained | The difference between WDM and Video for Windows drivers explained.
Codecs explained | What is a codec? How different codecs are installed on your machine and how files created using them can affect the way you share the files.
Microsoft and TI DV camcorder drivers | There are two popular drivers that can be used with DV camcorders. We look at why EditStudio prefers the Microsoft driver.


The 2 GB File Limit

There is a lot of confusion over what is meant by the "2 GB file limit" when editing video on a PC. You do not need to understand the technical details to do video editing on a PC, but you should understand the summary given below as it might affect the tools and methods you use.

The 2 GB Limit

Some basics:

  • The 2 GB (gigabytes) refers to the maximum size of a standard AVI file. A standard AVI file is called an AVI 1.0 file.
  • The problem is due to the fact that standard AVI files store information inside themselves as 32 bit numbers - this gives them the range of values of about -2,000,000,000 (-2 GB) to +2,000,000,000 (+2 GB). The file itself cannot refer to anything outside this range.
  • Any program that deals with AVI files by using 32 bit numbers is probably limited to using AVI files of up to 2 GB in size.
  • The AVI version number (1.0 or 2.0) has no connection to a DV AVI file's type (see our article on DV File Types).

The 4 GB Limit

We say "probably", because a lot of programs use a set of routines in Windows called "Video For Windows" which makes it easier to work with and manipulate AVI files. Video For Windows allows you to use AVI files up to 2 GB in size, but with a bit of extra work by a program, you can expand this to handle AVI files up to 4 GB in size.

So now we know:

  • The Video For Windows routines allow the use of 2 GB AVI files.
  • Carefully written programs that use Video For Windows can also use 4 GB AVI files.

For a lot of applications, 4 GB (or even 2 GB) is plenty large enough for most uses. New digital formats like DV however generate very large files (2 GB for every 9 minutes of DV) and so there was a need to be able to deal with files greater than 4 GB.

No Limits

The solution to the problem was to use 64 bit numbers inside the files. This has the advantages that the maximum file size is now in theory 18,000,000,000 GB, which is enough for about 150,000 years of DV video! This should be enough capacity for a while! This new AVI format is called AVI 2.0.

AVI 2.0 is implemented in the Windows Direct Show routines, which now replace the old Video For Windows routines. Users of AVI 2.0 should note the following possible problems however:

  • AVI 2.0 files are not compatible with AVI 1.0 files. AVI 2.0 files cannot be used with any software that only understands AVI 1.0. Software which can handle AVI 2.0 files can also deal with AVI 1.0 files however.
  • Only Windows NT, 2000 and XP can create any file greater than 4 GB in size.

The last point is important. Windows 95, 98 and ME using the FAT32 file system have a maximum file size of 4 GB of any type of file, so AVI 2.0 isn't going to help you here. Standard FAT partitions have a maximum file size of only 2GB.

All Pure Motion programs use AVI 2.0 routines throughout, so have no problems with file size limits.

Other Solutions

There have been several methods that people have adopted to get around the standard AVI file size limit before AVI 2.0 appeared:

Non-standard AVI Formats

Custom AVI file formats have appeared which are proprietary to particular applications. Naturally, these non-standard AVI files can only be used with a narrow range of applications.

Multiple Files

Large files are broken into several smaller files. This method is still a valid solution for Windows 95, 98 and ME where AVI 2.0 is limited to the maximum file size of the system.

Summary

  • Most programs are limited to a maximum file size of 2 GB for AVI files.
  • Some programs are limited to a maximum file size of 4 GB for AVI files.
  • New programs use AVI 2.0, which is effectively unlimited in size.
  • Irrespective of the AVI file format, Windows 95, 98 and ME are limited to maximum file sizes of 4 GB.
  • Windows NT, 2000 and XP allow files of effectively unlimited size.


DV File Types

On the Windows operating system, DV files are forms of AVI files - they come in two different flavours however: Type-1 and Type-2. To understand the difference, we must take a look at what a DV file contains and how this is stored in the AVI file format.

We describe how the DV data is stored in each of the two types and describe the benefits and problems associated with each type. The descriptions below are slightly simplified to make the descriptions easier to understand, however none of the important details have been removed.

DV Streams

When you use a video capture program (eg. EditStudio) to copy video from a camcorder and a FireWire card to your hard disk, you are actually doing very little with the video data (although you wouldn't believe it from the amount of programming we had to do!). The video data is stored on a DV camcorder as a stream of digital information which contains both the video picture and the sound.

DV Video track

DV Audio track

A DV Data Stream

When you send this to a FireWire capture card, the digital information remains unchanged and the video capture software receives this data stream unmodified.

So, what happens to this DV data stream when the capture software gets it?

AVI Files

In order to make the data stream understandable by other programs, Windows turns it into an AVI file. There are two formats that can be used: Type-1 and Type-2.

Type-1

This is the simplest format of DV AVI file, yet is generally the least compatible amongst applications. Type-1 DV AVI files simply add an AVI header to the data stream and then put the DV data stream into the AVI file without modification. Easy!

AVI Header

DV Video track

DV Audio track

A Type-1 DV AVI File

Well, not quite. The only part of the file which is actually in AVI format is the header (shown in blue) and this is generally the only part of the file that most programs can read. Most programs that read AVI files generally expect the AVI file to contain both video and audio streams in AVI format, whereas in a Type-1 format DV AVI file the video and audio are combined in a DV format stream.

Type-2

To get around the problem of having all the useful data in a DV format stream of an AVI file, Type-2 AVI files extract the audio from the DV stream and add this as an additional AVI format stream to the AVI file.

AVI Header

DV Video track

DV Audio track

AVI Audio track

A Type-2 DV AVI File

Now, programs that understand AVI files now see the file as a standard AVI file with separate audio and video streams. The audio stream is standard AVI and a video decoder can extract only the video from the DV stream. While Type-2 DV AVI files are more compatible than their Type-1 counterparts, they have a couple of disadvantages:

  • As the audio data is stored twice in the file, once in the DV stream and once in the AVI stream, a Type-2 DV AVI file is around 5% larger than the Type-1 equivalent.
  • Uploading and capturing Type-2 AVI files to and from a DV camcorder takes slightly more processor power, as the extra audio AVI stream needs to be added or removed.

Summary

Now we know the details of Type-1 and Type-2 DV AVI files, we can decide which one is best, right? Of course, it's not that simple. In cases where you want the minimum file size or minimum amount of processing required, Type-1 is preferable. Type-2 is the more compatible format, at the cost of a slightly larger file. Both types are identical in both picture and sound quality.

The Pure Motion programs generally use Type-2 DV AVI files throughout, as this maintains compatibility with the largest number of other applications. If you want to convert between the two types, use our DV Type Converter tool.


Creating A Video CD With EditStudio

EditStudio includes an MPEG exporter which can be used to create an MPEG file for burning onto a CD and playing in a DVD player. EditStudio creates "normal" MPEG files which are slightly different to the Video CD (VCD) MPEG format. Many DVD players will play normal MPEG files, but VCD format MPEG files are more compatible across different DVD players.

To change the format of EditStudio's MPEG file into a VCD format MPEG file we will need an additional program - we'll be using the freely available TMPGEnc program. The process described here does not require any recompression, so the quality of the MPEG output from EditStudio is retained.

Video CD MPEG

MPEG files are created by joining together ("multiplexing") the MPEG video and audio parts ("streams") of your movie into a single file. EditStudio multiplexes the two together in the most efficient manner for the chosen formats, however, VCD format MPEGs must be multiplexed to optimise them for playback direct from a CD. The thing to remember here is that VCD format MPEGs are normal MPEG video and audio streams, but they are multiplexed together differently from normal MPEG files.

The Method

In order to create VCD format MPEG files from EditStudio you have to take the separate video and audio streams from EditStudio and multiplex them together using another program which can create VCD format MPEGs. This has the advantage that you are not recompressing your movie so you it remains at its best quality.

It's very easy to output your movie as separate video and audio streams from EditStudio - it can all be done with the Build Wizard. We have to build the movie in two passes however: video then audio.

Outputting The Video Stream From EditStudio

First, we'll build the video stream. With your movie in EditStudio, go to the Build page. Choose "Let me specify my own settings". Click Next. Choose a filename like "C:\MyMovie_v.mpg" (the "_v" remind us that this is just the video stream). Click Next. Choosing the MPEG exporter. Click Next. Choose the amount of movie you wish to export - leave alone if you want to build the whole movie. Click Next. Ensure that "Output video" is checked and click the video Settings button to open a dialog. For a PAL movie, set the following parameters:

If you are building an NTSC movie, set the size to be 352x240 at a frame rate of 29.97 frames per second.

Click OK to close the dialog. Uncheck "Output audio". Click Next and click Finish to start building the video stream.

Outputting The Audio Stream From EditStudio

The audio stream is built in a similar way. Open the Build Wizard and choose "Let me specify my own settings". Choose a filename like "C:\MyMovie_a.mpg" (again, the "_a" reminds us that this is just the audio stream). Click Next. Click Next. Choosing the MPEG exporter. Click Next. Choose the amount of movie you wish to export - leave alone if you want to build the whole movie. Click Next. Uncheck "Output video". Check "Output audio" and click the Settings button to open a dialog. Set the following settings:

Click Next and click Finish to start building the audio stream.

Multiplexing Video And Audio

The Final step in creating our movie is to join the two streams together into a VCD format MPEG file. We're going to use the excellent TMPGEnc MPEG encoder, available for free from www.tmpgenc.com.

Run TMPGEnc. Select "MPEG tools..." from the File menu. Set the following settings:

Click Start to multiplex the video and audio together. That's it!

You can now burn your movie file onto a CD using a program like Ahead Software's Nero.

Writing The Video CD

Using Nero, we start a new project by choosing the following options in the project wizard:

  • Compile a new CD ->
  • Other CD formats ->
  • Video CD ->
  • Finish

This creates an empty project, into which we can drag our MPEG movie file. Make sure that you drag it into the bottom left window, as the top left window contains system files that are necessary for the DVD player to recognise the CD as a Video CD.

Finally, click on the Burn button [image] to open the Burn dialog, from which you can start the CD writing process.

Playing The CD

Simply insert the CD into your DVD player and press play. You should now see your movie!

See Also

  • Create A Movie Using AVISynth

  • TMPGEnc home page (www.tmpgenc.com)

  • Nero home page (www.ahead.de)


Creating A Video CD With AVISynth And TMPGEnc

Creating A Video CD Using AVISynth

EditStudio includes an MPEG exporter which can be used to create an MPEG file for burning onto a CD and playing in a DVD player. EditStudio creates "normal" MPEG files which are slightly different to the Video CD (VCD) MPEG format. Many DVD players will play normal MPEG files, but VCD format MPEG files are more compatible across different DVD players.

We discuss how you can change one of EditStudio's MPEG files into a Video CD format MPEG file in our article Creating A Video CD With EditStudio. With this article however, we will show an alternative method for creating a Video CD format MPEG using EditStudio's AVISynth exporter and the popular TMPGEnc MPEG encoder. By way of this example, we will show how easy it is to use AVISynth to take the video direct from EditStudio into most programs that import AVI files.

What Is AVISynth?

The magic that allows us to take the output from EditStudio direct into another program that loads AVI files without having to create an intermediate AVI, is performed by a program called AVISynth written by Ben Rudiak-Gould. At the time of writing, AVISynth is available for free and can be downloaded from the author's web site at www.math.berkeley.edu/~benrg/avisynth.html.

What AVISynth does is to send frames of video and audio from the EditStudio AVISynth exporter plugin direct into another program; it does this by fooling the program into thinking it is loading a standard AVI file. In order to do this, the EditStudio exporter creates a .avs file that can be "loaded" into the other program as if it were an AVI file. Whenever the program asks for a frame of video or section of audio from the .avs file, AVISynth passes the request onto EditStudio which then generates the correct video frame or audio section. Underneath, the process is quite complicated, but in practice it is very easy to use.

You will need AVISynth and TMPGEnc installed on your PC before you can continue.

Install AVISynth

If you have not already done so, download AVISynth from the author's web site and install it on your PC. At the time of writing this simply involves copying a DLL to your Windows folder and double-clicking on a .reg file to add some information into your registry.

Creating An EditStudio Project

Load in the project into EditStudio that you wish to export. Go to the build page and select "Let me specify my own settings". Click Next. Now choose a filename. This is the name of the .avs file that will be used by AVISynth and loaded in by TMPGEnc. You don't have to put an ".avs" file extension on the filename, EditStudio will do this for you.

Click Next and choose the AVISynth plugin from the list of export formats.

Click Next, then Next again until you reach the video settings page. Set the resolution to be the desired output resolution of the frames from EditStudio. Click on the Settings button to open the AVISynth exporter settings dialog.

Check that the AVISynth export plugin is set to use the correct AVISynth server version. If you have installed AVISynth 0.3, set the server to version 1. If you have downloaded AVISynth 1.0, set the server version to 2. Click OK on this dialog and continue through to end of the Build Wizard. Click Finish to start the EditStudio running with the AVISynth exporter plugin; EditStudio will now wait.

Run TMPGEnc

Now run TMPGEnc. When the program has started, click the Load button at the bottom right of the window - this will allow us to load in a configuration file for Video CD format MPEGs. Choose a suitable Video CD format.

Now choose the .avs file that you saved using EditStudio as your video source file. TMPGEnc will automatically set up the audio source as the same file and the automatically create output filename.

You will now notice two things happen:

  • TMPGEnc will now show the first frame of the EditStudio project in its window.
  • The EditStudio preview window will also show the first frame.

Now, simply click Encode in the TMPGEnc window to start the encoding process. You will see the frames being created in the frame server window and being encoded in the TMPGEnc window. Magic eh?

When the encoding has finished, stop the EditStudio frame server by clicking on the Stop button.

Burning the CD

When the MPEG file has been created, follow the instructions given in our article Create A Video CD With EditStudio for burning this file to a CD.

Playing The CD

Simply insert the CD into your DVD player and press play. You should now see your movie!

See Also

  • Creating A Video CD With EditStudio

  • TMPGEnc home page (www.tmpgenc.com)

  • AVISynth home page (www.math.berkeley.edu/~benrg/avisynth.html)


Interlaced Video Explained

When using movies created for computers or film, it easy to understand that the video consists of a number of individual frames that are played in sequence to give the impression of movement. When dealing with video for television, things are not quite as simple - television uses interlacing. This article describes how interlacing works and how it might affect with the way that you work with video.

Background

Television draws its frames as a series of 2 fields, of which each field contains information for half the frame. To keep the movement smooth on the screen, one field contains information for the even line numbers (lines 2, 4, 6 etc... and called the "even" field) and one field contains information for the odd lines (1, 3, 5 etc... and called the "odd" field). The two fields are also sent slightly apart from each other in time, meaning that one field is drawn before the next.

What is Interlace?

If we take the PAL system which has a frame rate of 25 frames per second (1 frame every 0.04 of a second), this means that 50 fields are displayed every second. We can show this process below:

Picture |  |  |  |
Time (seconds) | 0.01 | 0.02 | 0.03 | 0.04

The first field is drawn in red, followed by the second field in green. After a 1/50th of a second (0.02s), the first field has been drawn, followed by the second field after 1/25th of a second (0.04s) - this equates to one full frame. For the NTSC system, 29.97 frames are shown every second and the timings change accordingly.

Why Use Interlace?

The advantage with interlacing is that this allows a field rate that is double the frame rate, leading to smoother motion than with a simple frame based system. Additionally, when used with a television, this leads to a less flickery picture as the screen is refreshed (scanned) at twice the frame rate.

Interlace In Practice

If you are doing video editing by taking video from an interlaced source (eg. from a DV camcorder) which is to displayed on an interlaced television then for most of the time you don't have to concern yourself with how interlace works.

Problems can occur when using interlaced video in several instances:

Displaying On A Non-Interlaced Display

If you intend to display interlaced video on a non-interlaced display (eg. a computer monitor) then artifacts can be seen. A non-interlaced display will show both fields simultaneously, rather than sequentially. For most of the time, this isn't important, however when an object moves a long way between fields, it can be seen to "tear". This tearing is due to both fields showing the moving object at slightly different times.

The image below was capture from an interlaced source and shows bad image tearing on a fast moving car.

Changing The Frame Rate

Care has to be taken if the frame rate of the interlaced video is changed when the resultant movie will be shown on an interlaced display. In order for interlaced video to play back smoothly, the fields must be shown at the correct rate in comparison to the original frame rate. An interlaced display will always display the fields at a fixed rate (eg. 50 fields per second for PAL), but changing the frame rate will only change the rate at which the frames are updated. This can lead to very jerky and unnatural looking video.

Using A Still Frame

Rather like the image tearing described above, still frames taken from an interlaced source must not contain fast moving objects, otherwise they will appear to tear.

Resizing The Frame Size

If you intend to rescale an interlaced frame to an size that is not an even multiple of the original size, the fields can merge together to provide an unnatural looking image. Again, the image can look unevenly "torn" or blurred.

Deinterlacing

The solution to many of the interlacing issues described above is a process known as deinterlacing. Deinterlacing modifies or removes one field to turn the field-based image into a frame-based image. This is described in more detail in What Is Deinterlacing?


What Is Deinterlacing?

Video editing packages and bitmap painting packages often have the option to deinterlace the image. We look at what this means and how you can use it to produce better quality video.

For a description of interlacing itself, see Interlaced Video Explained.

The Need For Deinterlacing

There are several common operations that you might want to perform on interlaced video - these include producing stills, resizing the video, changing the frame rate or playing the video backwards. Performing these operations on raw, interlaced video can produce undesirable artifacts (see Interlaced Video Explained). Deinterlacing provides a way around these problems.

All deinterlacing methods involve turning the field-based image into a frame-based image by modifying one of the fields in the image.

Deinterlace Methods

The simplest method of deinterlacing is to remove one field entirely and fill the space with information from the other field's line above or below. As an example, we'll start with an interlaced image:

Duplication

By duplicating the lines from one field to create the other, we end up with an image which looks a lot less "torn", but with a lower effective vertical resolution:

Interpolation

We can improve the quality of this image by interpolating (or "estimating") the second field's values by working out mid-values from the lines above and below it from the first field. This leads to a smoother looking image:

Other Techniques

Although duplication and interpolation are the two most popular methods of deinterlacing, there are many other variants. Both the methods described above lose the information from one field entirely, which is a potential waste of useful information. Some deinterlacing schemes retain the information from the second field in areas where the motion is small (so you don't get the image tearing), but interpolate in areas of high motion. Different techniques work better is some instances and show little (if any) improvement in others.

Choosing Your Field

Most deinterlacing schemes offer the choice of dominant field - ie. the field that will be used to create the new frame. It may be advantageous to choose one field over another if one field contains action that the other does not because they are taken at slightly different times; for example the flash of a flash gun may only appear on one field.


Grow Your Own Herbs

There are several programs available for creating texture bitmaps, and these bitmaps can make very good herbs.

General Rules

Herb bitmaps must be greyscale images and should have a wide range of greyscale values from very dark (ideally, pure black) to very light (ideally, pure white) in order to work well as herb transitions. You can convert any image into a greyscale image by using a paint program and most paint programs allow you change the contrast of the image to expand the range of brightnesses in the image.

Kai's Power Tools

Kai's Power Tools provide a range to programs which can be used to render computer generated textures. These textures can then be converted to greyscale and saved as herb bitmaps. Many of the Alien herbs were generated with Kai's Power Tools (version 3).

The Kai interface is a little different, but it's quite fun generating new textures!

At the time of writing, Kai's Power Tools were owned by Corel (www.corel.com).

Corel Texture

Along with the many packages that come as part of the CorelDraw package comes a program called Corel Texture. This program allows you to general textures which look like real-world textures (wood, marble, clouds, etc...).

Corel Texture appears to run slower than Kai's Power Tools which makes it less responsive to "interactive" texture creation. The created textures though can look very realistic.

See Also:

  • Pick Your Own Herbs


Pick Your Own Herbs

One way of creating your own herbs is to use objects that you find around you. Anything which has an interesting texture can be used as a herb bitmap. As examples, look at our Organic herbs - these were created using things like bread, rice and a baking tray.

General Rules

Herb bitmaps must be greyscale images and should have a wide range of greyscale values from very dark (ideally, pure black) to very light (ideally, pure white) in order to work well as herb transitions. You can convert any image into a greyscale image by using a paint program and most paint programs allow you change the contrast of the image to expand the range of brightnesses in the image.

Scanner

For small objects, you can place these on a scanner surface and scan them directly into the computer. You may wish to place some kind of transparent protection between the object you are scanning and the scanner surface to avoid damaging the scanner.

Camera

You can easily take still images from a conventional camera, digital camera or camcorder and use these as herb bitmaps. Using a macro setting can enable you to get very close to an object and really pick our detail in its texture.

Herb Ideas

The following items can make interesting textures, suitable for using as herb bitmaps:

  • Stones and small rocks
  • Wood
  • Liquids (obviously, in some kind of transparent container)
  • Food (beans, sugar, spaghetti strands...)

See Also:

  • Grow Your Own Herbs


Drivers explained

When you install a new piece of hardware into your PC, you need some software that will allow programs to use this hardware. This software is called a driver.

Arrangement

The following diagram shows how these components are arranged within the PC.

Program

(eg. video editor)

Windows
Driver

Hardware

(eg. video capture card)

The driver provides the connection between Windows and the hardware and a program may use the hardware by asking Windows to perform the functions it requires. For example, if the program was a video capture application it would ask Windows to start capturing. Windows would then use the functions within the driver to setup the video capture card and to start it capturing. By using this method of drivers, the Windows programs do not need to know anything about the actual hardware in order to use it.

Driver Types - Video for Windows

There are many different types of driver in use in Windows, but we will just concern ourselves with the drivers used for video capture. The original drivers used for video capture were the Video for Windows (VfW) drivers. VfW is a system that was added to Windows 3 many years ago to support most of the features needed for dealing with video under Windows. The VfW system supports different compression formats and different capture devices. Any program that uses VfW has a number of Windows functions that it can use, for example:

  • Start capture
  • Stop capture
  • Grab frame
  • Configure capture

(there are many more, but this is the basic idea).

This system has done well, but around the time of Windows 95 it was realised that VfW had some shortcomings. All of VfW file handling is based on 32 bit numbers, so is limited to a maximum file size of 4GB for a captured AVI (see The 2GB File Limit). Also, some of the more complex capture devices (eg. TV tuners or web cams) didn't have support in VfW (there was no VfW function to change the channel on a TV tuner, for example). The solution to this was WDM.

Driver Types - WDM

WDM stands for Windows Driver Model, and is an all-encompassing driver format. WDM is designed to replace VfW by providing a much more flexible way of dealing with drivers. Rather than having specific functions (like "Start capture" and "Grab frame" in VfW), WDM drivers can be extended by supporting standard functions as well as adding their own. This allows WDM to support a standard set of functions, as well as adding functions specific to the particular capture hardware.

WDM is supported by Windows 95, 98, ME, NT4, 2000 and XP and it is hoped that only a single WDM driver needs to be written for a particular piece of hardware and it will work under all the above versions of Windows. This should end the situations whereby different versions of drivers were available for different versions of Windows.

All this extra flexibility comes at a price, and WDM drivers can be substantially more complex to develop than VfW drivers. Unfortunately, this leads to some problems.

WDM vs VfW

As Windows 95, 98, ME, NT and 2000 all supported both WDM and VfW, some hardware manufacturers didn't see any need to develop the more complex WDM drivers when the simpler VfW drivers would still work. This leads to some problems:

  • Software that uses DirectX to access the hardware, cannot use VfW drivers. DirectX uses WDM exclusively and although it tries to "wrap" VfW drivers for use in DirectX, this is not always successful.
  • VfW capture drivers are limited to a maximum file size of 4GB

This issue directly affects EditStudio, as it uses DirectX and does not use VfW at all. EditStudio relies on the video capture drivers being WDM in order to work properly.

The End Of VfW

Rather than continue to support the older VfW along with WDM, Microsoft has decided to stop support of VfW drivers with Windows XP onwards. This means that any hardware that still relies on VfW drivers will not work under XP. This change has been at least 6 years coming, so the hardware manufacturer can hardly complain that this has taken them by surprise!


Codecs Explained

"What is a codec?", is a fairly common question we're asked here at Pure Motion. The answer is pretty simple, but we'll also give some extra background information that might help clarify how they may affect you in your video editing work. We'll use AVI files throughout this article, but codecs apply to QuickTime, Real Media, Windows Media formats as well as many other video format files.

Basics

A codec is a "compressor / decompressor", which is where it gets its name from. As the name also suggests, a codec is used to compress and decompress data - in video editing terms, this usually means video information but it can also refer to audio data. Codecs are used because putting raw video information into a file can result in very large file sizes. By compressing the data, the file sizes can be reduced.

A codec is typically used when opening a video file for playback or editing, as the frames must be decompressed before they can be used. Similarly, the compressor must be used when creating a video file to reduce the size of the source video frames to keep the size of the video file to a minimum.

How Does It Work?

When reading an AVI file, the arrangement is:

AVI file -> file reader -> decompressor -> frames

the file reader is usually provided by DirectX or Video for Windows (see Drivers Explained) and the codec contains the decompressor.

When writing an AVI file, the arrangement is performed in reverse:

frames -> compressor -> file writer -> AVI file

Installing Codecs

Codecs must be installed correctly into the Windows system. Codecs are usually distributed in DLL files, so that they can be loaded by Windows when they are required. In order for Windows to use a codec, it must know several items of information:

  • Where on the disk it is
  • What type of codec it is
  • What type of files it can open

The first two points are obvious, as Windows must know where to load the codec from and it must know what types of data it can deal with (for example, an audio codec cannot decode video).

Determining which type of file the codec can open is a complex subject. but is tackled in two main ways:

  • Each AVI file is internally labeled with a 4 character code (called the "FOURCC" code) and a codec can associate itself with a particular code.
  • Windows may pass the filename to the codec and ask it directly whether it can open this file. The codec will try to open the file and tell Windows the results of its attempt.

Codec Problems

Common problems with codecs are:

  • Some codecs try to replace the default Windows codecs, but offer worse performance in some areas. For example, some MPEG decoders replace the default Windows MPEG decoder and yet they are much slower for editing.
  • Software based codecs can replace codecs that use decoding hardware on a video capture card, thus slowing down the process of editing or viewing certain files.
  • New versions of codecs can conflict with software that worked fine with older versions.

You must also ensure that you have the correct codecs available on each machine that you will be using the encoded files with. For example, some video capture cards capture in a special format and require a codec to be installed in order to use these files. If you move one of these encoded AVI files to another PC without this video capture card and codec, you will not be able to use the AVI file.

This can have a more fundamental problems if you choose to upgrade your PC. If you use a video capture card that has its own codec and relies on the capture card's hardware, you must have this card present in order to use any AVI files captured with it. If you choose to upgrade your capture card, these AVI files can no longer be used. Worse still, if you upgrade Windows and you capture card is not supported, these AVI files will become unusable.

Uninstalling a codec can be difficult and depends largely on the installer that added the codec in the first place.

This leads us to some golden rules about codecs.

Golden Rules About Codecs

  • Don't install any more codecs than you have to. The more codecs you have installed, the greater the chance of conflicts.
  • You may have problems uninstalling a codec.
  • Be aware of using capture cards that install their own codecs. This could limit your options in the future.
  • When creating AVI files for use on multiple platforms, use a standard codec that is present on all the PCs you are likely to use the AVI file on.


Microsoft and TI DV camcorder drivers

There are two main DV camcorder drivers used with Windows:

  • Microsoft DV camera and VCR
  • Texas Instruments 1394 DV camcorder

We much prefer the Microsoft camcorder driver over the Texas Instruments (TI) one, although EditStudio does offer limited services under the TI driver. The TI driver does not come standard with Windows - it is installed by third-party software. EditStudio does not install the TI driver.

History

The reason for having the TI driver is because the first edition of Windows 98 did not support DV camcorders, despite supporting FireWire cards. Windows 98SE (second edition) added support for DV camcorders, so the TI driver was no longer required. Any DV editing software that wants to support both editions of Win98 needs to install the TI driver.

Our experience is that some third-party video editing software will install the TI driver anyway, irrespective of the version of Windows. We have found the TI driver on Win98SE, ME and 2000 setups.

Problems With The TI Driver

We'll be quite blunt here, but there are several problems with the TI driver. The main problem is stability on non-Win98 setups. We have found the driver to be unstable on a number of different systems and would not recommend its use for this reason.

The second problem is the lack of device control. The TI driver only offers basic DV support and any camcorder control must be done manually by the video editing program by sending transport commands direct to the camcorder.

Microsoft Driver

We recommend the Microsoft driver where possible - ie. on Windows 98SE, ME, 2000 and XP. The Microsoft driver is very stable on all the systems and includes device control for a standardised method of controlling the camcorder tape transport. The Microsoft driver is also included with Windows, so it will automatically recognise a camcorder when it is first plugged it and does not require any extra software to be installed.

Changing Drivers

Unless you are using Win98 (first edition), we would recommend upgrading to the Microsoft camcorder driver if you are experiencing any problems with the TI driver. The instructions for the upgrade are at our web site:

www.puremotion.com/fixdv

and this document covers Windows 98, ME and 2000.


Glossary

Select a letter...


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Numbers

2 GB AVI limit

Most AVI files in use today, and the programs which use AVI files, are limited to files of 2GB in size. The 2GB AVI file limit applies to AVI 1.0 format files (the most common AVI format). It occurs because the file format uses 32 bit integers to store offsets within the file and this limits the file to about 2 gigabytes. To overcome this problem, the AVI 2.0 format was created which uses 64 bit integer offsets. AVI 2.0 files can therefore be virtually unlimited in size, there are however two points to bear in mind when using AVI 2.0 format files:

  • Not all editing software supports AVI 2.0 files.
  • There is a 4Gb limit on all files with the FAT32 file system on Windows 95 and Windows 98. So unless you are using NTFS on Windows NT or Windows 2000, you are limited to 4Gb files anyway.

So some advice would be to stick to using AVI 1.0 files and capture in sections shorter than 2GB and only use AVI 2.0 if:

  • You absolutely have to capture more than 2GB in one continuous section, and
  • You have an editing program which supports the AVI 2.0 standard (such as Pure Motion's EditStudio).


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / A

AVI

AVI stands for Audio Video Interleaved. AVI format files are common under Microsoft Windows for storing audio and video files. AVI is actually a "wrapper" around a particular video format, so an AVI file can contain video and audio of many different formats.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / B

Bit

The smallest unit that a computer can use to store data. A bit can have the value 0 or 1.

See also: Byte

BMP

Common file format for storing bitmap files.

Byte

8 bits.

See also: Bit


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / C

CCD

CCD is an acronym for Charge Coupled Device. The CCD is a small rectangular electronic chip which detects the light from the camcorder lens. The CCD contains thousands of light sensitive pixels which are used to form the image.

Colour Depth

The number of possible colours in an image is called the image's colour depth. Colour depth is usually expressed in the number of bits that are used to store the colour. Popular colour depths are 8 bits (256 colours), 16 bits (65,536 colours) and 24 bit (over 16 million colours).

Composite Video

Composite video is method of transferring a video signal down a 2-connector cable. The composite video signal includes all aspects of the video signal (colour and brightness), but does not carry sound.

See also: UHF, S-Video

Compression

Some data, especially video and audio data, can be made smaller by using a process called compression. Compression works by looking at the data and deciding whether there is any way of expressing the information in a simpler form. In the case of video and audio compression, this works by removing elements of the data that the viewer or listener is unlikely to notice have gone missing. This form of compression is called lossy compression, as data is lost during the process.

Other compression schemes manage to keep all the data, but express it in a more compact form. ZIP files are an example of a compression scheme that is lossless. Lossless compression schemes usually do not compress as well as lossy schemes. Most audio and video compression schemes are lossy, in order to achieve high levels of compression.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / D

Deinterlace

The process of creating a single frame from the 2 interlaced fields of a video frame. Deinterlacing is used to remove the interlacing artifacts if a still frame is required, or if the video is being used at a different rate than it was created.

DIN Connector

DIN connectors are typically round connectors with 3 or more pins surrounded by an other shield. DIN connectors are used to connect together older audio equipment or to connect S-Video video equipment.

DV

DV is an acronym for Digital Video. DV is used to describe equipment (typically camcorders) that use the standard DV video cassettes. Most popular DV camcorders actually use the mini-DV standard.

DV Builder

A method of building DV movies quickly by using source DV material directly if possible. Only transitions and sections of the movie will need to be rendered.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / E

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / F

Field

Half the image in an interlaced frame. A field occupies alternate horizontal lines in a frame and is displayed for half the time of the frame.

FireWire

The Apple name for IEEE1394.

Focus

Some operations can only operate on the item with focus; only one item may have focus at any one time. An item with focus is drawn with a yellow border.

See also: Selected, Unselected

Frame Cache

To avoid repeatedly rendering frequently used frames, EditStudio uses a frame cache which stores these popular frames. The ensures that screen redraws are fast and the program remains responsive. To set the size of the cache, see the EditStudio Options dialog. In general, the larger the cache, the faster the program will run.

Frame Rate

The number of frames displayed every second.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / G

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / H

Hover

Waiting a short period time with your mouse cursor over a part of the EditStudio interface. You usually hover over an item to open a tooltip.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / I

IEEE1394

Fast interface popular for transferring DV digital video. Also known as FireWire or i-Link. IEEE allows up to 127 devices to to plugged into a single IEEE bus, with data transfer rates as fast a 400Mb per second. IEEE1394 devices are "hot-swappable", allowing you to plug devices in and out without having to reboot your system.

IEEE1394 is supported under Windows 98 and Windows 2000. If you are using Windows 98, we suggest that you use the Second Edition version of the operating system, as this version has much more robust support than the earlier version.

Indeo

Popular video compression scheme, available under Windows.

i-Link

The Sony name for IEEE1394.

Interlace

The process of building a single video frame from two fields. The two fields are placed on alternate lines and are displayed in sequence at twice the frame rate.

Invalid Layer Reference

In EditStudio's timeline, layer items can only refer to layers below themselves, they cannot refer to layers above them. A reference to a layer above the layer item is called an invalid layer reference. EditStudio does not allow you to create an invalid layer reference.

ISA

Expansion connector slot inside the PC. Superceded by the PCI slot.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / J

JPEG

JPEG is a acronym for Joint Picture Experts Group. JPEG is a bitmap file format which is popular for storing full colour images. The format uses a user defined amount of lossy compression, meaning that there is a trade off between file size and image quality in that the more compression is used (smaller file sizes), the lower the quality of the image.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / K

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / L

Line Level

The common voltage level to connect audio devices together.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / M

Mark In

The position, in time, of the first frame to be used in an item.

See also: Mark Out

Mark Out

The position, in time, of the last frame to be used in an item.

See also: Mark In

MJPEG

JPEG is an acronym for Motion Joint Picture Experts Group. Video compression format which compresses each frame individually with a technique very similar to the JPEG bitmap format.

See also: MPEG

Mono (Audio)

A single audio channel. If you play back mono audio through stereo speakers, both speakers will play back the same sound.

See also: Stereo

MP3

Popular audio file format. Highly compressed - usually about 10% of the size of an equivalent WAV file.

See also: WAV

MPEG

Popular video compression format. MPEG 1 is highly compressed video format, suitable for producing VHS quality video. MPEG 2 is a higher quality format, as used by DVD players. MPEG uses a technique similar to JPEG compression on each frame, but also includes compression across frames by storing intermediate frames based on movement between the next and previous frames. MPEG achieves better compression than MJPEG (which only compresses each frame individually) but requires more processing power to create the MPEG files.

See also: MJPEG


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / N

NTFS

NTFS is an acronym for Windows NT Filing System. This is a common disk structure used with Windows NT.

NTSC

NTSC is an acronym for National Television Standards Committee. The standard for television pictures in the USA. 30 frames per second.

See also: PAL


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / O

OHCI

OHCI is an acronym for Open Host Controller Interface and is usually used in the context of FireWire cards. An OHCI card contains a standard interface which other programs and drivers can use. This means that OHCI cards work with the standard range of drivers, whereas non-OHCI usually require their own drivers and / or applications.

OHCI can apply to other interface cards as well, such as USB.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / P

PAL

PAL is an acronym for Phase Alternate Line. PAL is the standard for television pictures in most of Europe. PAL operates at 25 frames per second.

See also: NTSC.

Parallel Port

The port that is usually used to connect to a printer.

PCI

Popular internal interface in a PC.

See also: ISA

Peak File

A file created by EditStudio to speed up the redrawing of audio files in the layers.

Phono Connector

Two connection connector with a central pin and an outer shield. Popular for sending audio signals as well as composite video.

Pixel

Pixel is shorthand for "picture element". A pixel is a small rectangle of colour, many of which are used to create a bitmap picture or video frame.

See also: Resolution

Plugin

A small piece of software that is loaded by a main program to add functionality to the main program. All EditStudio's media file loaders, savers, video effects and audio filters are plugins.

PopDock

The name given to the docking windows in EditStudio. PopDock windows can be either docked to the main EditStudio window or can be floating free. PopDock windows are different from normal windows in that they do not automatically dock to the main program when they are near the edge of the main window; they can only be docked by pressing the dock button on the window's title bar. This stops them automatically docking and rearranging your interface as you move them around.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Q

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / R

Render

The process of calculating a video frame or audio output.

Resample

When converting between different audio sample rates, the audio must be resampled to the new sample rate. Resampling can lead to a loss of audio quality.

Resolution

Refers to the number of pixels that an image has. For example, an image which has 320 pixels across and 240 pixels down is said to have a resolution of 320 x 240.

Right-click

The action of clicking the right button on the mouse.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / S

Sample Rate

The number of audio samples taken per second. Popular values include 8,000 samples per seconds for telephone / AM radio quality or 44,100 samples per second for CD quality audio.

SCART

SCART is an acronym for Syndicat des Constructeurs d'Appareils Radio Récepteurs et Téléviseurs. SCART usually refers to the SCART plug and socket, which is a popular method for connecting television and video equipment. The SCART connector carries the video signal (in several formats) and audio.

Selected

Items that have been clicked on are said to be selected. Many operations only work on selected items. Selected items are drawn in dark orange.

See also: Focus, Unselected

SMPTE

SMPTE is an acronym for Society of Motion Picture and Television Engineers. A method of displaying time in the timecode. SMPTE can be displayed in non-drop or drop frame formats.

See also: SMPTE non-drop, SMPTE drop frame, Timecode

SMPTE non-drop

The time is presented in the form 0:00:00:00. This representation displays hours, minutes, seconds and frame number.

This format works well when dealing with source and destination video which has an integer number of frames per second. The format can also be used with the NTSC frame rate (29.97 frames per second), however users should be aware of the potential problems with time slipping when using this representation.

See also: SMPTE drop frame

SMPTE drop frame

The time is presented in the form 0:00:00:00. This representation displays hours, minutes, seconds and frame number.

This format is only available for the NTSC frame rate (29.97 frames per second) and is used to avoid the time slipping problems associated with the SMPTE non-drop timecode.

See also: SMPTE non-drop

Stereo (Audio)

Two channels of audio, separated in to left and right channels.

See also: Mono

S-Video

A method of sending video down a multi-wire cable. S-Video sends the colour and brightness signals separately down the cable, which leads to a better picture quality than composite video or UHF.

See also: Composite Video, UHF


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / T

Timecode

The method of showing time. EditStudio supports time, SMPTE (non-drop) and SMPTE (drop-frame).

See also: SMPTE

Time Slip (NTSC timecode)

When using the SMPTE non-drop timecode with the NTSC frame rate of 29.97 frames per second, the displayed timecode will differ from "real" time as time advances. This is due to the fact that there are only 29.97 frames per second in NTSC and not 30 as used by the non-drop timecode. The difference between timecode time and real time is time slip.

Tooltip

A tooltip is a small popup window that described the item below the mouse pointer.

Topping

A method of adding a video effect or audio filter to a layer item by applying it direct to the item, rather than adding the effect / filter to a layer above the item.

Type-1 / Type-2 DV File

DV files can be either Type-1 or Type-2 AVI files. A Type-1 AVI file contains just the raw DV video and audio information. A Type-2 AVI file contains the raw DV video and audio information, along with a separate audio track which is a copy of the DV audio.

Most programs which use AVI files expect a separate audio track, and so Type-2 DV files are compatible with a wider range of software than Type-1 files. Type-1 files tend to be slightly smaller (around 5% smaller) than their corresponding Type-2 file, as they don't contain this extra audio track.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / U

UHF

UHF is an acronym for Ultra High Frequency. UHF is usually referred to as the "aerial" connector on the back of TVs and video recorders.

See also: Composite Video, S-Video

Unselected

Items that have not been clicked on are said to be unselected. Unselected media file items are drawn in blue, unselected video / audio effects / transitions are drawn in green.

See also: Focus, Selected

USB

USB is an acronym for Universal Serial Bus. A very fast interface to the PC used for connecting a wide range of peripherals (printers, keyboards, web cams, etc...).


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / V

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / W

WAV

Popular audio file format on the Windows operating system.

See also: MP3.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / X

XML

File format, based on a similar format to HTML (the Web page format). XML files are text based and are easy to edit or read in a normal text editor or word processor. XML files are easily portable between operating systems and are well suited to forward and backwards compatibility between different versions of a software program. EditStudio use XML in its .eds project files.


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Y

<No entries>


Glossary

# A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Glossary / Z

<No entries>


AVI details

Sets the type of AVI file that is captured. For more information, see The 2GB File Limit.

Controls

AVI file type | Choose the AVI type. See The 2GB File Limit for details on the two types.
Master stream | The stream to which the movie will be synchronised. If you have problems with the video and audio losing synchronisation, try changing the master stream.


Audio

Chooses the audio settings.

Controls

Audio capture device | Choose an audio capture device on your system. This is likely to be your sound card.
Capture audio | Set this checkbox if you want to capture audio with your movie.
Format | Click the "WDM Options" and "Choose" buttons to change the captured audio formats. The results of these buttons are dependant on the capabilities of the selected audio capture device.


Batch Capture

Sets up the parameters needed for batch capture.

Controls

Batch clip basename | The basename for the batch items. The items will be sequentially numbered to ensure unique filenames.
Batch clip tape | The name of the tape from which the material is being captured. You will prompted for the tape name during batch capture.
Pre-roll time | During batch capture, the tape will be wound to before the start of the section to be captured. The pre-roll time is the amount before the start of the capture that the tape should be wound. For reliable capture you should ensure that some time is given for the tape to get up to speed before the capture starts.


AVI details

Changes the AVI type for the captured file.

Controls

Preset | Sets up the capture configuration to ensure good operation for the chosen operating system. Select "Custom" to set the parameters manually.
DV AVI type | Select the AVI version (see The 2GB File Limit).
Maximum chunk size | The maximum size of any particular capture file. Captures that should be larger than this chunk size are automatically broken up into chunks of this size. This feature is necessary under Windows 98 and ME as they are limited to a maximum file size of 4GB for any one particular file (see The 2GB File Limit).
Maximum number of chunks | Set this to limit the number of chunks to be created. Before capture starts, this number of files are opened to ensure that no frames will be dropped when switching between chunks.


File location

Sets the location of the captured file(s).

Controls

Capture folder | The folder where the capture files will be placed. When an EditStudio project is open, this folder will be in the main project folder.
Capture file basename | The main part of the capture file filename. Additional digits will be placed after the basename to ensure that each capture file is unique.


Limits

Sets limits for the capture process.

Controls

Time limit | Stop capture after an elapsed time
File size | Stop capture after the capture file size exceeds the given value.
Dropped frames | Stop capture after the number of dropped frames exceeds the given value.
Frame rate | Stop capture then the frame rate drops below an acceptable value.


Preview

Sets the aspect ratio of the preview.

Controls

Aspect ratio Forces an aspect ratio for the preview. This can be useful if your capture resolution does produce a natural aspect ratio for the preview.


Scenes

Allows automatic scene detection during capture. Scene detection works be recognising changes in the video content and automatically creating video clip items in the Media Explorer.

Controls

Enable while previewing | Displays scene changes by illuminating the [image] light during capture.
Enable while capturing | Automatically generates video clips in the Media Explorer during capture.
Sensitivity | The higher the sensitivity, the smaller the change between scenes needs to be in order to generate a new video clip.
Minimum scene length | Ensures that very short clips are not created.


Stills

Allows still frames to be taken from the preview.

Click the "Take snapshot" button [image] to take a still from the preview.

Controls

Allowing taking of stills while previewing | Set this checkbox to allow stills to be taken. Clearing this checkbox may provide a slight increase in the speed of the preview. You cannot take stills during capture.
Capture single frame | Captures a single bitmap frame from the current frame.
Average many frames | The final still frame is taken as an average of many samples from the preview. When taking snapshots from a paused video, this can increase the quality of the snapshot be removing noise.
Stills base basename | The base of the filenames that will be created when the still frame is saved. The filenames are numbered incrementally to ensure that there aren't any clashes of filename.


VU Meter

Displays the audio level meter on the capture page.

Controls

Enable while previewing | Set this checkbox if you want the VU meter active during preview. If you are experiencing dropped frames, you may want to turn this off.
Enable while capturing | Set this checkbox if you want the VU meter active during capture. If you are experiencing dropped frames, you may want to turn this off.
Range | The range of the VU meter. The larger the value in dB (decibels), the lower the volume of audio required to register on the meter.


Customize Dialog

Allows you to customize the toolbars. Buttons can be added and remove to the program's toolbars. New toolbars can also be created.

Pages

  • Toolbars
  • Command


Customize Dialog / Command

Adds buttons to toolbars.

To add buttons to toolbars, start by selecting the category of the button you wish to add. The Buttons section will then show the buttons in that category. Click on a button to read a description of the button's function. Drag the button from the dialog box onto a toolbar to add it.


Markers Dialog

The markers dialog shows a list of all markers associated with either the focused item or the project as a whole. Two versions of the markers dialog are used in the program - a read-only version which will only let you select markers from a list and a full version which allows you to edit the markers. The picture below shows the full version; the read-only version is similar, except for the exclusion of the Properties, Add and Delete buttons.

Any changes to the markers can to undone after closing the dialog.

Controls

Properties | The properties button opens up the marker properties dialog for the selected marker. This allows you to change the time of the marker's start and end as well as the marker's colour and notes.
Add | Adds a new markers. The marker properties dialog is opened and you can enter details about the new marker.
Delete | Deletes the selected marker.


Show Media Files Dialog

Whows you a list of all the media files used in the current project. You may change the location and filenames of these files, which will affect all the items that use these media files in the project.

Any media files that cannot be found (eg. because they have be renamed, moved or deleted) will be shown with a warning sign ( [image]).

Controls

List | A list of the media files that are used in the project.
Change File | Allows you to change the filename of a particular media file. This is useful if you have renamed or moved a file on your disks.
Change Path Allows you to change the path of any number of media files. This is useful if you have renamed or moved a folder on your disks.

This operation renames only the chosen directory path - sub directories are not changed. The following table shows the effect of changing the path "C:\Project\" to "D:\Project\" in am example project:

Original Path | Changed Path
C:\Project\ | D:\Project\
C:\Project\Audio | C:\Project\Audio
C:\Project\Video | C:\Project\Video

Notes

Any changes you make using this dialog are only made to the items in the current EditStudio project - no files are moved or renamed on the disk.


Options Dialog / Cache

Configures the program's frame cache.

The frame cache is used to speed up screen redraws by storing rendered frames in memory - this avoids having to recreate them for a redraw. The larger the frame cache, the more frames that can be stored. The default frame cache of 8MB is adequate for most cases. If you have a lot of memory in your PC you can increase this value to help speed up screen redraws, but be aware that memory allocated to the frame cache cannot be used by other programs.

Controls

Use frame cache | Turn the cache on or off
Cache size | The larger the cache, the more frames can be stored and the faster the screen redraws are likely to be.
Flush | Force the frame cache to flush all the stored frames

See Also

  • Options Dialog / General
  • Options Dialog / Edit
  • Options Dialog / View


Options Dialog / Edit

Configures the editing functions.

Controls

Snap to nearest item | Set this to snap items to nearby items when moving or resizing.
Snap distance | The number of layers over which EditStudio should look to find an item to snap to.
Snap to nearest frame | Ensures that the items are snapped to frame times
Snap to time cursor | Will snap an item start or end to the time cursor, if it is nearby
Default bitmap duration | When adding a bitmap file to a project, this is the initial duration of the bitmap item.

See Also

  • Options Dialog / General
  • Options Dialog / View
  • Options Dialog / Cache


Options Dialog / General

General program settings.

Controls

Backup Renames your project file to a .eds_bakp file before saving the new project file. This will let you recover if you have problem saving the file.

See Also

  • Options Dialog / Edit
  • Options Dialog / View
  • Options Dialog / Cache


Options Dialog / View

Configures the editing functions.

Controls

Tooltips Shows popup tooltips when mouse pointer hovers over:
  • Items
  • Markers
  • Time Bar
  • Layers

See Also

  • Options Dialog / General
  • Options Dialog / Edit
  • Options Dialog / Cache


Preview Properties Dialog / General

General settings for the preview.

Controls

Show buttons | Shows the preview playback buttons
Show speed slider | Shows the speed slider in the preview
Show VU meter | Shows the audio VU level meter
VU Range | Sets the range for the VU meter
Mute audio while tracking | Set this checkbox to silence audio while you fast forward / rewind through the project
Accelerated preview | Uses DirectX to draw the preview. This can lead to a much faster redraw speeds, but may conflict with some graphics cards. Most systems should select this, but you have the option of turning it off if it causes problems.
User DV Builder files | In a DV project, you can use the DV Builder files to speed up the preview, rather than calculating the frames on-the-fly.


Preview Properties Dialog / View

Preview Properties Dialog / Safe Areas

Set the safe areas for the preview. The safe areas are only shown in the preview and are not present in the final movie build.

Controls

Show action safe area | Shows the action safe area. The action safe area is the area of the frame that will contain all the main content of the frame. Typically this is the area that is visible on a typical display.
Size, action safe area | The size of the action safe area border.
Show title safe area | Shows the title safe area. The title safe area is the area of the frame that should contain all text and titles. You should avoid putting text right to the edge of the frame in case it is not all visible on all displays.
Size, title safe area | The size of the title safe area border.
Colour | The colour of the safe areas in the preview.


Preview Properties Dialog / View

View settings for the preview.

Controls

Quality | Set the resolution of the preview. The preview is calculated by rendering the project at this resolution before being resized to fit into the preview (see Zoom, below). Some effects are dependant on the actual build resolution (eg. simple blurs or the text effect) and you should choose the project build resolution in order for the preview to accurately represent the frames of the final movie.
Zoom | Resizes the resolution chosen above to fit the preview.


Project Warnings Dialog

Shows any errors or warnings during opening a project.

It is only likely that you will see this dialog if you try to open an EditStudio project file that was created by a later version of EditStudio.


Transform Dialog / Deinterlace

Deinterlaces interlaced video. For more information about interlacing, see Interlaced Video Explained and What Is Deinterlacing?

Controls

Deinterlace | Set this checkbox to deinterlace the video or bitmap.
Dominant field | Which field will be used to generate the frame.
Method | How the interlaced video will be used to generate the frame.

See Also

  • Transform Dialog / General


Transform Dialog / General

Change the appearance of an item.

Controls

Name | The name of the item
Choose | For file based media items, allows you to choose the filename of the item.
Mirror | Swaps the image around the vertical axis, This provides a mirror image of the original image.
Flip | Flips the image around the horizontal axis. This swaps the top and bottom of the image.
Reverse direction | Reverses the direction of video playback, playing the video from end to start.
Inter-frame blending Generates new approximated frames if the requested frame time does not match an actual frame time. This helps smooth out playback when the item's frame rate does not match the project build frame rate or when the a rate of less that 1x (ie. slower) is used.

This should not be used for normal rate playback, as the generation of approximated frames can slow down playback speed.

Rate | Sets the speed of playback for the video. The value is given a multiple of the original speed, so 1.0x is the speed of the original video, 0.5x is 50% of the original speed and 2.0x is double the original speed.
Half speed A special mode which should only be used with interlaced video items. The two interlaced fields are used to create two separate frames, each played back at half their original rate. This method relies on the video being interlaced - it will not work with frame-based video items.
Field order | Sets whether the odd or even field should be used first during playback. If you experience jerky playback using the half speed setting, try changing the field order.
Interlaced fields | Determines how the new frames are calculated from the field information. See the Deinterlacing tab for more information.

See Also

  • Transform Dialog / Deinterlace


Delete Layer

Overview

Delete a layer.

Details

Deletes the selected layer.


Delete Space

Overview

Removes space into the layer.

Details

Deletes empty space from the layer at the position of the time cursor. All items to the right of the time cursor are moved left by the desired amount.

You cannot delete space if the time cursor is over an existing layer item.

See Also

  • Insert Space


Insert Space

Overview

Inserts space into the layer.

Details

Adds empty space to the layer at the position of the time cursor. All items to the right of the time cursor are moved right by the desired amount.

See Also

  • Delete Space


Rubber Band Properties

Overview

Allows rubber band nodes to be edited in an audio rubber band.

Details

Opens the rubber band properties dialog, allowing nodes to be added, deleted and edited.


Rubber bands

Overview

Shows an audio rubber band on the layer item.

Details

Shows one of the following rubber bands on an audio layer item:

  • None
  • Volume
  • Balance
  • Pan

See Using Audio for more information on using these rubber bands.


Toppings

Overview

Selects a topping to edit.

Details

The menu lists all the toppings that are applied to the current item. Selecting a topping from the menu will display the topping's properties in the properties window.

See Also

  • Video effects


Edit Menu

  • Undo
  • Redo
  • Cut
  • Copy
  • Paste
  • Delete
  • Select All
  • Select >>
    • Left
    • Right
    • Intersect
  • Insert >>
    • Media File
    • Layer
    • Layer Below


Copy

Overview

Copies the selected item(s) into the clipboard.

Details

Copies the currently selected item(s) into clipboard. The items can be retrieved from the clipboard by pasting them back.

See Also

  • Cut
  • Paste
  • Delete


Cut

Overview

Cuts the selected item(s) into the clipboard.

Details

Copies the currently selected layer item(s) into clipboard, deleting them from the layers. The items can be retrieved from the clipboard by pasting them back.

See Also

  • Copy
  • Paste
  • Delete


Delete

Overview

Deletes selected item(s) or layer.

Details

Deletes the currently selected item(s). In the timeline page, if no items are selected, the selected layer is deleted.

See Also

  • Cut
  • Copy
  • Paste


Insert Layer

Overview

Inserts a new layer into the project.

Details

Inserts a new layer into the project at the position of the currently selected layer. All layers below the new layer are moved down.

See Also

  • Insert Layer Below
  • Insert Media File


Insert Layer Below

Overview

Inserts a new layer into the project.

Details

Inserts a new layer into the project below the position of the currently selected layer. All layers below the new layer are moved down.

See Also

  • Insert Layer
  • Insert Media File


Insert Media File

Overview

Inserts a media file.

Details

Opens a standard file dialog for you to choose a media file to insert into the project. The media file is placed on the selected layer at the time cursor position.

Notes

By default the file dialog shows all the file formats that EditStudio understands (ie. has a plugin for). You may click on the "Files of type" list to filter files of a particular type (eg. only show .BMP bitmap files).

See Also

  • Adding a video effect


Paste

Overview

Pastes items from the clipboard into the project.

Details

Items that were previously cut or copied to the clipboard are placed back into the project. EditStudio attempts to place the items at their last position, but if this is not possible they are moved the first available position.

See Also

  • Cut
  • Copy
  • Delete


Redo

Overview

Re-does the last undone action.

Details

Re-does the last undone action.

You may perform up to 99 redo operations.

See Also

  • Undo


Select All

Overview

Selects all the items in the project.

Details

Selects all the items in the project.

See Also

  • Select Left
  • Select Right
  • Select Intersect


Select Intersect

Overview

Selects all items to the right of the time cursor.

Details

Only items that are wholly to the right of the time cursor are selected. Items that start to the left of the time cursor must be selected with Select Intersect.

See Also

  • Select All
  • Select Left
  • Select Right


Select Left

Overview

Selects all items to the left of the time cursor.

Details

Only items that are wholly to the left of the time cursor are selected. Items that end to the right of the time cursor must be selected with Select Intersect.

See Also

  • Select All
  • Select Right
  • Select Intersect


Select Right

Overview

Selects all items to the right of the time cursor.

Details

Only items that are wholly to the right of the time cursor are selected. Items that start to the left of the time cursor must be selected with Select Intersect.

See Also

  • Select All
  • Select Left
  • Select Intersect


Undo

Overview

Undoes the last action.

Details

Undoes the last performed action. Undo actions themselves can be undone by performing a Redo.

Up to 99 undo actions can be performed.

See Also

  • Redo


File Menu

  • New
  • Open
  • Save
  • Save As
  • Show Media Files
  • Export Clip List
  • Build Movie
  • [Most recently used files]
  • Exit


Build Movie

Overview

Allows you to build your movie

Details

Takes you to the build page, allowing you to build your movie as a file or export directly to a DV camcorder.


Exit

Overview

Quits the program.

Details

Closes the program and release all its resources. If you were working on a project that had not been saved since your last changes, you will be warned and given the chance to save the project before the program exits.

See Also

  • Save


Export Clip List

Overview

Exports the current project as a text clip list, for reference or for use with another video editor.

Details

The clip list is a table of the media files, video effects and audio filters that are used in the project. The items are described in terms of their start and end times as well as their names. If there are any notes or additional descriptions available, these are also included in the clip list.

The items in the clip list are exported in order of time, with items on higher layers getting priority when two items have the same start time.

The clip list can be exported as either simple text or HTML. If possible, use HTML as this will retain a greater degree of text formatting which can make the list easier to read.


Most Recently Used Files

Overview

Lists the four most recently used files.

Details

Select a project file from the menu as a quick and easy way of opening a recently used project.

See Also

  • Project page


New Project

Overview

Creates a new EditStudio project.

Details

This creates a new EditStudio project. You must give the name and location on your hard drive where you want the new project's files to be created. If you are already working on an EditStudio project and have made changes to it, you will be asked if you wish to save this project before you create a new one.

You cannot undo any changes you made to the previous project once you create a new one.

Creating a new project will create folder on your hard containing the files and folders required for an EditStudio project. For example, if you create a project called "My Movie" in "C:\My Documents", the following items are created:

C:\My Documents\My Movie | Main project folder.
C:\My Documents\My Movie\My Movie.eds | The EditStudio project file
C:\My Documents\My Movie\Capture | Folder for captured files
C:\My Documents\My Movie\DV Cache | Folder for DV Builder temporary files

See Also

  • Open Project
  • Save Project
  • Using the project


Open Project

Overview

Opens a previously saved EditStudio project.

Details

Loads in a project that had previously been saved by EditStudio; the file name should be of the form filename.eds.

EditStudio uses XML as its file format, providing a high degree of compatibility between different versions of EditStudio. The following table describes scenarios are possible when loading different versions of EditStudio files:

Loading a project file created with the same version of EditStudio | The project will open correctly and all information will be preserved. This is the most common operation.
Loading a project file created with a previous version of EditStudio | The project will open and any old information can be "upgraded" to work with the new version of EditStudio (see Opening an old EditStudio project). If there is any information which cannot be upgraded, the user will be informed. When the project is re-saved, the project file will be the same as the current version of EditStudio (ie. it will not be saved as the older file version).
Loading a project file created with a later version of EditStudio | Older versions of EditStudio will load in project files created with later versions, however it is likely that some information will be lost. The user will be presented with a dialog box explaining the features that have not been loaded correctly.

See Also

  • New Project
  • Save Project
  • Opening an old EditStudio project


Save

Overview

Saves the current EditStudio project to disk.

Details

This saves the current EditStudio project to disk, so that the project can be opened by EditStudio in the future. All the current layer and item information is saved, along with project preferences (current zoom level, cursor position, etc...) and other user defined information.

The file is named filename.eds and can be saved on any disk, local or networked. The file is saved in XML format, allowing for easy upgrading of file formats and also allowing the power-user to edit the file by hand if required.

When saving files, be aware of the differences that can be encountered when loading different project file versions into different version of EditStudio (see File / Open).

See also

  • New Project
  • Open Project
  • Exit


Save As

Overview

Allows the user to save the current project file after choosing a filename.

Details

Opens a file dialog asking you for a filename before saving the project file. You have the choice of saving the document as a normal document (.eds file) or as a template (.edt file). A template is the same as a document, only when you load the template back into EditStudio, its filename is cleared so that you are forced to save the file under a different filename when you come to save it.

Templates are useful if you want to create a common video style and yet make small changes or additions later. For example, if you shoot a lot of bungee jumping videos, you might want to create a template which contains the same intro sequence, titling and music. You can load in this template and then add the video clips of each individual bungee jumper later. Templates help avoid the problem of accidentally overwriting your original project file with a different (edited) version.

See Save for more details.

See Also

  • Save
  • Open Project
  • New Project


Show Media Files

Overview

Shows all the used media files in the current project. Allows the user to change the file locations on a global basis.

Details

Opens the Show Media Files dialog, allowing you to change the location of the media files used in the current project. You may want to do this if you have moved the files on the disk or you have renamed a directory or file.


Help

  • Help Topics
  • Pure Motion Web Site
  • About EditStudio


About EditStudio

Overview

Opens the EditStudio about box.

Details

Displays the EditStudio about box, along with the version number of the program.


Help Topics

Overview

Opens the help window.

Details

Opens the help window.


Pure Motion Web Site

Overview

Opens the Pure Motion web site.

Details

Opens the Pure Motion web site in your default browser.


Item

  • View >>
    • All
    • Start And End Only
    • Text
    • Show Name
    • Show Notes
  • Refresh
  • Build DV
  • Edit >>
    • Split
    • Link Items
    • Break Link
  • Toppings
  • Position
  • Transform
  • Name And Notes
  • Mark In / Out
  • Poster Frame
  • Markers >>
    • Show Markers
    • Add Marker
    • Properties


Break Link

Overview

Breaks the link between a video item and an audio item.

Details

Breaks the link created with Link item between a video item and an audio item. This allows the items to move independently of each other.

See Also

  • Link Items


Build DV

Overview

Builds any DV temporary files required for the item.

Details

Forces EditStudio to rebuild any temporary files required for the item. The temporary DV files are used to speed up building a DV movie and can be used to speed up the preview. See the DV Builder for more information.

See Also

  • DV Build
  • DV Flush
  • The DV Builder


Link Items

Overview

Links a video and audio item together.

Details

A video layer item and an audio layer item can be linked together so that they move together - thus remaining synchronised together. To do this, select the two items to be linked and then choose "Link items". Although the linked items move together, they can be resized separately. As with all layer items, only one item can have focus at any one time.

The link between items can be broken by choosing Break link.

Notes

In order to link two items, the following conditions must apply:

  • Only two items must be selected
  • One item must be a video item and one must be an audio item
  • The items must not be linked already

When a media file which contains both a video and an audio component is inserted into the project, the video and audio items are automatically linked.

See Also

  • Break Link


Add Marker

Overview

Adds a marker to the item at the current time cursor position.

Details

Adds a new marker to the focused item at the position of the time cursor. The new marker will have its start and end times set to the same time and set to the default colour.


Markers Properties

Overview

Shows the list of markers associated with a layer item for editing, adding or removing markers.

Details

Opens the markers dialog, listing all the markers that are associated with the focused layer item. The dialog allows you to change the properties of any of the markers, as well as add and remove markers to the item.


Show Markers

Overview

Shows or hides the item's markers on the time bar.

Details

Shows or hides the focused item's markers on the time bar.


Mark In / Out

Overview

Sets the mark in and mark out times of the item.

Details

You can change the mark in and mark out times of an item to set the time into which the item begins and ends. The changes to the mark in / out times are performed using the mark in / out dialog.


Name And Notes

Overview

Allows the user to change the name and notes associated with an item.

Details

Opens the item notes dialog, allowing you to add a description about the item.


Position

Overview

Change and item's position in time and also can change an item's layer.

Details

Opens the item position dialog, allowing the user to position an item to specific time on a layer. The user may also change the layer on which the item is placed. If the item is a video transition or audio transition, some restrictions may be placed on the layers that the item may be placed, to avoid invalid layer references being set up (ie. referring to a layer above itself).


Poster Frame

Overview

Sets the display frame for a storyboard item.

Details

Allows the selection of a single frame for display in the storyboard using the Poster Frame dialog. It is a good idea to choose a frame which will make it easy to recognise what the particular item's actual contents are.


Refresh

Overview

Refreshes the item.

Details

Forces EditStudio to re-read the media file associated with the item. This can be used if the media item has changed (eg. re-captured) or if you wish to regenerate the item's audio peak file.


Split

Overview

Splits the focused item at the time cursor.

Details

Splits the current focused layer item at the position of the time cursor. Two items are created which occupy the same space on the layer as the original item.

The two new items created as a result of the split will have different properties depending on their type. The following table shows the differences:

Bitmap | Two bitmap items, as original Video or Audio Two video / audio items. The first item will have its mark in time unchanged and its mark out time set to the position of the split (the time cursor). The second item will have its mark in time set to the position of the split and its mark out time unchanged. This ensures that the resultant video / audio after the split is rendered as before.
Video effect or Audio filter | Two video effects / audio filters. The new items will both have mark in times of 0h 00m 00s 000. The first item will have a mark out time set the position of the split (the time cursor). The second item will have a mark out time set to ensure that its end is the same time as the original (un-split) item.


Toppings

Overview

Allows the user to add, remove or change the order of the toppings applied to an item.

Details

Opens the toppings dialog, which allows you to remove or change the render order of the toppings applied to the focused layer item. Any changes that you make to the toppings can be undone after you close the dialog.


Transform

Overview

Allows the user to change the media file name, image orientation, direction, deinterlacing and rate of the item.

Details

Opens the item transform dialog, allowing the user to change aspects of the item. Depending on the item's type, not all aspects of the items can be changed.


View

Overview

Changes the way the item is displayed in the timeline, either as text only, start and end frames only or all frames.

Details

This allows you to change how the focused item is shown in the timeline. The following views are available:

Text only | The item is drawn containing the item's name, start and end time. If any notes are associated with the item, these are also included. This view is very fast to draw, as no frames have to be rendered.
Start and end frame | The item's start and end frames are drawn, if there is space to do so. If there is space between the two frames, this is filled with a text description (as above). This view is usually very fast to draw, as although two frames must be rendered, these are usually kept in the frame cache and are drawn very quickly. This option is not available for storyboard items
All frames | All frames are drawn in the item. This view gives the best view of how the item changes over time, but can be slow to redraw as all frames (or all audio) must be rendered. By setting the frame cache to be large (over 8MB), this rendering time can be kept to a minimum.

See Also

  • Show Name
  • Show Notes


Show Name

Overview

Shows the item's name in the timeline view.

Details

When an item is being shown as text or start and end only, the centre of the item displays the item's name. This option is only available in the timeline page.

See Also

  • Show Notes
  • Item View


Show Notes

Overview

Shows the item's notes in the timeline view.

Details

When an item is being shown as text or start and end only, the centre of the item displays the item's notes. This option is only available in the timeline page.

See Also

  • Show Name
  • Item View


Layer

  • Time Bar >>
    • Add Marker
    • Marker Properties
    • Properties
  • DV Builder
    • Build
    • Flush
  • Storyboard Layers
  • Properties


Build

Overview

Builds all the temporary DV files for the project.

Details

Creates all the DV files required by the DV Builder. For more details on how these DV files are used, see the DV Builder section.

See Also

  • DV Builder Flush


Flush

Overview

Flushes all the temporary DV Builder files.

Details

The temporary DV files are deleted from the hard drive and must be recreated next time the DV Builder is used. See the DV Builder section for details.

See Also

  • DV Builder Build


Layer Properties

Overview

Allows the user to change the properties of the layer.

Details

Opens the layer properties dialog, allowing the user to change the name, height and notes associated with the selected layer.


Storyboard Layers

Overview

Removes the link between the storyboard and the storyboard layers in the timeline page.

Details

When editing with the storyboard, there are special storyboard layers in the timeline. By removing this link, the items on these storyboard layers can be edited manually; however they are no longer automatically updated from the storyboard.

See Also

  • Storyboard page
  • Timeline page
  • Using the storyboard


Time Bar Marker Add

Overview

Adds a marker to the time bar at the current time cursor position.

Details

Adds a new marker at the location of the time cursor.


Time Bar Marker Properties

Overview

Shows the list of markers in the current project for editing, adding or removing markers.

Details

Opens the markers dialog, listing all the markers that are present in the current project. The dialog allows you to change the properties of any of the markers, as well as add and remove markers to the item.


Time Bar Properties

Overview

Allows the user to change the properties of the time bar.

Details

Opens the time bar dialog, allowing you to change the current zoom level and time format for display on the time bar.


Media

  • View >>
    • Large Icons
    • Details
  • Item >>
    • Copy
    • Cut
    • Delete
    • Rename
    • Detect Scenes
    • Mark In / Out
    • Poster Frame
    • Export
    • Properties
  • New >>
    • Folder
    • Clip
    • Batch Clip
  • Insert >>
    • Media File
    • Library


Insert Library

Overview

Inserts media library into the Media Explorer.

Details

Opens a file dialog and allows the selection of a media library into the currently selected folder of the Media Explorer. Media libraries are created from EditStudio through the Export menu item. See the Media Explorer section for more details.

See Also

  • Insert Media File
  • Export
  • Media Explorer


Insert Media File

Overview

Inserts media file(s) into the Media Explorer.

Details

Opens a file dialog and allows the selection of media files for addition to the current folder in the Media Explorer. See the Media Explorer section for more details.

See Also

  • Insert Library
  • Media Explorer


Copy

Overview

Copies the selected media item(s) into the clipboard.

Details

Copies the currently selected media item(s) into clipboard. The items can be retrieved from the clipboard by pasting them back.

See Also

  • Media Item Cut
  • Media Item Paste
  • Media Item Delete
  • Media Explorer


Cut

Overview

Cuts the selected media item(s) into the clipboard.

Details

Copies the currently selected media item(s) into clipboard, deleting them from the current folder. The items can be retrieved from the clipboard by pasting them back.

See Also

  • Media Item Copy
  • Media Item Paste
  • Media Item Delete
  • Media Explorer


Delete

Overview

Deletes selected media item(s).

Details

Deletes the currently selected media item(s).

See Also

  • Media Item Cut
  • Media Item Copy
  • Media Item Paste
  • Media Explorer


Detect Scenes

Overview

Automatically generates clips based on changes in scenes.

Details

Opens the Detect Scenes dialog and scans the selected media item to generate clips based on scene changes.

See Also

  • Media Explorer


Export

Overview

Exports the selected media item(s).

Details

The currently selected media item(s) can be exported as an XML file, for sharing or for storing. Exported files are given the ".eds_libr" file extension and can be imported back into the Media Explorer.

See Also

  • Insert Library
  • Media Explorer


Mark In / Out

Overview

Sets the mark in and mark out times of the media item.

Details

You can change the mark in and mark out times of an media item to set the time into which the item begins and ends. The changes to the mark in / out times are performed using the Mark In / Out dialog.

See Also

  • Media Explorer


Poster Frame

Overview

Sets the display frame for a media item.

Details

Allows the selection of a single frame for display in the Media Explorer using the Poster Frame dialog. It is a good idea to choose a frame which will make it easy to recognise what the particular media item's actual contents are.

See Also

  • Media Explorer


Properties

Overview

Shows the selected media item properties.

Details

Opens the Media Item Properties dialog to display the currently selected item(s) properties. Depending on the type of the item, some of the item's properties may be modified.

See Also

  • Media Explorer


Rename

Overview

Renames a media item.

Details

Allows the user to rename the currently selected media item. Names must be unique in the current folder.

See Also

  • Media Explorer


New Batch Clip

Overview

Creates a new batch clip.

Details

Adds a new batch clip to the current folder in the Media Explorer. The Batch Clip Properties dialog is opened, allowing the clip's properties to be set. See the Media Explorer section for more details.

See Also

  • New Folder
  • New Clip
  • Media Explorer


New Clip

Overview

Creates a new clip.

Details

Adds a new clip to the current folder in the Media Explorer. The Media Item Properties dialog is opened, allowing the clip's properties to be set. See the Media Explorer section for more details.

See Also

  • New Folder
  • New Batch Clip
  • Media Explorer


New Folder

Overview

Creates a new folder.

Details

Adds a new folder to the current folder in the Media Explorer. See the Media Explorer section for more details.

See Also

  • New Clip
  • New Batch Clip
  • Media Explorer


Details

Overview

Shows the items in the Media Explorer with extra text details..

Details

The details view will show the items in the current Media Explorer folder with mark in / out, duration, filename and notes information. For more details, see the Media Explorer section.

See Also

  • Large Icons


Large Icons

Overview

Shows the items in the Media Explorer with large icons.

Details

The large icon view will show thumbnail previews, where applicable, of the items in the currently selected Media Explorer folder. For more details, see the Media Explorer section.

See Also

  • Details


Tools

  • Pointer
  • Magnify
  • Snapping
    • To Frame
    • To Item
    • To Time Cursor
  • Plugins
  • Customize
  • Options


Customize

Overview

Allows the customization of the toolbars.

Details

Opens the Customize dialog, allowing the toolbars to be customized.


Magnify

Overview

Allows magnification / de-magnification of the project.

Details

Using the magnify tool you can can zoom in to see more detail of the items. When in magnify mode, your mouse pointer will change to a magnifying glass. Left-clicking will zoom in, right-clicking will zoom out.

See Also

  • Pointer Tool


Options

Overview

Allows the user to view and change some of EditStudio's options.

Details

Opens the options dialog, allowing you to view and change the properties of the program.


Plugins

Overview

Allows the user to view and change the properties of the installed plugins.

Details

Opens the plugins dialog, allowing you to view and change the properties of the plugins.

See Also

  • Video Effects
  • Video Transitions
  • Media Formats
  • Tools


Pointer

Overview

Selects the mouse pointer tool.

Details

Selects the pointer tool, used for selection in the timeline and storyboard. The pointer tool allows you select layers and / or items by clicking on them. It is possible to modify the operation of this tool by:

Right-click | Opens context-sensitive popup menu
Control-click | Selects / unselects multiple items
Drag | Displays a rectangle for selecting multiple items

See Also

  • Magnify Tool


Snap To Frame

Overview

Turns the snap to frame feature on / off for editing.

Details

When performing the editing functions detailed below:

  • Moving a layer item
  • Resizing a layer item
  • Moving the time cursor
  • Dragging and dropping an item onto the layers

snapping to frame will ensure that the edit results in the item having a time which matches the frame rate.

See Also

  • Snap To Item
  • Snap To Time Cursor


Snap To Item

Overview

Turns the snap to item feature on / off for editing.

Details

When performing the editing functions detailed below:

  • Moving a layer item
  • Resizing a layer item
  • Dragging and dropping an item onto the layers

snapping to item will ensure that the edit results in the item having a time which snaps to a neighbour item, if the neighbour item is nearby. To change the snap reach (over how many layers it will snap to), see the options dialog.

See Also

  • Snap To Frame
  • Snap To Time Cursor


Snap To Time Cursor

Overview

Turns the snap to time cursor feature on / off for editing.

Details

When performing the editing functions detailed below:

  • Moving a layer item
  • Resizing a layer item
  • Dragging and dropping an item onto the layers

snapping to time cursor will ensure that the edit results in the item having a time which snaps to the time cursor, if the time cursor is nearby.

See Also

  • Snap To Frame
  • Snap To Time Cursor


View Menu

  • Show Preview
  • Show Properties
  • Project
  • Capture
  • Storyboard
  • Timeline
  • Build
  • Markers >>
    • Show Time Bar Markers
    • Show All
    • Hide All
  • Timecode >>
    • Time
    • SMTPE non-drop
    • SMTPE drop frame
  • Go To >>
    • Time
    • Next Frame
    • Previous Frame
    • Next Item
    • Previous Item
  • Status Bar


Build

Overview

Displays the build page.

Details

Switches to the build page, allowing the user to build their movie. For more details, see the build page section.

See Also

  • Project page
  • Capture page
  • Storyboard page
  • Timeline page


Capture

Overview

Displays the capture page.

Details

Switches to the capture page, allowing the user to capture video for a project. For more details, see the Capture page section.

See Also

  • Project page
  • Storyboard page
  • Timeline page
  • Build page


Go To Next Frame

Overview

Advances the preview to the next frame.

Details

Moves the time cursor to the next frame and updates the preview. The frame rate is taken from the current project settings - see the Project page.

See Also

  • Go To Time
  • Go To Previous Frame
  • Go To Next Item
  • Go To Previous Item


Go To Next Item

Overview

Advances the preview to the next item.

Details

Moves the time cursor to the next item and updates the preview. The next item can be either the start or the end of an item - whichever is closer.

See Also

  • Go To Time
  • Go To Next Frame
  • Go To Previous Frame
  • Go To Previous Item


Go To Previous Frame

Overview

Advances the preview to the previous frame.

Details

Moves the time cursor to the previous frame and updates the preview. The frame rate is taken from the current project settings - see the Project page.

See Also

  • Go To Time
  • Go To Next Frame
  • Go To Next Item
  • Go To Previous Item


Go To Previous Item

Overview

Advances the preview to the previous item.

Details

Moves the time cursor to the previous item and updates the preview. The previous item can be either the start or the end of an item - whichever is closer.

See Also

  • Go To Time
  • Go To Next Frame
  • Go To Previous Frame
  • Go To Next Item


Go To Time

Overview

Moves the preview to a user defined time.

Details

Opens a dialog for the user to enter a time; the time cursor and preview are then set to the given time.

See Also

  • Go To Next Frame
  • Go To Previous Frame
  • Go To Next Item
  • Go To Previous Item


Hide All Item Markers

Overview

Hides all the markers in the time bar. Includes both time bar and item markers.

Details

Ensures that all markers that are associated with both the time bar and individual items are hidden in the time bar.

See Also

  • Show All Item Markers


Project

Overview

Displays the project page.

Details

Switches to the project page, allowing the user to either create a new project, open a project or adjust the current project's properties. For more details, see the Project page section.

See Also

  • Capture page
  • Storyboard page
  • Timeline page
  • Build page


Show All Item Markers

Overview

Shows all the markers in the time bar. Includes both time bar and item markers.

Details

Ensures that all markers that are associated with both the time bar and individual items are visible in the time bar.

See Also

  • Hide All Item Markers


Show Preview

Overview

Shows and hides the preview.

Details

Used to show and hide the preview window. The preview window is a PopDock window, so can be either docked to the EditStudio interface or free floating as a resizable window. For more details, see the Preview section.

See Also

  • Show Properties


Show Properties

Overview

Shows and hides the preview.

Details

Used to show and hide the preview window. The preview window is a PopDock window, so can be either docked to the EditStudio interface or free floating as a resizable window. For more details, see the Properties section.

See Also

  • Show Preview


Show Time Bar Markers

Overview

Shows / hides the markers in the time bar.

Details

Toggles the visibility of the markers in the time bar. Only the markers associated with the time bar are affected.

See Also

  • Show All item markers
  • Hide All item markers


Status Bar

Overview

Shows / hides the status bar at the bottom of main EditStudio window.

Details

Toggles the status of the status bar at the bottom of the EditStudio window.


Storyboard

Overview

Displays the storyboard page.

Details

Switches to the storyboard page, allowing the user to arrange their project in storyboard format. For more details, see the Storyboard page section.

See Also

  • Project page
  • Capture page
  • Timeline page
  • Build page


Timeline

Overview

Displays the timeline page.

Details

Switches to the timeline page, allowing the user to arrange their project in timeline format. For more details, see the Timeline page section.

See Also

  • Project page
  • Capture page
  • Storyboard page
  • Build page


SMPTE

Overview

Shows time in SMPTE format.

Details

Shows time in hours, minutes, seconds, frames format. An example would be:

0h 41m 12s 23

See Also

  • Time
  • SMPTE drop-frame


SMPTE Drop Frame

Overview

Shows time in SMPTE drop frame format.

Details

Shows time in hours, minutes, seconds, frames format. An example would be:

0h 18m 33s 09

See Also

  • Time
  • SMPTE frame


Time

Overview

Shows time in time format.

Details

Shows time in hours, minutes, seconds, milliseconds format. An example would be:

1h 54m 07s 133

See Also

  • SMPTE
  • SMPTE drop-frame


Delete Marker

Overview

Deletes the current marker.

Details

Deletes the current marker.

See Also

  • Move To
  • Move Time Cursor To Marker


Move Marker To Time Cursor

Overview

Moves the current marker to the time cursor.

Details

Moves the current marker to the time cursor.


Move Marker To Time Cursor

Move Time Cursor To Marker

Overview

Moves the time cursor to the current marker.

Details

Moves the time cursor to the current marker.


Move To

Overview

Moves the marker to a user-specified time.

Details

Opens a go to time dialog and allows you to enter the new time for the marker.


Marker Properties

Overview

Allows the changing of the marker's properties.

Details

Opens the marker properties dialog to change the marker's time, colour and notes.


Arrange Icons

Overview

Sorts the items in the current media explorer folder by the desired criteria.

Details

When the current folder is in Details view, sets the sort criteria by:

  • Name
  • Tape
  • Mark In
  • Mark Out
  • Duration
  • Filename

See Also

  • View Details


Paste

Overview

Pastes items from the clipboard into the Media Explorer.

Details

Items that were previously cut or copied to the clipboard are placed back into the Media Explorer.

See Also

  • Media Item Cut
  • Media Item Copy
  • Media Item Delete


Refresh

Overview

Refreshes all the thumbnails in the current media explorer folder.

Details

Recreates all the thumbnails for all the items in the current media explorer folder. The media files will be re-read from the disk to create the updated thumbnails.

See Also

  • Media Explorer


Preview Properties

Overview

Changes the properties of the preview.

Details

Opens the preview properties dialog, allowing you to change the preview resolution, safe areas and controls of the preview.

Note: this only affects the current preview window, so the other docked / undocked version can be of a different configuration if required.


Save As Bitmap

Overview

Saves the preview frame as a bitmap file.

Details

Saves the currently displayed frame in the preview as the bitmap (.BMP) file. This bitmap file can be loading into a paint package, or back into EditStudio if required.


View

Overview

Shows all layers or a selected layer in the preview.

Details

If "All Layers" is selected, ensures that all the project's layers are used when displaying the preview. Otherwise the selected layer is taken as the top layer for the project and all layers above this layer are ignored.


Rubber Band Node Delete

Overview

Deletes the current rubber band node.

Details

Deletes the current rubber band node.

See Also

  • Rubber Band Node Properties


Rubber Band Node Properties

Overview

Allows changing the properties of the current rubber band node.

Details

Opens the rubber band node properties dialog. The node's value, time in the layer item and its type can be set. Notes can also be attached to the node.


Rubber Band Node Type

Overview

Changes the type of interpolation between this rubber band node and the next.

Details

Change the way the audio rubber band node changes from this node the next node. The following types are available:

Type | Example | Description
Linear |  | Steady change from current node to next.
Accelerating |  | Slow change to next node at the start, but increasing rate as gets closer to next node
Decelerating |  | Fast change to next node at the start, but decreasing rate as gets close to next node
S-Type |  | Smooth changes at the start and end, but faster change in the middle
Step, Start |  | Immediate change to next node's value
Step, Middle |  | Sudden change to next node's value half-way between current node and next
Step, End |  | Sudden change to next node's value at the point of the next node

See Also

  • Audio


Frame Size

Overview

Sets the size of the storyboard items.

Details

Sets the size of the storyboard items.

See Also

  • Zoom


View

Overview

Shows the storyboard item as either a frame image or text.

Details

Shows the storyboard item as an image or text:

Text
Image


Duration

Overview

Sets the duration of a transition.

Details

Opens a dialog box allowing you to set the duration of the selected storyboard transition.


Delete Space

Overview

Removes space from the project.

Details

Deletes empty space from the project at the position of the time cursor. All items to the right of the time cursor are moved left by the desired amount.

You cannot delete space if the time cursor is over an existing layer item.

See Also

  • Insert Space


Insert Space

Overview

Inserts space into the project.

Details

Adds empty space to the project at the position of the time cursor. All items to the right of the time cursor are moved right by the desired amount.

See Also

  • Delete Space


Zoom Levels

Overview

Selects the zoom level for the timeline.

Details

Selects the time stop per division for the timeline. Selecting a smaller time value will zoom in to the timeline, selecting a larger time value will show a greater range of time and therefore zooming out.


Project Page (New Project)

This page is used to create a new project, or open an existing project.

Controls

Name | The name for the new project.
Path The location on the hard drive for the project. When the project is created, a folder will be created of the form: Path \ Name, which will contain all the project file. For example, if you enter "My Movie" as the name, with "C:\My Documents" as the path, the project will create a folder called:

C:\My Documents\My Movie

which will contain all your project files.

Preset | Sets up the project with the video and audio information taken from a popular preset. Don't worry if there isn't a preset that exactly matches your requirements, you can change these settings later.
Click to create project | Click here to create the project using the settings described above
[Projects] | A list of the most recently used projects. Click on any to load the project.
Open an existing project | Opens a file requester, allowing you to choose an existing EditStudio project to load.
Next tip | Shows the next tip of the day.

See Also

  • New Project
  • Project Page (Open Project)


Project Page (Open Project)

Allows you to change the settings of the current open EditStudio project.

Controls

Preset | The current preset in use. You can select another preset to use the settings from the new preset. Any changes you make to the current settings only affect the current project - they do not change the preset itself.
Video | The video resolution and frame rate. Be careful when changing these, as some movies require certain specified values here.
Background | You can choose whether the default background should be shown as a checks or a single solid colour. You change this solid background colour by clicking the colour chooser next to this control.
Audio | The sample rate of the movie. Be careful when changing this value, as some movies require certain specified values here.
Mix | Choose the method of audio mixing. For new EditStudio 3 projects, this will be set to "Tracks". If you load an older EditStudio project, this will default to "Layers" and you may change this to "Tracks" if you wish. See Changes to audio mixing for EditStudio 3 for a full description of the two mix types.

See Also

  • New Project
  • Project Page (New Project)
  • Audio


PopDock Windows

Overview

Both the preview and the properties windows are PopDock windows, which means they have some special features. PopDock windows were developed make the EditStudio interface work well on both high and low resolution screens; users with 800x600 resolution screen displays will have different requirements for their interface than users with 1600x1200 screens.

The preview and the properties windows can become more useful if they can be resized, but the traditional methods of dealing with resizing windows have their problems:

  • Floating palettes tend to clutter up the main workspace and it is possible for work to be hidden behind a palette.
  • Docking windows can be docked to the main interface to keep them out the way, but they have a habit of docking to the main interface whenever they are moved near the edge of the main window.

PopDock windows combine the best parts of floating palettes and docking windows, without keeping any of their annoying attributes:

  • PopDock windows can be floating or docked
  • Floating PopDock windows can be moved anywhere without them automatically trying to dock to the main interface
  • Floating PopDock windows can be resized
  • Floating PopDock windows can be docked by "popping" them in to the main window
  • Docked windows can be made floating by "popping" them out of the main window
  • PopDock windows can be closed to save screen space - they will remember their last position when opened again

Using PopDock Windows

Using a PopDock window is very much like using a normal window.

Move | Drag the title bar
Resize | Drag the edges
Close | Click the close control [image] . The PopDock window can be shown again by clicking the preview [image] or properties [image] buttons in the toolbar.
Dock | Click the dock button [image] or double-click on the title bar
Float | Click the float button [image] or double click on the title bar


Close Capture Device

Overview

Closes the current capture device.

Details

Closes the current capture device and allows you to change to another one. If you wish to switch between DV and analogue capture, or simply wish to change between two analogue capture sources, you should close the current device before you can capture with another.


Choose file to send

Choose the file to send

Select the file that you wish to send to the DV camcorder or deck.

Controls

Filename | The file that you wish to send to the DV device. The file must be a DV format file, otherwise you will receive an error when you attempt to copy it.
Browse | Opens a file dialog, allowing you to choose a file

See Also

Next >


Choose settings

Allows you to set up your DV camcorder, ready for the DV file copy.

Controls

Preview | The preview to the left of the wizard allows you to preview the file before you copy it. You may also use the slider below the preview to advance to a specific part of the file.
DV Device | If you have a compatible recorder and FireWire card, you can control the device from the device controls. This is useful if you want to position the tape, ready for the movie. The movie will be recorded from the current position on the tape.
Tell DV device to automatically start recording | You may allow DV Copy to automatically start and stop your DV recorder or camcorder during the process by checking this box. This option is only available if you have a DV recorder and FireWire card that are capable of automatically controlling the device.
Pause movie | Choosing a duration to pause the copy until your DV recorder or camcorder is ready. Most DV recorders take a few seconds to wind the tape and get ready for receiving the DV movie. The default value of 8 seconds is adequate for most devices, but you may change this if you wish.

See Also


File transfer in progress

Shows the progress as the file is transferred.

Click Cancel to stop the operation. Click Finish after the operation is complete to restart the wizard.

See Also


Choose filenames

Select the input and output files for the conversion process.

Controls

Input file | The name of the source file to convert. Click the Browse button to open a file dialog from which you can select a file.
Output file | The name of the converted output file. Click the Browse button to open a file dialog from which you can select a file.

See Also

Next >


Choose settings

Set the output format of the DV AVI file.

Select the output format for the DV AVI file. The following formats are available:

  • Type-1
  • Type-2, AVI 2.0
  • Type-2, AVI 1.0

For a description of the difference between Type-1 and Type-2 DV AVI files, see the article on DV File Types. For a description between the AVI versions, see the article on the 2 GB File Limit.

See Also


Progress

Shows the progress of the conversion process.

Click Cancel to stop the operation. Click Finish to return to the start of the wizard.

See Also


Text / Effects

Controls

Shadow | Check this box to include a shadow on the text.
Shadow type | Select either a drop shadow or soft shadow.
Shadow position | Choose the position of the position.
Shadow colour | Choose the colour of the shadow.
Shadow transparency | Choose the transparency of the shadow.
Outline | Outline the text. This is useful to highlight text when displayed on a background of a similar colour to the text.
Outline colour | Choose the text outline colour.

See Also

  • Text
  • Placement
  • Fade
  • Pause


Text / Fade

Controls

Fade Text In | Check this box and enter the duration of the fade-in for the text.
Fade Text Out | Check this box and enter the duration of the fade-out for the text.

See Also

  • Text
  • Placement
  • Pause
  • Effects


Text / Pause

Controls

Pause text at start | Enter a delay before the text starts to move.
Pause text at mid-point | Enter a delay that the text should pause in the middle of a move action.
Pause text at end | Enter a delay at the end of a text move.

See Also

  • Text
  • Placement
  • Fade
  • Effects


Text / Placement

Controls

Move Start / End Positions | Choose whether you want to choose to move the start and / or end text positions.
Move Free | Allows you to move the text freely in the text position control.
Move Horizontally | Restricts text to only horizontal movement.
Move Vertically | Restricts text to only vertical movement.
Centre Horizontally | Centres the text horizontally.
Centre Vertically | Centres the text vertically.
Reset Position | Positions the text to the top left of the text position control.
Text Position | Click on the red rectangle to move the text in the frame.
No Line Wrap | By default, text is wrapped to ensure that it is all shown in a frame. Select this checkbox to force the text to remain as a single long line. This is useful when producing scrolling subtitles.
Position Entry | Enter the absolute position of the text in the these position entry controls.

See Also

  • Text
  • Fade
  • Pause
  • Effects


Text / Text

Controls

Font Name | Choose the font name from the drop down list. You may also enter a font name into the text entry box.
Font Size | Choose the font size from the drop down list. You may also enter a size into the text entry box.
Bold | Toggles the bold status of the selected text.
Italic | Toggles the italic status of the selected text.
Underline | Toggles the underline status of the selected text.
Left Justify | Justifies the selected text to the left margin.
Centre Justify | Centres the selected text.
Right Justify | Justifies the selected text to the right margin.
Text Colour | Changes the colour of the selected text. Click on the button to open a colour chooser dialog.
Background Colour | Changes the background colour of the text box. Repeatedly click on the button to cycle through a range of colours. This only affects the background colour of the text box and does not change the rendered text on the video.
Text Box | Enter your text here.

See Also

  • Placement
  • Fade
  • Pause
  • Effects


Accelerated preview is not very fast

The accelerated preview option in the preview requires a fair amount of graphics memory to work. If your graphics card does not have very much memory, or does not support some of the DirectX features, you might find that the accelerated preview isn't any faster than the normal preview.


Cannot build a DV movie

Disk Space

If you are building a movie using the "Build DV to file" or "Build DV to DV deck" options from the Build Wizard, you may find that you are running out of disk space. Any temporary DV files that are required for the sections of the movie that use effects or transitions are stored in the project's own folder, in the "DVCache" folder. You must ensure that there is enough disk space available for this process to work.

Complexity

If the movie contains a large number of transitions or effects, DirectX will try to open all the source files before building the movie. Depending on your system, this operation may fail with a large number of source files.

The best method around this problem is to build your movie in sections and then build a new project "super movie" which joins together the DV files created from the original movie. No quality will be lost using this method, but you do need the disk space available to hold these intermediate files.


Cannot create QuickTime movies

Make sure that you have performed a "full" or "recommended" install of QuickTime in order to create QuickTime movies in EditStudio.

The default install on some versions of QuickTime does not install the video compressors, so it is not possible to create QuickTime movies, only play them.


Cannot hear audio source during preview

Double click on the volume icon in the taskbar tray (bottom right of screen) to open the volume control.

Uncheck "Mute" on the desired input. If the desired input is not shown on the volume control window, go the the "Options" menu and select "Properties", make sure the desired input is checked.


"Cannot initialise capture" error

Make sure that no other programs are using your capture device (eg. TV tuners or viewers).


Capture crashes

Make sure that you are using the latest drivers for both your capture card and your graphics card. Check with the relevant manufacturers' web site.


Capture crashes

Make sure that you are using the Microsoft camcorder driver, not the TI camcorder driver. See www.puremotion.com/fixdv for information on how to check for the TI driver, and if necessary, change it.


Captured DV movies play back at half resolution

Captured DV movies play back at half size

Under some systems, the default playback resolution for DV movies is half their full resolution. You can force Windows Media Player to play these back at full resolution by following the steps below.

Windows Media Player 6

  • Open a DV movie to play.
  • Make sure the movie is stopped (not just paused).
  • Right-click over the main window and select "Properties" from the popup menu.
  • Click the "Advanced" tab.
  • Select the "DV Video Decoder" from the list.
  • Click the "Properties" button.
  • Select "Full" as the decoding resolution
  • Set the "Save As Default" checkbox.
  • Click OK to close the dialog box.
  • Click "Close"
  • Close Windows Media Player and re-open the DV movie. You can now play this at full resolution.

Windows Media Player 7 or 8

  • Open a DV movie to play.
  • Select "Options" from the Tools menu (you will have to make the menu visible to do this).
  • Click on the "Performance" tab.
  • Click on the "Advanced" button under the Video acceleration section
  • Set the Digital Video size to Large.
  • Click "OK"
  • Click "OK"
  • Close Windows Media Player and re-open the DV movie. You can now play this at full resolution. (You may have to resize the window larger to see the video frame at full size).


Capture files are too large!

Captured video files are traditionally very large, up to several MB per second of video captured. In general, the higher the resolution and better the quality the larger the final captured file will be. If your capture files are too large to manage, consider:

  • Lowering the quality setting of the current compression format, if possible.
  • Changing to a different video compressor.
  • Buy a larger hard drive


Capture files are too large!

Captured video files are traditionally very large, and DV files are always captured at a rate of 3.6MB per second. It is not possible to capture at a lower quality or resolution to reduce the size of the captured files. If your capture files are too large to manage, consider buying a larger hard drive.


Increasing your hard drive data transfer rate

This only applies to IDE hard drives - this does not apply to SCSI or FireWire disks.

By selecting DMA on the hard disk that you capture to, data can be transferred directly to the hard disk requiring very little CPU power to do so. This leaves the CPU free during capture to process the incoming video and perform any video compression.

To make sure DMA is turned on, right click on "My Computer" from the Windows desktop and select "Properties". Click on the "Device manager" tab and open up the branch marked "Disk drives".

There should be one driver for every IDE hard disk that you have. There are two IDE drivers in the picture above.

For each IDE driver, select it in the list and click "Properties". Now select the "Settings tab".

Ensure the DMA item is checked and click on OK. Repeat this process for every IDE driver you have in the list.

Click "OK" to close the System Properties dialog. If you are prompted to restart, click "Yes" to restart your PC.

Note: not all hard drives and motherboards support DMA. Use the process above to check whether DMA has been turned on. If DMA is not supported, the DMA checkbox will have been reset by Windows to be unchecked. If your hard disk or motherboard came with a driver disk, try installing these drivers as they may enable DMA capability.


Dropped frames during capture

There are several reasons why you may experience dropped frames during capture:

You PC is not fast enough | This depends a great deal on the type of capture you are attempting and the video compression in use. With analogue capture, try reducing the capture frame size or changing the video compressor.
Slow hard drives | Video capture requires a constant data rate to store the capture file on your hard drive. Check your hard drive's speed using the System Info tool. With analogue capture, the required data transfer rate depends on the format of the capture. With DV, a data transfer rate of 6MB/s or higher is recommended. Ensure that DMA is turned on for all drives that you wish to use for video capture.
Background software | Turn off all background software, including virus checkers, screen savers and "system optimisation" tools.


I cannot see my capture device

EditStudio will only accept WDM drivers, or Video for Windows drivers that can be used under WDM (see Drivers explained). This means that the capture device must be recognised by Windows and can must have a fairly new driver (from the last few years).

If you are having problems, we recommend visiting the web page of the capture card manufacturer and making sure that you have the latest driver installed on your system.


Troubleshooting

If you are having problems with EditStudio, please try the following:

  1. Check the sections below to see if this is known problem.
  2. Read the rest of relevant help file sections in this file
  3. Search our web site at www.puremotion.com
  4. If you think the issue is hardware related (eg. problems with a capture card or camcorder), search Google Groups at groups.google.com and see if anyone else is having similar problems with the same hardware.
  5. Enter your problem into our Bug Bin at www.puremotion.com/contactus giving as much detail as possible and we'll try our best to help

Capture, General

  • I cannot see my capture device
  • Dropped frames during capture
  • Increasing your hard drive data transfer rate

Capture, Analogue

  • Video preview doesn't show anything
  • Cannot hear audio source during preview
  • No audio in captured file
  • "Cannot initialise capture" error
  • Capture crashes
  • Capture files are too large!

Capture, DV

  • No device control with DV camcorder
  • No audio in captured file
  • Capture crashes
  • Capture files are too large!
  • Captured DV movies play back at half size

EditStudio

  • Cannot build a DV movie
  • Accelerated preview is not very fast
  • Cannot create QuickTime movies
  • MPEG movies are slow to edit
  • MPEG movies don't play in DVD player


MPEG movies are slow to edit

The speed at which you can edit MPEG movies depends on several issues.

  • If you are editing an MPEG-1 file and are using the default Microsoft MPEG decoder, you should find that EditStudio can edit the MPEG file quickly.
  • If you are editing an MPEG-1 file and have installed a third party MPEG decoder, you may find that the file is slow to edit. We are aware that some software installs the Ligos MPEG decoder, which slows down MPEG editing significantly. Other third-party decoders may also affect editing speeds.
  • MPEG-2 is not supported by default under Windows, so you must install a third-party decoder. The editing performance will depend entirely on the performance of the decoder you use.


MPEG movies don

MPEG movies don't play in DVD player

See:

  • Creating a VideoCD with EditStudio
  • Creating a VideoCD using AVISynth


No audio in captured file

Double click on the volume icon in the taskbar tray (bottom right of screen) to open the volume control.

Go the the "Options" menu and select "Properties". Select adjust volume for "Recording" as shown below.

Make sure the desired input is selected in the list. Click "OK" to display the volume control. Select adjust volume for "Recording" as shown above. Make sure the desired input is selected in the list. Click "OK" to display the volume control.


No audio in captured file

There is a known problem with Canon camcorders not capturing audio on some systems. Why this should only affect Canon camcorders, we do not know, but we are investigating.


No device control with DV camcorder

You must be using the Microsoft camcorder driver in order to control your DV camcorder. The TI camcorder driver does not support device control with EditStudio.

See www.puremotion.com/fixdv for instructions on changing from the TI camcorder driver to the Microsoft driver.


Video preview doesn't show anything

Check:

  • The preview is turned on in the main capture window.
  • You have connected a cable to the capture card.
  • The correct source is selected.


DV Deck / Properties DV

DV Deck / Properties

Sets the video and audio properties for the DV file.

Controls

Video format Choose between:
  • PAL, 720 x 576 at 25 frames per second
  • NTSC, 720 x 480 at 29.97 frames per second
Audio format Choose between:
  • 32kHz (FM radio quality)
  • 48kHz (CD quality)
Automatically start DV deck | Puts the DV camcorder or DV deck into record mode before the movie is sent. If this option is not selected, you must do this manually.
Pause DV deck | How many seconds EditStudio should wait after starting the camcorder recording before sending the movie. DV decks typically take a few seconds for the mechanism to start recording before they are ready to accept video.

See Also


DV Deck / Time

DV File / Time

Choose the range of the project that you wish to export.

Controls

Start | The start time in the project that will become the beginning of the movie file.
End | The end time in the project.
Markers | Choose the start and end time from a project marker.
Current | The time of the current frame in the preview.
Preview | A preview of the whole project.

See Also


DV Deck / To Do

Lists the tasks required to do before a DV movie can be created.

Any effects or transitions have to be rendered before the movie can be sent to the DV deck or camcorder. The audio must also be calculated for the project. You cannot progress to the next stage of the wizard until all the tasks have been completed.

Controls

Details | Shows the tasks to do in either detailed or summary mode.
List | Shows a list of the tasks to do before a DV movie can be created. Items with a green tick are ready for immediate use and items with a red cross must be rendered. See the DV Builder for information on how these items are used.
Render | Causes the tasks to be rendered.

See Also


DV File / Filename

Select the filename for the output file.

The filename must have a .avi extension. If you just enter a filename without a full path, the movie file will be created in the project's folder.

Controls

Browse Opens a file dialog, allowing you to choose a filename for the movie.

See Also


DV File / Properties DV

DV File / Properties

Sets the video and audio properties for the DV file.

Controls

Video format Choose between:
  • PAL, 720 x 576 at 25 frames per second
  • NTSC, 720 x 480 at 29.97 frames per second
Audio format Choose between:
  • 32kHz (FM radio quality)
  • 48kHz (CD quality)

See Also


DV File / Time

Choose the range of the project that you wish to export.

Controls

Start | The start time in the project that will become the beginning of the movie file.
End | The end time in the project.
Markers | Choose the start and end time from a project marker.
Current | The time of the current frame in the preview.
Preview | A preview of the whole project.

See Also


DV File / To Do

Lists the tasks required to do before a DV file can be created.

Any effects or transitions have to be rendered before the DV file can be created. The audio must also be calculated for the project. You cannot progress to the next stage of the wizard until all the tasks have been completed.

Controls

Details | Shows the tasks to do in either detailed or summary mode.
List | Shows a list of the tasks to do before a DV file can be created. Items with a green tick are ready for immediate use and items with a red cross must be rendered. See the DV Builder for information on how these items are used.
Render | Causes the tasks to be rendered.

See Also


Finish

The final stage in the Build Wizard. Simply click Finish to start the build process.


Preset / Filename

Select the filename for the output file.

If you just enter a filename without a full path, the movie file will be created in the project's folder. The filename extension will be set automatically, depending on the preset selected.

Controls

Browse Opens a file dialog, allowing you to choose a filename for the movie.

See Also


Preset

Preset / Properties

Sets the audio and video properties for the movie file.

Controls

Output video | Check this to ensure that the movie file contains video. Not all presets will allow you to change this.
Width | The width of the video frame
Height | The height of the video frame
Frame rate | The number of frames per second for the video
Video export plugin settings | Some movie formats allow extra video parameters to set. Click this button to open the properties dialog for the export plugin.
Output audio | Check this to ensure that the movie file contains audio. Not all presets will allow you to change this.
Sample rate | The number of samples per second for the audio. The higher the value, the higher the quality of the audio in the movie file.
Audio export plugin settings | Some movie formats allow extra audio parameters to set. Click this button to open the properties dialog for the export plugin.

See Also


Preset / Time

Choose the range of the project that you wish to export.

Controls

Start | The start time in the project that will become the beginning of the movie file.
End | The end time in the project.
Markers | Choose the start and end time from a project marker.
Current | The time of the current frame in the preview.
Preview | A preview of the whole project.

See Also


Specify / Filename

Select the filename for the output file.

If you just enter a filename, the movie file will be created in the project's folder. The filename extension will be set automatically, depending on the preset selected.

Controls

Browse Opens a file dialog, allowing you to choose a filename for the movie.

See Also


Specify / Plugin

Choose the export format for the movie file.

Controls

Export plugin Choose the plugin format from the drop-down list. A description of the plugin is shown below.

See Also


Building DV sections

You can use the DV Builder to build sections of the movie, either for the project as a whole or for a particular item.

Project

To build sections of the project as DV:

  • Right-click on the time bar to open a popup menu
  • Select "DV Builder > Build"
  • Select the range of the project to build
  • Click "Build"

The progress will be displayed.

Item

To build the DV required for a particular item:

  • Right-click on the item to open a popup menu
  • Select "Build DV"

The progress will be displayed.

See Also

  • Flushing the temporary DV information


Exporting a project from the timeline

Exporting a movie from the timeline

To export a DV movie direct from the timeline, simply select "Build DV to DV Deck" from the first page of the Build Wizard. After entering some basic information about the movie you are about to build, you will be presented with the "to do" page. This will list the sections of the project which need rendering and those that do not.

Click the "Render" button to start the DV Builder rendering the sections of the movie that contain effects or transitions. When this process is complete, completing the wizard will let the DV Builder send the movie to a camcorder or DV device by using the sections it's just created along with sections of the movie that have not changed.

If you have only made a few effects and transitions in a movie, this is a much faster method of generating a DV movie that building a file; it also uses significantly less disk space.


Flushing the temporary DV information

The DV builder should always ensure that the correct temporary DV files are available for sections of the project that have been built. If you change these files on the disk manually, you may wish to flush the DV information to reset the DV Builder. To do this:

  • Right-click on the time bar
  • Select "DV Builder > Flush"


Increasing the preview playback speed

The preview will use the temporary DV files created by the DV Builder to speed up its preview frame rate. By building sections of the project, you can effectively increase the preview playback speed in complex areas of the project.

If you do not want the preview to use the temporary DV files, you can turn this off from the preview properties dialog.

See Also

  • Building DV sections


DV Builder

  • What is the DV Builder?
  • Speeding up building a DV file
  • Exporting a project from the timeline
  • The red / green in the time bar explained
  • Building DV sections
  • Flushing the temporary DV information
  • Increasing the preview playback speed


Speeding up building a DV file

To build a DV file without rendering the whole movie, simply select "Build DV to DV file" from the first page of the Build Wizard. After entering some basic information about the movie you are about to build, you will be presented with the "to do" page. This will list the sections of the project which need rendering and those that do not.

Click the "Render" button to start the DV Builder rendering the sections of the movie that contain effects or transitions. When this process is complete, completing the wizard will let the DV Builder create a DV movie by using the sections it's just created along with sections of the movie that have not changed.

if you have only made a few effects and transitions in a movie, this is a much faster method of generating a DV movie that rendering the whole movie.

See Also

  • To Do page


What is the DV Builder?

The DV Builder is a tool used by EditStudio to increase productivity when editing DV projects. It performs the following actions:

  • Speeds up the building of DV movie files by only calculating effects and transitions
  • Allows the export of a DV movie direct from the timeline without needing to build a DV movie file
  • Speeds up the frame rate of the preview when viewing transitions or effects

The DV Builder is not a conventional tool in that you run it when necessary - instead it plays a part in several areas of the DV movie process. On a basic level, you do not need to concern yourself with what it's actually doing - just enjoy the benefits!

See Also

  • Speeding up building a DV file
  • Exporting a movie from the timeline
  • Increasing preview playback speed